== Changelog ==

= 23.7.2 =

## Changelog

### Bug Fixes

#### Data Layer

- Core Data: Fix post staying dirty after saving edited post meta with RTC enabled. ([81392](https://github.com/WordPress/gutenberg/pull/81392))


= 23.7.1 =

**This is a security release. All users are strongly encouraged to update to this version as soon as possible.**

## Changelog

### Security

- Address GHSAs for phpcs, wpcs. ([81279](https://github.com/WordPress/gutenberg/pull/81279))

### Bug Fixes

- Fix missing return value in force_filtered_html_on_import footnotes filter. ([81293](https://github.com/WordPress/gutenberg/pull/81293))
- Content block: Ensure block tags always match the available options.
- Latest Comments block: Ensure latest comments can be viewed only for public posts.
- Post Date block: Fix the output of the post date.

## Contributors

The following contributors merged PRs in this release:

@aduth @johnbillion @sirreal


= 23.7.0 =


## Changelog

### Enhancements

- Base styles: Allow overriding focus ring color in outset-ring__focus. ([80587](https://github.com/WordPress/gutenberg/pull/80587))
- Widget Dashboard: Measure the header fit and document the chrome. ([80423](https://github.com/WordPress/gutenberg/pull/80423))
- Widget Primitives: Ship as a script module. ([80149](https://github.com/WordPress/gutenberg/pull/80149))

#### Components
- Combobox, Select, SelectControl: Add Group and GroupLabel. ([80574](https://github.com/WordPress/gutenberg/pull/80574))
- DataViews/Font Library: Give search fields a fixed width to stop layout shift. ([80315](https://github.com/WordPress/gutenberg/pull/80315))
- DataViewsPicker: Add Shift+Click range selection to the `picker-table`, `picker-grid`, and `picker-activity` layouts. ([80413](https://github.com/WordPress/gutenberg/pull/80413))
- Enhance sandbox component to accept sandbox prop. ([69617](https://github.com/WordPress/gutenberg/pull/69617))
- Input: Hide native spin controls for `type="number"`. ([80646](https://github.com/WordPress/gutenberg/pull/80646))
- SearchControl: Render the suffix only if there's one. ([80356](https://github.com/WordPress/gutenberg/pull/80356))
- UI: Add Autocomplete.Row primitive. ([80490](https://github.com/WordPress/gutenberg/pull/80490))

#### Block Library
- Add Table of Contents end-to-end user story coverage. ([80199](https://github.com/WordPress/gutenberg/pull/80199))
- Math: Use ValidatedTextareaControl for LaTeX input. ([80500](https://github.com/WordPress/gutenberg/pull/80500))

#### Post Editor
- Add a responsiveEditingEnabled editor setting to hide the Responsive styles option. ([80814](https://github.com/WordPress/gutenberg/pull/80814))

#### Font Library
- Fix navigation page select font size to match DataViews. ([80617](https://github.com/WordPress/gutenberg/pull/80617))

#### Collaboration
- RTC: Disable Quick Edit while a post is being edited. ([80016](https://github.com/WordPress/gutenberg/pull/80016))

#### Global Styles
- Extract shared preset management from shadows and font sizes. ([79810](https://github.com/WordPress/gutenberg/pull/79810))

#### Block Editor
- Reflect inherited Global Styles values in block inspector controls. ([77894](https://github.com/WordPress/gutenberg/pull/77894))


### Bug Fixes

- Block Editor: Fix floated blocks overlapping sticky blocks. ([80749](https://github.com/WordPress/gutenberg/pull/80749))
- Update view configuration API versioning. ([80319](https://github.com/WordPress/gutenberg/pull/80319))
- View config: Reject shape-mismatched merges, define empty-array semantics, strip nulls from appended members. ([80571](https://github.com/WordPress/gutenberg/pull/80571))
- createInterpolateElement: Handle unmatched closing tags gracefully. ([80618](https://github.com/WordPress/gutenberg/pull/80618))

#### Block Library
- Account for non-lowercase `VIDEO` tag in `render_block_core_video()`. ([80537](https://github.com/WordPress/gutenberg/pull/80537))
- Cover/Accordion: Exit on Enter. ([77301](https://github.com/WordPress/gutenberg/pull/77301))
- Dynamic Gallery: Rename toolbar button to Detach and add a modal explaining what will happen. ([80727](https://github.com/WordPress/gutenberg/pull/80727))
- Fix: Pullquote custom line height in the editor. ([80586](https://github.com/WordPress/gutenberg/pull/80586))
- Gallery: Make dynamic mode conversion a single undo level. ([80665](https://github.com/WordPress/gutenberg/pull/80665))
- List Block: Preserve ordered type on indent. ([75353](https://github.com/WordPress/gutenberg/pull/75353))
- Media Editor: Show a loading state while the cropped file loads. ([80460](https://github.com/WordPress/gutenberg/pull/80460))
- Media: Remove the redundant __heicUploadSupport flag. ([80452](https://github.com/WordPress/gutenberg/pull/80452))
- Navigation: Fix missing 'Add block' option in Link UI when inside template parts. ([78427](https://github.com/WordPress/gutenberg/pull/78427))
- Playlist: Shorten track toolbar button label. ([80759](https://github.com/WordPress/gutenberg/pull/80759))
- Query Loop: Add translation context to the 'Offset' setting label. ([80582](https://github.com/WordPress/gutenberg/pull/80582))
- Social Link: Fix stray closing tag in Tumblr icon markup. ([80257](https://github.com/WordPress/gutenberg/pull/80257))

#### Block Editor
- Background image control: Remove duplicated focus ring. ([80671](https://github.com/WordPress/gutenberg/pull/80671))
- Block Tools: Fix empty block appender position inside blocks that capture toolbars. ([80592](https://github.com/WordPress/gutenberg/pull/80592))
- Fix cursor position during forward delete of empty blocks. ([77525](https://github.com/WordPress/gutenberg/pull/77525))
- Fix preset round-trip test imports after preset utils consolidation. ([80589](https://github.com/WordPress/gutenberg/pull/80589))
- Global Styles panels: Fix wrong preset committed and shown when two color presets share a hex. ([80497](https://github.com/WordPress/gutenberg/pull/80497))
- Global Styles: Resolve link element styles in block inspector controls for blocks that are links. ([80607](https://github.com/WordPress/gutenberg/pull/80607))
- RTC: Prevent controlled block synchronization from intercepting undo. ([80503](https://github.com/WordPress/gutenberg/pull/80503))
- Rich text: Remove tabIndex from editable elements again to fix shift+click selection. ([80651](https://github.com/WordPress/gutenberg/pull/80651))
- Writing flow: Extend block selections with shift+arrow when there is no native selection. ([80687](https://github.com/WordPress/gutenberg/pull/80687))
- Writing flow: Mark shift+click as a multi-selection gesture. ([80286](https://github.com/WordPress/gutenberg/pull/80286))
- Writing flow: Stop the page scrolling on caret moves within blocks taller than the viewport. ([80708](https://github.com/WordPress/gutenberg/pull/80708))
- RichText: Don't apply input transform when there's no onReplace. ([80978](https://github.com/WordPress/gutenberg/pull/80978))
- RichText: Fix paste handler crash when pasting files. ([81010](https://github.com/WordPress/gutenberg/pull/81010))

#### Post Editor
- Editor: Leave undo to the browser in fields that handle their own undo. ([80768](https://github.com/WordPress/gutenberg/pull/80768))
- Editor: Restore fixed device preview height for mobile and tablet. ([80271](https://github.com/WordPress/gutenberg/pull/80271))
- Meta boxes: Match heading styles with Gutenberg panels. ([80670](https://github.com/WordPress/gutenberg/pull/80670))
- Notes: Capture the target block before saving a block-level note. ([80690](https://github.com/WordPress/gutenberg/pull/80690))
- Notes: Register the inline note format at import time. ([80576](https://github.com/WordPress/gutenberg/pull/80576))
- Notes: Report save success consistently from note actions. ([80748](https://github.com/WordPress/gutenberg/pull/80748))
- Notes: Sync the sidebar selection to the inline marker under the caret. ([80610](https://github.com/WordPress/gutenberg/pull/80610))
- Post Lock: Fix modal flipping to "Someone else has taken over" for a locked-out viewer. ([79997](https://github.com/WordPress/gutenberg/pull/79997))
- Wrap notices in ThemeProvider with 0 corner radius. ([79523](https://github.com/WordPress/gutenberg/pull/79523))
- iOS: Remove jumping hack, add typewriter. ([74596](https://github.com/WordPress/gutenberg/pull/74596))

#### Components
- DataForm: Stop card and details validation from hijacking focus. ([80685](https://github.com/WordPress/gutenberg/pull/80685))
- Fix Root `.prettierrc.js` override issue. ([80422](https://github.com/WordPress/gutenberg/pull/80422))
- GradientPicker: Select by slug so two presets sharing a gradient keep their identity. ([80554](https://github.com/WordPress/gutenberg/pull/80554))
- Storybook: Fix Emotion jsxImportSource. ([80426](https://github.com/WordPress/gutenberg/pull/80426))
- ToolsPanel: Migrate styles to an SCSS Module. ([80445](https://github.com/WordPress/gutenberg/pull/80445))

#### Client Side Media
- Fix upload hang when converting long animated GIFs: Decode only the first frame for still outputs. ([80260](https://github.com/WordPress/gutenberg/pull/80260))
- Media: Stop forcing crossorigin on IMG tags in media templates. ([80532](https://github.com/WordPress/gutenberg/pull/80532))
- wp-build: Sync the page template preload field list with core-data. ([80648](https://github.com/WordPress/gutenberg/pull/80648))

#### Collaboration
- Notes: Detach core's mention kses filter in the baseline strip test. ([80656](https://github.com/WordPress/gutenberg/pull/80656))
- RTC: Compact during serialization. ([80707](https://github.com/WordPress/gutenberg/pull/80707))

#### Media
- Media REST API: Backport sideload from URL path upload size check. ([80659](https://github.com/WordPress/gutenberg/pull/80659))

#### Global Styles
- Theme JSON: Level block-level preset class specificity with :Where(). ([80657](https://github.com/WordPress/gutenberg/pull/80657))

#### Data Layer
- RTC: Preserve collaborators' unsaved edits when another user saves. ([79936](https://github.com/WordPress/gutenberg/pull/79936))


### Accessibility

#### Block Library
- Improve the various Alignment controls props handling. ([63696](https://github.com/WordPress/gutenberg/pull/63696))
- Navigation: Fixes `aria-expanded` not updating on hover submenu inside overlay. ([77563](https://github.com/WordPress/gutenberg/pull/77563))


### Performance

#### Block Editor
- Rich text: Read the contentEditable attribute in ownsSelection to avoid forced layout. ([80549](https://github.com/WordPress/gutenberg/pull/80549))
- Try to fix typing performance regression. ([80507](https://github.com/WordPress/gutenberg/pull/80507))

#### Post Editor
- Editor: Avoid unnecessary term re-fetches in FlatTermSelector. ([80623](https://github.com/WordPress/gutenberg/pull/80623))

#### Data Layer
- Core Data: Move EntitiesSavedState component out of editor (rebase of #71948). ([80485](https://github.com/WordPress/gutenberg/pull/80485))


### Experiments

#### Dashboard
- Dashboard Widgets: Harden action `href` sanitization. ([80510](https://github.com/WordPress/gutenberg/pull/80510))
- Dashboard Widgets: Sanitize help link hrefs. ([80409](https://github.com/WordPress/gutenberg/pull/80409))

#### Block Editor
- Global Styles: Put the inheritance UI behind a Gutenberg experiment. ([80815](https://github.com/WordPress/gutenberg/pull/80815))


### Documentation

- Add nvm use instructions to AGENTS.md. ([80755](https://github.com/WordPress/gutenberg/pull/80755))
- Add progressive-discovery pattern for agent instructions and skills. ([80650](https://github.com/WordPress/gutenberg/pull/80650))
- Added Missing Global Documentation in `table-of-contents/index.php`. ([80442](https://github.com/WordPress/gutenberg/pull/80442))
- Docs: Add missing file-level and class-level docblocks to WP_Icon_Collections_Registry. ([80172](https://github.com/WordPress/gutenberg/pull/80172))
- Docs: Clarify agent guidance discovery. ([80753](https://github.com/WordPress/gutenberg/pull/80753))
- Docs: Clarify getBlock behavior with inner block controllers. ([80773](https://github.com/WordPress/gutenberg/pull/80773))
- Docs: Expand the back-porting to WP Core guide. ([80593](https://github.com/WordPress/gutenberg/pull/80593))
- Docs: Require view configuration filter callbacks to return the container. ([80642](https://github.com/WordPress/gutenberg/pull/80642))
- Docs: Update iframe guidance for Gutenberg 23.6. ([80629](https://github.com/WordPress/gutenberg/pull/80629))
- Theme: Update Storybook admin color scheme examples. ([80569](https://github.com/WordPress/gutenberg/pull/80569))
- UI: Add dialog vs drawer design guidance. ([80783](https://github.com/WordPress/gutenberg/pull/80783))
- Update documentation for server-side view configuration filters. ([80744](https://github.com/WordPress/gutenberg/pull/80744))
- Used `@link` for URL in inline documentation. ([80716](https://github.com/WordPress/gutenberg/pull/80716))


### Code Quality

- ESLint: Add missing not-recommended components to denylist. ([80754](https://github.com/WordPress/gutenberg/pull/80754))
- Fix: Update webpack-dev-server to ^5.2.1 to help with dep alerts. ([80347](https://github.com/WordPress/gutenberg/pull/80347))
- GitHub workflows: Fix changelog checks for forked PRs. ([80538](https://github.com/WordPress/gutenberg/pull/80538))
- Interactivity API: Refactor directives into self-registering modules. ([79975](https://github.com/WordPress/gutenberg/pull/79975))
- RTC: Use array_any() for newer-compaction check in polling sync server. ([80522](https://github.com/WordPress/gutenberg/pull/80522))
- RTC: Use str_contains() in WP_Sync_Config. ([80476](https://github.com/WordPress/gutenberg/pull/80476))
- Storybook: Build the resolve specifier as a URL-style string. ([80416](https://github.com/WordPress/gutenberg/pull/80416))
- Tools: Resolve dependencies independently of the node_modules layout. ([80414](https://github.com/WordPress/gutenberg/pull/80414))

#### Components
- Autocomplete: Reference the suggestions list with `aria-controls` and `aria-haspopup`. ([80403](https://github.com/WordPress/gutenberg/pull/80403))
- ExternalLink: Use shared focus ring mixin. ([80573](https://github.com/WordPress/gutenberg/pull/80573))
- Make `useSelectionProps` hook layout agnostic. ([80677](https://github.com/WordPress/gutenberg/pull/80677))
- Migrate Disabled to SCSS module. ([80643](https://github.com/WordPress/gutenberg/pull/80643))
- Migrate FormTokenField to SCSS module. ([80472](https://github.com/WordPress/gutenberg/pull/80472))
- Migrate SearchControl to SCSS module. ([80474](https://github.com/WordPress/gutenberg/pull/80474))
- Packages: Update date-fns to 4.4.0. ([80763](https://github.com/WordPress/gutenberg/pull/80763))
- Theme: Update Color.js to 0.7.1. ([80762](https://github.com/WordPress/gutenberg/pull/80762))
- Theme: Update colorjs.io dependency and drop bug workaround. ([80272](https://github.com/WordPress/gutenberg/pull/80272))
- UI: Improve component code readability in Storybook by using arrays for children. ([80352](https://github.com/WordPress/gutenberg/pull/80352))
- theme: Disallow src in published package. ([80213](https://github.com/WordPress/gutenberg/pull/80213))

#### Block Library
- Guards against error throwing attribute values. ([80558](https://github.com/WordPress/gutenberg/pull/80558))
- Make editableRoot a private block setting rather than a public support. ([80820](https://github.com/WordPress/gutenberg/pull/80820))
- Misc fixes for WordPress-Develop 7.0 merges. ([75985](https://github.com/WordPress/gutenberg/pull/75985))
- Page List: Use null coalescing operator for parentPageID attribute. ([80728](https://github.com/WordPress/gutenberg/pull/80728))
- Remove redundant @jest-environment jsdom pragma and lint against it. ([80676](https://github.com/WordPress/gutenberg/pull/80676))
- Remove unnecessary __next40pxDefaultSize props from form controls. ([80540](https://github.com/WordPress/gutenberg/pull/80540))
- Table of Contents: Use str_contains() instead of strpos() check. ([80418](https://github.com/WordPress/gutenberg/pull/80418))
- Tabs : Remove default paragraph from tab-panel template. ([80565](https://github.com/WordPress/gutenberg/pull/80565))

#### Block Editor
- Duotone: Dedupe duotone utils into global-styles-engine. ([80598](https://github.com/WordPress/gutenberg/pull/80598))
- Reduce duplicated preset utility implementations. ([80245](https://github.com/WordPress/gutenberg/pull/80245))
- Refactor 'URLInput' to function component. ([80721](https://github.com/WordPress/gutenberg/pull/80721))

#### Post Editor
- Icons: Validate SVG icons include viewBox. ([80273](https://github.com/WordPress/gutenberg/pull/80273))
- Notes: Cancel in-flight hover highlight when focus leaves a note thread. ([80752](https://github.com/WordPress/gutenberg/pull/80752))

#### Data Layer
- Packages: Update memize to 2.1.1. ([80764](https://github.com/WordPress/gutenberg/pull/80764))

#### Global Styles
- Rename unit test files and drop `.spec.js` suffix. ([80711](https://github.com/WordPress/gutenberg/pull/80711))

#### Site Editor
- Edit Site: Replace Theme usage in canvas loader with CSS. ([80688](https://github.com/WordPress/gutenberg/pull/80688))

#### Collaboration
- Move real-time collaboration code to lib/experimental/collaboration. ([80469](https://github.com/WordPress/gutenberg/pull/80469))


### Tools

- Docs: Update the release form screenshot for GitHub's new Release label UI. ([80567](https://github.com/WordPress/gutenberg/pull/80567))
- Release: Require a working GitHub CLI for cherry-picking. ([80568](https://github.com/WordPress/gutenberg/pull/80568))

#### Build Tooling
- Build: Add independent react-18 vendor package. ([80367](https://github.com/WordPress/gutenberg/pull/80367))
- Build: Handle project paths containing spaces in dev script. ([80519](https://github.com/WordPress/gutenberg/pull/80519))
- Components: Skip polymorphism prop typings on intersection. ([80364](https://github.com/WordPress/gutenberg/pull/80364))
- DependencyExtractionWebpackPlugin: Include extracted styles in the asset version hash. ([80601](https://github.com/WordPress/gutenberg/pull/80601))
- React 19: Add end-to-end compat test for boolean inert attribute. ([80397](https://github.com/WordPress/gutenberg/pull/80397))
- Resolve Prettier explicitly for isolated layout. ([80529](https://github.com/WordPress/gutenberg/pull/80529))
- Storybook: Remove Emotion as JSX import source. ([80647](https://github.com/WordPress/gutenberg/pull/80647))
- WP Build: Avoid infinite worker build loop. ([80361](https://github.com/WordPress/gutenberg/pull/80361))
- Improve pre-flight npm access checks. ([80334](https://github.com/WordPress/gutenberg/pull/80334))

#### Testing
- Jest: Fix ignore pattern for TypeScript declaration files. ([80737](https://github.com/WordPress/gutenberg/pull/80737))
- Jest: Update to v30 (breaking). ([80767](https://github.com/WordPress/gutenberg/pull/80767))
- Only use Flakiness.io in canonical Gutenberg repo. ([80816](https://github.com/WordPress/gutenberg/pull/80816))
- Perf Tests: Fix 'Selecting blocks' metric reporting 0 ms. ([80524](https://github.com/WordPress/gutenberg/pull/80524))
- RTC: Fix deleted-user test on multisite. ([80463](https://github.com/WordPress/gutenberg/pull/80463))
- Site Editor: Add end-to-end coverage for view configuration extensibility. ([80577](https://github.com/WordPress/gutenberg/pull/80577))


### Various

#### Components
- Base Styles: Remove accent color parameter from input-control. ([80595](https://github.com/WordPress/gutenberg/pull/80595))
- Remove private Theme component. ([80691](https://github.com/WordPress/gutenberg/pull/80691))


## First-time contributors

The following PRs were merged by first-time contributors:

- @dilipom13: Meta boxes: Match heading styles with Gutenberg panels. ([80670](https://github.com/WordPress/gutenberg/pull/80670))
- @faisalahammad: Editor: Restore fixed device preview height for mobile and tablet. ([80271](https://github.com/WordPress/gutenberg/pull/80271))
- @nickchomey: Interactivity API: Refactor directives into self-registering modules. ([79975](https://github.com/WordPress/gutenberg/pull/79975))


## Contributors

The following contributors merged PRs in this release:

@aaronrobertshaw @adamsilverstein @aduth @andrewserong @chriszarate @ciampo @CookieDarb @DarkMatter-999 @desrosj @dhananjaykuber @dilipom13 @dpmehta @ellatrix @enejb @faisalahammad @getdave @himanshupathak95 @i-am-chitti @im3dabasia @Imran92 @jeryj @jorgefilipecosta @jsnajdr @juanfra @Kgupta62 @MaggieCabrera @Mamaduka @manzoorwanijk @maxschmeling @mirka @Mustafabharmal @nickchomey @noruzzamans @ntsekouras @oandregal @obenland @ocean90 @peterwilsoncc @ramonjd @retrofox @scruffian @shail-mehta @shekharnwagh @shimotmk @simison @sirreal @Soean @t-hamano @westonruter @yashjawale




= 23.6.2 =


## Changelog

### Bug Fixes

#### Layout
- Block supports: Return from layout support before resolving global settings. ([80771](https://github.com/WordPress/gutenberg/pull/80771))




## Contributors

The following contributors merged PRs in this release:

@ramonjd


= 23.6.1 =


## Changelog

### Bug Fixes

#### Layout
- Block supports: Return from layout support before resolving global settings. ([80771](https://github.com/WordPress/gutenberg/pull/80771))




## Contributors

The following contributors merged PRs in this release:

@ramonjd


= 23.6.0 =

## Changelog

### Features

#### Post Editor
- Allow setting viewport tablet and mobile values in theme.json. ([79104](https://github.com/WordPress/gutenberg/pull/79104))
- Experimental: Expand DataForm inspector to patterns. ([79452](https://github.com/WordPress/gutenberg/pull/79452))
- Notes: Add @mention autocomplete. ([79604](https://github.com/WordPress/gutenberg/pull/79604))
- Notes: Inline (partial-text) notes via hybrid marker + strip-on-render approach. ([78218](https://github.com/WordPress/gutenberg/pull/78218))
- Show the admin bar in the Post and Site Editor by default. ([79197](https://github.com/WordPress/gutenberg/pull/79197))

#### Block Editor
- Share block-bindings context assembly between call sites. ([79855](https://github.com/WordPress/gutenberg/pull/79855))

#### Data Layer
- Blocks: Add innerContent support for static inner blocks, adopt it in the HTML block. ([79115](https://github.com/WordPress/gutenberg/pull/79115))

#### Components
- DataViews: Add a richtext control backed by a private RichTextControl shell in @wordpress/components. ([78471](https://github.com/WordPress/gutenberg/pull/78471))

#### Block Library
- Icons: Add PHP method(s) for rendering inline SVG icons from the registry. ([78332](https://github.com/WordPress/gutenberg/pull/78332))


### Enhancements

- CSS: Follow-up fixes to split_selector_list(). ([79723](https://github.com/WordPress/gutenberg/pull/79723))
- Document widget relevance, help. ([80007](https://github.com/WordPress/gutenberg/pull/80007))
- Expose widget category through the build pipeline and REST API. ([79638](https://github.com/WordPress/gutenberg/pull/79638))
- Omnibar: Move the 'site icon in admin bar' feature from experiment to 7.1 compat. ([79807](https://github.com/WordPress/gutenberg/pull/79807))
- Scripts: Make 'test-e2e' run Playwright and remove Puppeteer. ([80058](https://github.com/WordPress/gutenberg/pull/80058))
- Site Editor v2 experiment: Hide admin bar in distraction-free mode. ([79937](https://github.com/WordPress/gutenberg/pull/79937))
- Widget Dashboard: Remove layout-settings editing. ([79903](https://github.com/WordPress/gutenberg/pull/79903))
- Widget Dashboard: Reserve paint space for tile focus rings. ([79990](https://github.com/WordPress/gutenberg/pull/79990))
- Widget Primitives: Add `WidgetAttributeField` for typed attribute schemas. ([79544](https://github.com/WordPress/gutenberg/pull/79544))
- Widgets: Add a declarative `help` metadata field, surfaced as a header infotip. ([79830](https://github.com/WordPress/gutenberg/pull/79830))
- Widgets: Add attribute `relevance` and inline editing in the tile toolbar. ([79735](https://github.com/WordPress/gutenberg/pull/79735))
- Widgets: Translate `title`, `description`, and `keywords` server-side. ([79701](https://github.com/WordPress/gutenberg/pull/79701))

#### Block Library
- Accordion block: Add background gradient support. ([79840](https://github.com/WordPress/gutenberg/pull/79840))
- Add ariaLabel supports for Tab List Block. ([79948](https://github.com/WordPress/gutenberg/pull/79948))
- Add icon state classes to Accordion block. ([74257](https://github.com/WordPress/gutenberg/pull/74257))
- Add layout and block spacing support to Latest Posts block. ([77989](https://github.com/WordPress/gutenberg/pull/77989))
- Add option to exclude current post from query block. ([64916](https://github.com/WordPress/gutenberg/pull/64916))
- Animated GIF to video conversion (via mediabunny). ([78410](https://github.com/WordPress/gutenberg/pull/78410))
- Classic block: Remove migration notice and restore inserter availability. ([79894](https://github.com/WordPress/gutenberg/pull/79894))
- Cover: Allow restricting video embed providers. ([80092](https://github.com/WordPress/gutenberg/pull/80092))
- File Block: Deduplicate the file to audio/video/image transforms. ([80158](https://github.com/WordPress/gutenberg/pull/80158))
- GIF to video conversion: Make it opt-in. Switching via block transforms. ([80072](https://github.com/WordPress/gutenberg/pull/80072))
- Generalize playlist block wording. ([80071](https://github.com/WordPress/gutenberg/pull/80071))
- Icons: Filter the icon library picker by collection. ([79681](https://github.com/WordPress/gutenberg/pull/79681))
- Make the Playlist blocks stable. ([80203](https://github.com/WordPress/gutenberg/pull/80203))
- Move styles into specific waveform styles dropdown area. ([80060](https://github.com/WordPress/gutenberg/pull/80060))
- Playlist Block: Add artwork to play button. ([79938](https://github.com/WordPress/gutenberg/pull/79938))
- Playlist Block: Add waveform and waveform background color options. ([80065](https://github.com/WordPress/gutenberg/pull/80065))
- Playlist: Seek value text localization. ([79834](https://github.com/WordPress/gutenberg/pull/79834))
- Playlist: Update waveform player dependency. ([79825](https://github.com/WordPress/gutenberg/pull/79825))
- Post Content block: Add background gradient support. ([79842](https://github.com/WordPress/gutenberg/pull/79842))
- Pullquote block: Add background gradient support. ([79841](https://github.com/WordPress/gutenberg/pull/79841))
- Quote block: Add background gradient support. ([79843](https://github.com/WordPress/gutenberg/pull/79843))
- Responsive editing: Hide block toolbar slots when editing a responsive style state. ([79998](https://github.com/WordPress/gutenberg/pull/79998))
- Second click or space/enter keypress on playing track pauses it. ([80066](https://github.com/WordPress/gutenberg/pull/80066))
- Stabilize Tabs block. ([80163](https://github.com/WordPress/gutenberg/pull/80163))
- Tabs: Combine and cleanup toolbar controls. ([79537](https://github.com/WordPress/gutenberg/pull/79537))
- Tabs: RichText handlers for adding/removing tabs. ([79583](https://github.com/WordPress/gutenberg/pull/79583))
- Tabs: Wrap tab list onto multiple lines by default. ([80097](https://github.com/WordPress/gutenberg/pull/80097))
- Term Name: Migrate to textAlign block support. ([76581](https://github.com/WordPress/gutenberg/pull/76581))
- Use playlist icon for Playlist block. ([80174](https://github.com/WordPress/gutenberg/pull/80174))
- Verse block: Add background gradient support. ([79391](https://github.com/WordPress/gutenberg/pull/79391))
- Icon block: Show text and background color controls by default. ([80251](https://github.com/WordPress/gutenberg/pull/80251))
- Tab List: Add toolbar buttons to reorder tabs. ([80107](https://github.com/WordPress/gutenberg/pull/80107))

#### Components
- Base Styles: Make Sass token fallbacks self-contained. ([79651](https://github.com/WordPress/gutenberg/pull/79651))
- Base Styles: Reapply wpds-var Sass helper. ([79470](https://github.com/WordPress/gutenberg/pull/79470))
- BorderBoxControl: Hard deprecate 40px default size. ([79420](https://github.com/WordPress/gutenberg/pull/79420))
- BorderControl: Hard deprecate 40px default size. ([79418](https://github.com/WordPress/gutenberg/pull/79418))
- Button: Align focus styles with design system. ([78646](https://github.com/WordPress/gutenberg/pull/78646))
- Checkbox: Add form primitive to @wordpress/ui. ([80039](https://github.com/WordPress/gutenberg/pull/80039))
- ComboboxControl: Hard deprecate 40px default size. ([79636](https://github.com/WordPress/gutenberg/pull/79636))
- Components/Button: Don't use box-shadow for secondary buttons. ([79982](https://github.com/WordPress/gutenberg/pull/79982))
- CustomSelectControl: Hard deprecate 40px default size. ([79796](https://github.com/WordPress/gutenberg/pull/79796))
- DS: Name font weight tokens by intent. ([80093](https://github.com/WordPress/gutenberg/pull/80093))
- FontSizePicker: Hard deprecate 40px default size. ([79481](https://github.com/WordPress/gutenberg/pull/79481))
- FormFileUpload: Hard deprecate 40px default size. ([79655](https://github.com/WordPress/gutenberg/pull/79655))
- FormTokenField: Hard deprecate 40px default size. ([79720](https://github.com/WordPress/gutenberg/pull/79720))
- InputControl: Hard deprecate 40px default size. ([79962](https://github.com/WordPress/gutenberg/pull/79962))
- NumberControl: Hard deprecate 40px default size. ([79861](https://github.com/WordPress/gutenberg/pull/79861))
- Packages: Update Ariakit to 0.4.32. ([79860](https://github.com/WordPress/gutenberg/pull/79860))
- Radio: Hard deprecate 40px default size. ([79657](https://github.com/WordPress/gutenberg/pull/79657))
- RangeControl: Hard deprecate 40px default size. ([79590](https://github.com/WordPress/gutenberg/pull/79590))
- SelectControl: Hard deprecate 40px default size. ([79797](https://github.com/WordPress/gutenberg/pull/79797))
- Theme: Remove elevation tokens. ([80099](https://github.com/WordPress/gutenberg/pull/80099))
- Theme: Restrict seed colors to opaque values. ([79773](https://github.com/WordPress/gutenberg/pull/79773))
- ToggleGroupControl: Hard deprecate 40px default size. ([79656](https://github.com/WordPress/gutenberg/pull/79656))
- TreeSelect: Hard deprecate 40px default size. ([79550](https://github.com/WordPress/gutenberg/pull/79550))
- UI: Add LinkButton. ([78944](https://github.com/WordPress/gutenberg/pull/78944))
- UI: Add Skeleton component. ([79671](https://github.com/WordPress/gutenberg/pull/79671))
- UI: Update @base-ui/react to 1.6.0. ([79408](https://github.com/WordPress/gutenberg/pull/79408))
- UnitControl: Hard deprecate 40px default size. ([79721](https://github.com/WordPress/gutenberg/pull/79721))
- theme: Validate npm publish surface. ([79552](https://github.com/WordPress/gutenberg/pull/79552))
- ui/IconButton: Restore default tooltip delay. ([79505](https://github.com/WordPress/gutenberg/pull/79505))
- DataViews: Add shift-click range selection. ([80046](https://github.com/WordPress/gutenberg/pull/80046))

#### Post Editor
- Commands: Add toggle for content-only pattern/template part editing. ([78383](https://github.com/WordPress/gutenberg/pull/78383))
- Commands: Suggest pattern editing toggle for selected patterns. ([79566](https://github.com/WordPress/gutenberg/pull/79566))
- Editor: Preload the view configuration form request for the DataForm inspector. ([79910](https://github.com/WordPress/gutenberg/pull/79910))
- Media Inserter: Add pagination to core media inserter categories. ([80038](https://github.com/WordPress/gutenberg/pull/80038))
- Media Inserter: Allow core media categories to subscribe to changes. ([79921](https://github.com/WordPress/gutenberg/pull/79921))
- Notes: Add a "Resolved" divider above resolved notes. ([80019](https://github.com/WordPress/gutenberg/pull/80019))
- Notes: Remove snackbar when resolving or reopening a note. ([80017](https://github.com/WordPress/gutenberg/pull/80017))
- Preview dropdown: Simplify viewport style state descriptions. ([80146](https://github.com/WordPress/gutenberg/pull/80146))
- RTC: Remove collaboration notification defaults filter. ([79771](https://github.com/WordPress/gutenberg/pull/79771))
- Rename 'Responsive editing' toggle to 'Responsive styles'. ([80241](https://github.com/WordPress/gutenberg/pull/80241))
- Responsive style states: Update responsive editing help text and avoid showing desktop badge. ([79615](https://github.com/WordPress/gutenberg/pull/79615))
- Restore responsive editing viewport dropdown copy changes. ([79999](https://github.com/WordPress/gutenberg/pull/79999))
- View config: Add better post type default `form`. ([79625](https://github.com/WordPress/gutenberg/pull/79625))
- Visual revisions: Label autosaves in the revisions timeline. ([79950](https://github.com/WordPress/gutenberg/pull/79950))
- Visual revisions: Make the autosave notice work with the visual revisions UI. ([79947](https://github.com/WordPress/gutenberg/pull/79947))
- [RTC] Add granular collaboration control. ([79184](https://github.com/WordPress/gutenberg/pull/79184))
- Notes: Remove "Add note" from the inline styles dropdown. ([80531](https://github.com/WordPress/gutenberg/pull/80531))
- Device preview dropdown: Use active color for device icon when responsive styles are active. ([80346](https://github.com/WordPress/gutenberg/pull/80346))
- Editor: Allow selecting which block styles to apply globally. ([79839](https://github.com/WordPress/gutenberg/pull/79839))
- Notes: Add placeholders to the RichText fields. ([80296](https://github.com/WordPress/gutenberg/pull/80296))
- Notes: Increase contrast between avatar border colors. ([80285](https://github.com/WordPress/gutenberg/pull/80285))

#### Block Editor
- Add contrast checking for viewport and pseudo states. ([80223](https://github.com/WordPress/gutenberg/pull/80223))
- Block variations: Support innerContent for the Custom HTML block. ([79659](https://github.com/WordPress/gutenberg/pull/79659))
- Block visibility: Add theme json opt out. ([76559](https://github.com/WordPress/gutenberg/pull/76559))
- Classic Block: Remove conversion from `BlockInvalidWarning`. ([79500](https://github.com/WordPress/gutenberg/pull/79500))
- Color popover: Move contrast warning notice to the bottom. ([79512](https://github.com/WordPress/gutenberg/pull/79512))
- Enable text alignment to be set by viewport state. ([80037](https://github.com/WordPress/gutenberg/pull/80037))
- FontAppearanceControl: Hard deprecate 40px default size. ([79635](https://github.com/WordPress/gutenberg/pull/79635))
- FontFamilyControl: Hard deprecate 40px default size. ([79593](https://github.com/WordPress/gutenberg/pull/79593))
- Grid: Add option to stretch columns with auto-fit for better layout flexibility. ([79356](https://github.com/WordPress/gutenberg/pull/79356))
- LetterSpacingControl: Hard deprecate 40px default size. ([79533](https://github.com/WordPress/gutenberg/pull/79533))
- LineHeightControl: Hard deprecate 40px default size. ([79589](https://github.com/WordPress/gutenberg/pull/79589))
- Media Inserter: Guard attach, detach, and invalidate behind a ! isExternalResource check. ([79978](https://github.com/WordPress/gutenberg/pull/79978))
- Pattern editing: Fade blocks outside the edited pattern in List View. ([73997](https://github.com/WordPress/gutenberg/pull/73997))
- Responsive editing: Add a Tooltip to the viewport / states badge. ([80080](https://github.com/WordPress/gutenberg/pull/80080))
- Reflect inherited Global Styles values in block inspector controls. ([80481](https://github.com/WordPress/gutenberg/pull/80481))

#### Icons
- Add "sites" icon. ([80094](https://github.com/WordPress/gutenberg/pull/80094))
- Add APIs for collection and icon registration. ([77260](https://github.com/WordPress/gutenberg/pull/77260))
- Add Playlist icon. ([80168](https://github.com/WordPress/gutenberg/pull/80168))
- Add repeat all icon. ([79698](https://github.com/WordPress/gutenberg/pull/79698))
- Icons Registry: Allow digits and underscores in icon slugs. ([79623](https://github.com/WordPress/gutenberg/pull/79623))

#### Dashboard
- Widget Dashboard: Anchor settings drawer to the right and toggle it from the gear. ([79683](https://github.com/WordPress/gutenberg/pull/79683))
- Widget Dashboard: Refactor tile header and toolbar chrome. ([79639](https://github.com/WordPress/gutenberg/pull/79639))
- Widget Primitives: Add a field type registry for widget attributes. ([80148](https://github.com/WordPress/gutenberg/pull/80148))
- Widget inserter: More accurate widget previews. ([79517](https://github.com/WordPress/gutenberg/pull/79517))
- Widgets: Auto-save inline attribute edits. ([79808](https://github.com/WordPress/gutenberg/pull/79808))

#### Plugin
- Experiments: Move screen under Settings, drop top-level Gutenberg menu and Demo page. ([79456](https://github.com/WordPress/gutenberg/pull/79456))
- Release: Harden all npm package release paths. ([79905](https://github.com/WordPress/gutenberg/pull/79905))
- Release: Harden latest npm metadata publishing. ([79904](https://github.com/WordPress/gutenberg/pull/79904))
- Release: Make npm publishing rerunnable. ([80187](https://github.com/WordPress/gutenberg/pull/80187))
- Global Styles: Limit the inherited value treatment to the Gutenberg plugin. ([80555](https://github.com/WordPress/gutenberg/pull/80555))

#### Site Editor
- Theme: Fill semantic token state gaps. ([79770](https://github.com/WordPress/gutenberg/pull/79770))
- Theme: Make @wordpress/theme ESM only. ([80063](https://github.com/WordPress/gutenberg/pull/80063))

#### Data Layer
- Icons: Add an icon collections REST endpoint and tighten name rules. ([79686](https://github.com/WordPress/gutenberg/pull/79686))
- Packages: Widen React peer dependency support to include React 19. ([80024](https://github.com/WordPress/gutenberg/pull/80024))
- Client Side Media: Honor image_strip_meta and image_max_bit_depth on the client upload path. ([80218](https://github.com/WordPress/gutenberg/pull/80218))

#### Global Styles
- Migrate color palette tabs to @wordpress/ui. ([79281](https://github.com/WordPress/gutenberg/pull/79281))
- Show skeleton placeholder while previews load. ([79849](https://github.com/WordPress/gutenberg/pull/79849))

#### DataViews
- View Config: Add version handling. ([79809](https://github.com/WordPress/gutenberg/pull/79809))

#### Design Tools
- Global Styles: Match block panel order to the block inspector. ([79794](https://github.com/WordPress/gutenberg/pull/79794))

#### Extensibility
- Guidelines: Add Blocks as a registry scope. ([79709](https://github.com/WordPress/gutenberg/pull/79709))

#### Media
- Media Editor: Use new Tabs component from the ui package, and its minimal variant. ([79664](https://github.com/WordPress/gutenberg/pull/79664))

#### Connectors screen
- Connectors: Add application password settings UI. ([79403](https://github.com/WordPress/gutenberg/pull/79403))

#### Client Side Media
- Media: Return the filtered `wp_editor_set_quality` value in the upload response. ([78420](https://github.com/WordPress/gutenberg/pull/78420))


### Bug Fixes

- Abilities: Support URI schema format. ([79555](https://github.com/WordPress/gutenberg/pull/79555))
- Command Palette: Show the search icon on desktop as well. ([79881](https://github.com/WordPress/gutenberg/pull/79881))
- Fix: DataForm inspector shows raw "auto-draft" status for new posts. ([79914](https://github.com/WordPress/gutenberg/pull/79914))
- Media: Fix fatal error from narrowed create_item_from_url() visibility. ([79972](https://github.com/WordPress/gutenberg/pull/79972))
- Site Editor: Update default theme color from fresh to modern. ([79814](https://github.com/WordPress/gutenberg/pull/79814))
- design-system-mcp: Use fixed version for alpha MCP server. ([80061](https://github.com/WordPress/gutenberg/pull/80061))
- lintstaged: Avoid appending filenames to the `prelint:Js` command. ([79800](https://github.com/WordPress/gutenberg/pull/79800))
- Core Abilities: Restore the ready promise and lazy-load via dynamic import. ([79155](https://github.com/WordPress/gutenberg/pull/79155))

#### Block Library
- Add translation comment to waveform styles. ([80112](https://github.com/WordPress/gutenberg/pull/80112))
- Block position: Allow options dropdown to flip. ([79798](https://github.com/WordPress/gutenberg/pull/79798))
- Blocks: Rename _gutenberg_apply_content_filters() to _wp_apply_content_filters(). ([80191](https://github.com/WordPress/gutenberg/pull/80191))
- Cover Block: Fix unsaveable state when clearing an embed video background. ([80184](https://github.com/WordPress/gutenberg/pull/80184))
- Enable default gap processing on Gallery block. ([79984](https://github.com/WordPress/gutenberg/pull/79984))
- File Block: Changed the context for fetching the media. ([80085](https://github.com/WordPress/gutenberg/pull/80085))
- Fix - Accordion: Text in a closed accordion panel cannot be found via the browser search. ([74744](https://github.com/WordPress/gutenberg/pull/74744))
- Fix and permit unitless zeros used in CSS `calc` functions. ([79786](https://github.com/WordPress/gutenberg/pull/79786))
- Fix global gap styles for Gallery block. ([80030](https://github.com/WordPress/gutenberg/pull/80030))
- Fix playlist artwork removal on track switch. ([80025](https://github.com/WordPress/gutenberg/pull/80025))
- Fix playlist waveform artist rendering. ([80104](https://github.com/WordPress/gutenberg/pull/80104))
- GIF block variation: Remove icons from "Display as" toolbar buttons and only show when block can be inserted. ([79985](https://github.com/WordPress/gutenberg/pull/79985))
- Icon block: When the default icon is unregistered, nothing is displayed. ([80166](https://github.com/WordPress/gutenberg/pull/80166))
- Latest Posts: Parse blocks in full content display. ([74866](https://github.com/WordPress/gutenberg/pull/74866))
- Make playlist pause button visually match play button. ([80217](https://github.com/WordPress/gutenberg/pull/80217))
- Navigation Link/Submenu: Run post-status check also without Gutenberg plugin (draft/deleted links regression). ([79748](https://github.com/WordPress/gutenberg/pull/79748))
- Navigation Link: Fix "[object Object]" in link preview for untitled entities. ([79616](https://github.com/WordPress/gutenberg/pull/79616))
- PHP-Only blocks: Forward current post ID to server render. ([78909](https://github.com/WordPress/gutenberg/pull/78909))
- Playlist block: Avoid laggy layout shift when changing tracks. ([79497](https://github.com/WordPress/gutenberg/pull/79497))
- Playlist: Fix flashing track state when adding new track. ([80076](https://github.com/WordPress/gutenberg/pull/80076))
- Playlist: Show album art thumbnails. ([79942](https://github.com/WordPress/gutenberg/pull/79942))
- Playlist: Use PlainText v2 to avoid HTML entities. ([80068](https://github.com/WordPress/gutenberg/pull/80068))
- Remove Playlist border radius support. ([79753](https://github.com/WordPress/gutenberg/pull/79753))
- Responsive editing: Apply crop dimensions to image block placeholder. ([80162](https://github.com/WordPress/gutenberg/pull/80162))
- Select tab panel when caret moves into tab. ([79558](https://github.com/WordPress/gutenberg/pull/79558))
- Tab List: Fix render inline formatting on frontend. ([79554](https://github.com/WordPress/gutenberg/pull/79554))
- Tabs: Fix active tab switching from a stale inner-block selection. ([79981](https://github.com/WordPress/gutenberg/pull/79981))
- Tabs: Fix dirty editor state on mount caused by tab-list sync. ([79540](https://github.com/WordPress/gutenberg/pull/79540))
- Tabs: Fix rich text label comparison when syncing the list. ([79582](https://github.com/WordPress/gutenberg/pull/79582))
- Tabs: Prevent tab list from moving focus during revision navigation. ([79730](https://github.com/WordPress/gutenberg/pull/79730))
- Tabs: Remove redundant block selection from Add/Remove tab actions. ([79571](https://github.com/WordPress/gutenberg/pull/79571))
- Fix crashes when manipulating locked blocks. ([80509](https://github.com/WordPress/gutenberg/pull/80509))
- Playlist: Fix playback of tracks served without CORS headers. ([80533](https://github.com/WordPress/gutenberg/pull/80533))
- Fix default aspect ratio for lazy loaded Featured image. ([80386](https://github.com/WordPress/gutenberg/pull/80386))
- Fix playlist block styling. ([80312](https://github.com/WordPress/gutenberg/pull/80312))
- Fix: Allow icon labels to wrap with word breaks and no ellipsis. ([80256](https://github.com/WordPress/gutenberg/pull/80256))
- Hide color controls for Navigation and Social Icons when viewport sta…. ([80289](https://github.com/WordPress/gutenberg/pull/80289))
- Playlist: Fix track insertion. ([80200](https://github.com/WordPress/gutenberg/pull/80200))
- Try fixing responsive layout in Nav block. ([80305](https://github.com/WordPress/gutenberg/pull/80305))
- [7.1/Backport] Media: Remove the redundant __heicUploadSupport flag (#80452). ([80486](https://github.com/WordPress/gutenberg/pull/80486))

#### Components
- Autocomplete: Use regular weight for result items. ([80196](https://github.com/WordPress/gutenberg/pull/80196))
- BorderBoxControl: Fix unlink button positioning after View Emotion migration. ([79967](https://github.com/WordPress/gutenberg/pull/79967))
- Button: Fix corner artifacts by using background-clip: Border-box. ([79524](https://github.com/WordPress/gutenberg/pull/79524))
- Button: Fix focus ring for link. ([79837](https://github.com/WordPress/gutenberg/pull/79837))
- Button: Hide Core focus ring when button as link is pressed. ([80082](https://github.com/WordPress/gutenberg/pull/80082))
- DataViews: Fix infinite-scroll jump on async page loads. ([79546](https://github.com/WordPress/gutenberg/pull/79546))
- Divider: Restore lower border specificity. ([79534](https://github.com/WordPress/gutenberg/pull/79534))
- ExternalLink: Stop setting default rel. ([79743](https://github.com/WordPress/gutenberg/pull/79743))
- IconButton: Use length zero for inline padding. ([79722](https://github.com/WordPress/gutenberg/pull/79722))
- Panel: Fix focus style for toggle button. ([80064](https://github.com/WordPress/gutenberg/pull/80064))
- SandBox: Inject resize script into head to stop it leaking as text. ([79920](https://github.com/WordPress/gutenberg/pull/79920))
- Storybook: Scope documentation theme providers. ([79496](https://github.com/WordPress/gutenberg/pull/79496))
- Tabs: Fix stale overflow fade as content settles on load. ([79856](https://github.com/WordPress/gutenberg/pull/79856))
- Theme: Fix token story swatch accessibility. ([79960](https://github.com/WordPress/gutenberg/pull/79960))
- UI: Restore Link focus styles. ([80091](https://github.com/WordPress/gutenberg/pull/80091))
- useMergeRefs: Apply ref changes after out-of-render attachment. ([80133](https://github.com/WordPress/gutenberg/pull/80133))
-  [7.1 Backport] --  ContentEditableControl: Fix invalid label association with contenteditable div. ([80441](https://github.com/WordPress/gutenberg/pull/80441))
- Backport ColorPicker cursor shaking fix to WordPress 7.1. ([80435](https://github.com/WordPress/gutenberg/pull/80435))
- DataViews: Fix the `list` layout ignoring some settings when `groupBy` is set. ([80255](https://github.com/WordPress/gutenberg/pull/80255))
- DataViews: Fix the unintended gap between `list` layout items when `groupBy` is set. ([80254](https://github.com/WordPress/gutenberg/pull/80254))
- UI: Backport compat overlay fixes to WordPress 7.1. ([80322](https://github.com/WordPress/gutenberg/pull/80322))
- fix: Set dataviews popover hover text color. ([80105](https://github.com/WordPress/gutenberg/pull/80105))

#### Block Editor
- DimensionControl: Include styles in stylesheet. ([79916](https://github.com/WordPress/gutenberg/pull/79916))
- Editor: Use the DS focus color for all sidebar elements. ([80087](https://github.com/WordPress/gutenberg/pull/80087))
- Fix clipped/doubled focus outline on inserter block list items. ([79845](https://github.com/WordPress/gutenberg/pull/79845))
- Fix unsetting values in viewport states for grid and constrained layouts. ([79520](https://github.com/WordPress/gutenberg/pull/79520))
- HTML Block: Preserve innerContent when transforming to group, columns. ([79887](https://github.com/WordPress/gutenberg/pull/79887))
- Move inspector controls styles slot back to previous position. ([80111](https://github.com/WordPress/gutenberg/pull/80111))
- Render the selected static inner block synchronously. ([79726](https://github.com/WordPress/gutenberg/pull/79726))
- Rich text: Cut through the record instead of execCommand. ([80155](https://github.com/WordPress/gutenberg/pull/80155))
- Writing flow: Fix selection end mapping at block boundaries. ([80126](https://github.com/WordPress/gutenberg/pull/80126))
- `useTypingObserver`: Capture the window reference for cleanup. ([78772](https://github.com/WordPress/gutenberg/pull/78772))
- Global Styles: Resolve per-level heading element styles in block inspector controls. ([80495](https://github.com/WordPress/gutenberg/pull/80495))
- Redirect editing events to extension handlers under editableRoot. ([80287](https://github.com/WordPress/gutenberg/pull/80287))
- Writing flow: Fully select the items when a selection extends down into a nested item. ([80492](https://github.com/WordPress/gutenberg/pull/80492))

#### Post Editor
- Editor: Render back button as proper <Button>, which cleans up custom CSS. ([79862](https://github.com/WordPress/gutenberg/pull/79862))
- Editor: Render post preview action as a menu item. ([80195](https://github.com/WordPress/gutenberg/pull/80195))
- Fix clipped focus ring on the document bar. ([80084](https://github.com/WordPress/gutenberg/pull/80084))
- Image: Sideload external images on the server when uploading to the library. ([79409](https://github.com/WordPress/gutenberg/pull/79409))
- Notes: Allow canceling the autocompleter popover with Escape without dismissing the note form. ([80224](https://github.com/WordPress/gutenberg/pull/80224))
- Device type preview: Fix collapsing to content height. ([80553](https://github.com/WordPress/gutenberg/pull/80553))
- Notes: Align floating threads with their inline marker. ([79877](https://github.com/WordPress/gutenberg/pull/79877))
- Wrap notices in ThemeProvider with 0 corner radius. ([80557](https://github.com/WordPress/gutenberg/pull/80557))
- Autocompleters: Don't pre-encode mention search terms. ([80377](https://github.com/WordPress/gutenberg/pull/80377))
- Editor: Disable canvas resizing while zoomed out. ([80391](https://github.com/WordPress/gutenberg/pull/80391))
- Fix upload snackbar stuck in uploading state on server-side uploads. ([80345](https://github.com/WordPress/gutenberg/pull/80345))
- Notes: Finish WPDS treatment for mention chips. ([80300](https://github.com/WordPress/gutenberg/pull/80300))
- Responsive styles: Open inspector sidebar when toggling. ([80307](https://github.com/WordPress/gutenberg/pull/80307))
- Responsive styles: Use viewport dropdown to control states for in-editor global styles sidebar. ([80339](https://github.com/WordPress/gutenberg/pull/80339))
- [7.1 Backport] -- Fix upload snackbar double-counting a single HEIC upload in Safari. ([80436](https://github.com/WordPress/gutenberg/pull/80436))
- [WP 7.1] Editor: Restore fixed device preview height for mobile and tablet. ([80466](https://github.com/WordPress/gutenberg/pull/80466))

#### Site Editor
- Editor: Fix regression and restore the back button focus ring. ([80029](https://github.com/WordPress/gutenberg/pull/80029))
- Editor: Render mobile back button as proper <Button> and remove custom CSS. ([80032](https://github.com/WordPress/gutenberg/pull/80032))
- Editor: restore the behavior of only showing back button focus ring on :Focus-visible. ([80114](https://github.com/WordPress/gutenberg/pull/80114))
- Style Book: Pass site editor settings to StyleBookPreview on the styles route. ([80035](https://github.com/WordPress/gutenberg/pull/80035))

#### Media
- Experimental Media Modal: Ensure selection is properly cleared between open/close. ([79731](https://github.com/WordPress/gutenberg/pull/79731))
- Media Modals: Invalidate attachment caches when closing the modal. ([79844](https://github.com/WordPress/gutenberg/pull/79844))
- Media editor modal: Balance top padding for sidebar controls. ([79660](https://github.com/WordPress/gutenberg/pull/79660))

#### Client Side Media
- Apply and correct EXIF orientation for client side sub-sizes. ([79384](https://github.com/WordPress/gutenberg/pull/79384))
- Media: Backport client-side media improvements from WordPress core backports. ([79603](https://github.com/WordPress/gutenberg/pull/79603))
- Vips: Preserve bit depth of high-bit-depth AVIF in sub-sizes. ([79556](https://github.com/WordPress/gutenberg/pull/79556))

#### Icons
- Playlist icon: Fix bug with missing viewbox. ([80180](https://github.com/WordPress/gutenberg/pull/80180))
- Store the sanitized SVG content when registering an icon. ([80508](https://github.com/WordPress/gutenberg/pull/80508))

#### Block API
- Block Supports: Ensure that custom CSS is output after the block library styles. ([80062](https://github.com/WordPress/gutenberg/pull/80062))

#### Guidelines
- Render block icons like the editor so every icon displays correctly. ([79738](https://github.com/WordPress/gutenberg/pull/79738))

#### Collaboration
- RTC: Fix autosave update with no content. ([79591](https://github.com/WordPress/gutenberg/pull/79591))
- Notes: Arm the mention kses allowance on REST note creation. ([80221](https://github.com/WordPress/gutenberg/pull/80221))

#### Style States
- Style Engine: Preserve important gradient declarations. ([79568](https://github.com/WordPress/gutenberg/pull/79568))
- Hide block style variations when state is enabled in global styles. ([80341](https://github.com/WordPress/gutenberg/pull/80341))

#### Data Layer
- RTC: Fix undo / redo breakage when plug-in with metabox is loaded. ([79510](https://github.com/WordPress/gutenberg/pull/79510))

#### Connectors screen
- Prevent overscroll bounce for stage and inspector surfaces. ([78587](https://github.com/WordPress/gutenberg/pull/78587))

#### Global Styles
- Block Supports: Handle nested array block gap values properly. ([80464](https://github.com/WordPress/gutenberg/pull/80464))
- Style Book: Restore live global styles updates on the styles route. ([80459](https://github.com/WordPress/gutenberg/pull/80459))

### Accessibility

#### Media
- Media editor: Address accessibility review feedback. ([79966](https://github.com/WordPress/gutenberg/pull/79966))

#### Post Editor
- Editor: Move focus to revisions slider when entering revisions mode. ([79691](https://github.com/WordPress/gutenberg/pull/79691))
- Replaces the `title` attributes used by revision inline diff annotations with `aria-describedby`. ([80440](https://github.com/WordPress/gutenberg/pull/80440))
- Revisions: Specify block level diff status via aria-label. ([77779](https://github.com/WordPress/gutenberg/pull/77779))

#### Components
- A11y: Replace local aria-live regions with speak(). ([79600](https://github.com/WordPress/gutenberg/pull/79600))

#### Block Library
- Focus first tab when adding Tabs block. ([79507](https://github.com/WordPress/gutenberg/pull/79507))


### Performance

- CI: Avoid full-history checkout for the root-dependencies check. ([79489](https://github.com/WordPress/gutenberg/pull/79489))

#### Block Library
- Latest Posts: Fix slow category selection with large category lists. ([80198](https://github.com/WordPress/gutenberg/pull/80198))

#### Data Layer
- RTC: Only apply CRDT updates synchronously when collaborating. ([79991](https://github.com/WordPress/gutenberg/pull/79991))

#### Block API
- Block Supports: Prevent Additional CSS duplication inside Query Loop. ([78282](https://github.com/WordPress/gutenberg/pull/78282))

#### Global Styles
- prepend_to_selector: Optimized with str_replace(). ([76556](https://github.com/WordPress/gutenberg/pull/76556))


### Experiments

- Move long intro to content. ([79578](https://github.com/WordPress/gutenberg/pull/79578))
- Shorten the page name. ([79579](https://github.com/WordPress/gutenberg/pull/79579))

#### Post Editor
- Add `PluginPostStatusInfo` in DataForm post summary. ([79586](https://github.com/WordPress/gutenberg/pull/79586))
- Media Inserter: Try adding a simple Attachments category with attach and detach behaviour. ([79336](https://github.com/WordPress/gutenberg/pull/79336))

#### Guidelines
- Knowledge: Dissolve the Guidelines singleton into per-scope rows. ([79263](https://github.com/WordPress/gutenberg/pull/79263))
- Knowledge: Rename the Guidelines CPT storage primitive to Knowledge. ([79149](https://github.com/WordPress/gutenberg/pull/79149))

#### Block Library
- Dynamic Gallery Block: Attempt a dynamic mode of the gallery block. ([78796](https://github.com/WordPress/gutenberg/pull/78796))


### Documentation

- Add missing docblocks to client-assets.php. ([80135](https://github.com/WordPress/gutenberg/pull/80135))
- Added Missing Global Documentation. ([79827](https://github.com/WordPress/gutenberg/pull/79827))
- Backfill unreleased changelog entries for the widget packages. ([79909](https://github.com/WordPress/gutenberg/pull/79909))
- Badge: Update storybook with "don't use icons" example. ([79585](https://github.com/WordPress/gutenberg/pull/79585))
- Components: Add missing descriptions for design system components. ([79460](https://github.com/WordPress/gutenberg/pull/79460))
- Components: Document CSS module class composition. ([79490](https://github.com/WordPress/gutenberg/pull/79490))
- Components: Link recommended UI component. ([80127](https://github.com/WordPress/gutenberg/pull/80127))
- Design system MCP: Document Codex CLI prerequisite for MCP setup. ([79917](https://github.com/WordPress/gutenberg/pull/79917))
- Docs: Add a widget anatomy doc and lighten the widget system doc. ([79435](https://github.com/WordPress/gutenberg/pull/79435))
- Docs: Add image hosting guidance to the documentation contributors guide. ([79574](https://github.com/WordPress/gutenberg/pull/79574))
- Docs: Add missing @since, @param, and @return tags in REST API compat file. ([80079](https://github.com/WordPress/gutenberg/pull/80079))
- Docs: Clarify release recovery steps. ([79884](https://github.com/WordPress/gutenberg/pull/79884))
- Fix typo in inline comment  in `collaboration.php`. ([80147](https://github.com/WordPress/gutenberg/pull/80147))
- Packages: Backport UI and theme release changelogs. ([79690](https://github.com/WordPress/gutenberg/pull/79690))
- Polish package changelog cleanup. ([79826](https://github.com/WordPress/gutenberg/pull/79826))
- Theme: Clarify focus token naming documentation. ([79764](https://github.com/WordPress/gutenberg/pull/79764))
- Theme: Correct documented default background seed. ([80237](https://github.com/WordPress/gutenberg/pull/80237))
- Theme: Document and test build plugin transform boundaries. ([80088](https://github.com/WordPress/gutenberg/pull/80088))
- Theme: Document ramp memoization contract. ([79459](https://github.com/WordPress/gutenberg/pull/79459))
- Theme: Document token naming grammar. ([79769](https://github.com/WordPress/gutenberg/pull/79769))
- Theme: Remove experimental package messaging. ([80049](https://github.com/WordPress/gutenberg/pull/80049))
- Theme: Update design token format links. ([80052](https://github.com/WordPress/gutenberg/pull/80052))
- Theme: Use token reference as documentation source. ([79829](https://github.com/WordPress/gutenberg/pull/79829))
- ThemeProvider: Document wrapper customization scope. ([79763](https://github.com/WordPress/gutenberg/pull/79763))
- Updating image urls. ([79529](https://github.com/WordPress/gutenberg/pull/79529))
- WP Build: Improve documentation for routes. ([79688](https://github.com/WordPress/gutenberg/pull/79688))
- stylelint-config: Enable token fallback rule. ([79768](https://github.com/WordPress/gutenberg/pull/79768))
- theme: Clarify package documentation. ([79961](https://github.com/WordPress/gutenberg/pull/79961))


### Code Quality

- Added Missing Global Documentation. ([80033](https://github.com/WordPress/gutenberg/pull/80033))
- Backport Changelog: Link Core PR #12007 for #75793. ([78786](https://github.com/WordPress/gutenberg/pull/78786))
- Base Styles: Disallow direct var(--wpds-*) usage. ([79424](https://github.com/WordPress/gutenberg/pull/79424))
- Build: Move typescript and rimraf out of the root package.json. ([80086](https://github.com/WordPress/gutenberg/pull/80086))
- CODEOWNERS: Add ownership for widget dashboard areas. ([79484](https://github.com/WordPress/gutenberg/pull/79484))
- Code Modernization: Use str_starts_with() in WP_Theme_JSON and WP_Duotone. ([79519](https://github.com/WordPress/gutenberg/pull/79519))
- Dedupe lockfile. ([79618](https://github.com/WordPress/gutenberg/pull/79618))
- Dependencies: Fix bin resolution, type mismatch, and missing dependencies. ([79806](https://github.com/WordPress/gutenberg/pull/79806))
- Deprecate `@wordpress/reusable-blocks` public APIs. ([79805](https://github.com/WordPress/gutenberg/pull/79805))
- Duotone: Use HTML API class_list for duotone wrapper class handling. ([79531](https://github.com/WordPress/gutenberg/pull/79531))
- E2E: Ban `uuid` package via ESLint, use `crypto.randomUUID()` instead. ([79673](https://github.com/WordPress/gutenberg/pull/79673))
- Jest: Add missing clsx dev dependency. ([79677](https://github.com/WordPress/gutenberg/pull/79677))
- Lint-staged: Match lint:Css file globs. ([79918](https://github.com/WordPress/gutenberg/pull/79918))
- Notes: Simplify inline-note marker stripping to match core backport (#78218 follow-up). ([79670](https://github.com/WordPress/gutenberg/pull/79670))
- Theme: Use public design token stylesheet imports. ([80050](https://github.com/WordPress/gutenberg/pull/80050))
- Update webpack to 5.108.1. ([79633](https://github.com/WordPress/gutenberg/pull/79633))
- Upgrade browserslist to ^4.28.4. ([79630](https://github.com/WordPress/gutenberg/pull/79630))
- Use null coalescing operator instead of isset() ternaries. ([79946](https://github.com/WordPress/gutenberg/pull/79946))
- stylelint-config: Convert configuration to ESM. ([79755](https://github.com/WordPress/gutenberg/pull/79755))
- wp-build: Allow @wordpress/theme 1.x peer versions. ([80089](https://github.com/WordPress/gutenberg/pull/80089))
- Release: Resolve commander from the test file in the release CLI test. ([80357](https://github.com/WordPress/gutenberg/pull/80357))

#### Block Library
- Blocks package: Stabilize `cloneSanitizedBlock` and `sanitizeBlockAttributes`. ([79928](https://github.com/WordPress/gutenberg/pull/79928))
- Blocks: Rename _wp_apply_content_filters() to _wp_apply_block_content_filters(). ([80225](https://github.com/WordPress/gutenberg/pull/80225))
- Button: Fix suppressed ESLint errors. ([79944](https://github.com/WordPress/gutenberg/pull/79944))
- Dedupe @testing-library/dom to a single 10.4.1 in the lockfile. ([79631](https://github.com/WordPress/gutenberg/pull/79631))
- Embed: Refactor 'EmbedPlaceholder' to use recommended components. ([79759](https://github.com/WordPress/gutenberg/pull/79759))
- Fix linting of waveform test. ([80124](https://github.com/WordPress/gutenberg/pull/80124))
- Heading: Fix ESLint warnings. ([79694](https://github.com/WordPress/gutenberg/pull/79694))
- Icons: Unify collection-scoping route param on `collection` and validate description. ([80113](https://github.com/WordPress/gutenberg/pull/80113))
- List: Fix suppressed ESLint errors. ([79983](https://github.com/WordPress/gutenberg/pull/79983))
- Media Editor: Remove inline cropper (follow-up to #78653). ([78654](https://github.com/WordPress/gutenberg/pull/78654))
- Playlist: Simplify block track state. ([79448](https://github.com/WordPress/gutenberg/pull/79448))
- Playlist: Simplify waveform metadata updates. ([80193](https://github.com/WordPress/gutenberg/pull/80193))
- Remove redundant @jest-environment jsdom pragmas from unit tests. ([79672](https://github.com/WordPress/gutenberg/pull/79672))
- Remove redundant parentheses around assignments. ([79516](https://github.com/WordPress/gutenberg/pull/79516))
- Replace obsolete `View` primitive with plain `div`. ([79767](https://github.com/WordPress/gutenberg/pull/79767))
- Stylelint: Enforce class naming for all stylesheets. ([79900](https://github.com/WordPress/gutenberg/pull/79900))
- Tabs: Remove editor-only block context. ([79848](https://github.com/WordPress/gutenberg/pull/79848))
- Tabs: Remove unnecessary callback memoization. ([79567](https://github.com/WordPress/gutenberg/pull/79567))
- Use modern PHP string functions instead of strpos/substr. ([79927](https://github.com/WordPress/gutenberg/pull/79927))
- Misc fixes for WordPress-Develop 7.0 merges. ([80444](https://github.com/WordPress/gutenberg/pull/80444))
- Playlist: Update @since tags to 7.1.0. ([80317](https://github.com/WordPress/gutenberg/pull/80317))

#### Components
- Declare @types/node explicitly and harden no-unsafe-wp-apis. ([79626](https://github.com/WordPress/gutenberg/pull/79626))
- FocalPointPicker: Complete __next40pxDefaultSize cleanup. ([79487](https://github.com/WordPress/gutenberg/pull/79487))
- Jest: Mock CSS module class names. ([79535](https://github.com/WordPress/gutenberg/pull/79535))
- Migrate Flex to SCSS module. ([79450](https://github.com/WordPress/gutenberg/pull/79450))
- Migrate Spacer to SCSS module. ([79449](https://github.com/WordPress/gutenberg/pull/79449))
- Migrate Surface to SCSS module. ([79445](https://github.com/WordPress/gutenberg/pull/79445))
- Migrate Theme away from Emotion. ([79447](https://github.com/WordPress/gutenberg/pull/79447))
- Migrate Truncate to SCSS module. ([79446](https://github.com/WordPress/gutenberg/pull/79446))
- Migrate View away from Emotion. ([79443](https://github.com/WordPress/gutenberg/pull/79443))
- QueryControls: Complete __next40pxDefaultSize cleanup. ([79485](https://github.com/WordPress/gutenberg/pull/79485))
- Remove unused FocalPointPicker style.scss. ([79902](https://github.com/WordPress/gutenberg/pull/79902))
- SearchControl: Complete __next40pxDefaultSize cleanup. ([79538](https://github.com/WordPress/gutenberg/pull/79538))
- Stylelint: Enforce module class naming in UI packages. ([79504](https://github.com/WordPress/gutenberg/pull/79504))
- Stylelint: Lint all CSS file extensions. ([79957](https://github.com/WordPress/gutenberg/pull/79957))
- Theme: Cover display contents wrapper focus behavior. ([80056](https://github.com/WordPress/gutenberg/pull/80056))
- Tools: Restrict layout effect imports in UI and theme. ([79476](https://github.com/WordPress/gutenberg/pull/79476))
- Update @terrazzo/* to 2.4.0 and regenerate design tokens. ([79627](https://github.com/WordPress/gutenberg/pull/79627))
- Update stylelint to 16.26.1. ([79648](https://github.com/WordPress/gutenberg/pull/79648))
- RichTextControl: Replace DOM focus tracking with a single React-tree focus boundary. ([80324](https://github.com/WordPress/gutenberg/pull/80324))

#### Block Editor
- Media Inserter: Omit page arg from requests for the first set of results. ([80219](https://github.com/WordPress/gutenberg/pull/80219))
- Rich Text: Move RichTextShortcut and RichTextInputEvent into @wordpress/rich-text. ([79828](https://github.com/WordPress/gutenberg/pull/79828))
- Rich text: Synchronize the selection before events that consume it. ([80151](https://github.com/WordPress/gutenberg/pull/80151))
- Simplify layout panel selector getter. ([80176](https://github.com/WordPress/gutenberg/pull/80176))
- Subscribe to selectionchange permanently in rich text. ([79712](https://github.com/WordPress/gutenberg/pull/79712))
- TextIndentControl: Remove unnecessary __next40pxDefaultSize prop. ([79597](https://github.com/WordPress/gutenberg/pull/79597))
- Typewriter: Remove the block selection gate. ([80130](https://github.com/WordPress/gutenberg/pull/80130))
- Use core/registered-block in reducer tests. ([79522](https://github.com/WordPress/gutenberg/pull/79522))

#### Post Editor
- Declare undeclared workspace dependencies. ([79684](https://github.com/WordPress/gutenberg/pull/79684))
- Editor: saveDirtyEntities: Don't allow onSave to filter records. ([79850](https://github.com/WordPress/gutenberg/pull/79850))
- Observe typing on the writing flow node. ([80131](https://github.com/WordPress/gutenberg/pull/80131))
- Style Book: Migrate to Tabs from @wordpress/ui. ([80040](https://github.com/WordPress/gutenberg/pull/80040))
- Notes: Render @ mentions as span chips and narrow the kses class allowance. ([80528](https://github.com/WordPress/gutenberg/pull/80528))
- Notes: Replace blur-deselect bookkeeping with useFocusOutside. ([80222](https://github.com/WordPress/gutenberg/pull/80222))

#### Icons
- Add Storybook React Vite dev dependency. ([79506](https://github.com/WordPress/gutenberg/pull/79506))
- Icons Registry test: Fix trigger_error suppression on WP < 7.0. ([79607](https://github.com/WordPress/gutenberg/pull/79607))
- Validate SVG icons include currentColor. ([79751](https://github.com/WordPress/gutenberg/pull/79751))
- Backport from Core: Improve icon name unit tests. ([80552](https://github.com/WordPress/gutenberg/pull/80552))

#### Design Tools
- Block Style Variations: Simplify block style variation selector regex. ([79924](https://github.com/WordPress/gutenberg/pull/79924))
- Block Supports: Guard elements hover rendering against missing hover selector. ([79511](https://github.com/WordPress/gutenberg/pull/79511))

#### Plugin
- Move icon tests out of phpunit/experimental. ([79695](https://github.com/WordPress/gutenberg/pull/79695))
- Move real-time collaboration compat code to wordpress-7.1. ([79863](https://github.com/WordPress/gutenberg/pull/79863))
- Icons: Fix collection unregister not removing icons after core added its own registry. ([80292](https://github.com/WordPress/gutenberg/pull/80292))

#### Guidelines
- Guidelines end-to-end Tests: Wait for boot to load copy page. ([79663](https://github.com/WordPress/gutenberg/pull/79663))
- Use str_starts_with() in is_block_meta_key(). ([79491](https://github.com/WordPress/gutenberg/pull/79491))

#### DataViews
- Sync changes from core for view-config version handling. ([80170](https://github.com/WordPress/gutenberg/pull/80170))

#### Widgets Editor
- Edit Widgets: Remove unused customizer-edit-widgets-initializer style.scss. ([79915](https://github.com/WordPress/gutenberg/pull/79915))

#### Client Side Media
- Vips: Add positional-crop test for high-bit-depth AVIF. ([79880](https://github.com/WordPress/gutenberg/pull/79880))
- Vips/upload-media: Consolidate optional params into options objects. ([80330](https://github.com/WordPress/gutenberg/pull/80330))

#### Data Layer
- Packages: Backport package release metadata. ([79702](https://github.com/WordPress/gutenberg/pull/79702))

#### Patterns
- Pattern editing: Use section block selector for pattern display identity. ([79565](https://github.com/WordPress/gutenberg/pull/79565))

#### Global Styles
- Reject non-string custom CSS in the REST controller. ([80338](https://github.com/WordPress/gutenberg/pull/80338))

### Tools

- CODEOWNERS: Exclude eslint suppressions.json from /tools ownership. ([80125](https://github.com/WordPress/gutenberg/pull/80125))
- CODEOWNERS: Exclude stylelint suppressions.json from /tools ownership. ([80171](https://github.com/WordPress/gutenberg/pull/80171))
- Project automation: Stop flagging returning contributors as first-timers when they use hidden email addresses. ([79987](https://github.com/WordPress/gutenberg/pull/79987))

#### Testing
- Add an end-to-end test for single paragraph selection on triple click. ([79706](https://github.com/WordPress/gutenberg/pull/79706))
- Automated Testing: Configure lint:Css to report needless disables. ([79788](https://github.com/WordPress/gutenberg/pull/79788))
- Automated Testing: Enforce dependencies checks consistently for development files. ([79703](https://github.com/WordPress/gutenberg/pull/79703))
- Automated Testing: Enforce no-unresolved checks for test files. ([79718](https://github.com/WordPress/gutenberg/pull/79718))
- Automated Testing: Use three-dot diff comparison for changelog checks. ([79548](https://github.com/WordPress/gutenberg/pull/79548))
- Fix flaky "can use appender in site editor sidebar list view" end-to-end test. ([80044](https://github.com/WordPress/gutenberg/pull/80044))
- Fix flaky 'Activate theme' end-to-end test. ([80090](https://github.com/WordPress/gutenberg/pull/80090))
- Flaky tests: Fix rich text backtick undo. ([80183](https://github.com/WordPress/gutenberg/pull/80183))
- Flaky tests: Fix widgets global inserter. ([80177](https://github.com/WordPress/gutenberg/pull/80177))
- Flaky tests: Fix writing flow arrow navigation. ([80179](https://github.com/WordPress/gutenberg/pull/80179))
- Icons: Fix viewBox casing assertion in wp_get_icon test for older WP. ([79576](https://github.com/WordPress/gutenberg/pull/79576))
- Image: Use Playwright's locator.drop for media placeholder drop test. ([79733](https://github.com/WordPress/gutenberg/pull/79733))
- Perf tests: Wait for upload queue to settle between media-upload iterations. ([79952](https://github.com/WordPress/gutenberg/pull/79952))
- RTC: Add RTC WebSocket tests to CI. ([79757](https://github.com/WordPress/gutenberg/pull/79757))
- RTC: Improve stress test flakines. ([79954](https://github.com/WordPress/gutenberg/pull/79954))
- Skip flakey collaboration end-to-end test. ([79922](https://github.com/WordPress/gutenberg/pull/79922))
- Tests: Fix flaky 'GIF to Video' end-to-end test. ([79758](https://github.com/WordPress/gutenberg/pull/79758))
- Tests: Honor waitForUploadQueueEmpty timeout in client-side media. ([79783](https://github.com/WordPress/gutenberg/pull/79783))
- Upgrade Playwright to v1.61. ([78632](https://github.com/WordPress/gutenberg/pull/78632))
- Fix `useHomeEnd` on tabs in mac testing. ([80374](https://github.com/WordPress/gutenberg/pull/80374))

#### Build Tooling
- Add more workflow file static analysis with Zizmor. ([71523](https://github.com/WordPress/gutenberg/pull/71523))
- Build: Make installed-deps check layout-agnostic and surface opt-out env var. ([79687](https://github.com/WordPress/gutenberg/pull/79687))
- Build: Support --skip-types in npm run dev. ([79736](https://github.com/WordPress/gutenberg/pull/79736))
- Build: Upgrade to TypeScript 7.0. ([80083](https://github.com/WordPress/gutenberg/pull/80083))
- CI: Enforce pruned ESLint suppressions during lint. ([79708](https://github.com/WordPress/gutenberg/pull/79708))
- Docs: Generalize the `npx` guidance in AGENTS.md to cover `wp-scripts`. ([79973](https://github.com/WordPress/gutenberg/pull/79973))
- Github workflows: Extend package changelog nudge to bundled packages. ([78934](https://github.com/WordPress/gutenberg/pull/78934))
- React 19 patch: Log warnings when polyfills are hit. ([79624](https://github.com/WordPress/gutenberg/pull/79624))
- React 19: Patch to support legacy inert attribute values. ([79475](https://github.com/WordPress/gutenberg/pull/79475))
- Release: Revert to 23.5rc-3. ([79741](https://github.com/WordPress/gutenberg/pull/79741))
- Update `actionlint` to version `1.7.12`. ([79833](https://github.com/WordPress/gutenberg/pull/79833))
- theme: Protect design tokens CSS import. ([79551](https://github.com/WordPress/gutenberg/pull/79551))
- Only include icon library SVGs listed as `public` in the Zip file published to GitHub Container Registry for `wordpress-develop`. ([79338](https://github.com/WordPress/gutenberg/pull/79338))
- Release: Extract npm release lifecycle. ([80190](https://github.com/WordPress/gutenberg/pull/80190))

#### Data Layer
- Backport changelog and package version updates from NPM. ([79816](https://github.com/WordPress/gutenberg/pull/79816))

#### Components
- Add an `editableRoot` block support for native cross-block selection. ([79105](https://github.com/WordPress/gutenberg/pull/79105))

#### Post Editor
- Always iframe. ([74042](https://github.com/WordPress/gutenberg/pull/74042))


### Security

- Opt in to npm v11 supply-chain security features. ([79614](https://github.com/WordPress/gutenberg/pull/79614))
- Revert npm v11 supply-chain settings (allow-git, allow-remote, allowScripts). ([79667](https://github.com/WordPress/gutenberg/pull/79667))

#### npm Packages
- Build: Fix non-breaking npm audit vulnerability alerts. ([79886](https://github.com/WordPress/gutenberg/pull/79886))


## First-time contributors

The following PRs were merged by first-time contributors:

- @bgrgicak: Backport changelog and package version updates from NPM. ([79816](https://github.com/WordPress/gutenberg/pull/79816))
- @deepakpra: Add icon state classes to Accordion block. ([74257](https://github.com/WordPress/gutenberg/pull/74257))
- @g-elwell: Add option to exclude current post from query block. ([64916](https://github.com/WordPress/gutenberg/pull/64916))
- @priethor: Project automation: Stop flagging returning contributors as first-timers when they use hidden email addresses. ([79987](https://github.com/WordPress/gutenberg/pull/79987))
- @saulirajala: Navigation Link/Submenu: Run post-status check also without Gutenberg plugin (draft/deleted links regression). ([79748](https://github.com/WordPress/gutenberg/pull/79748))
- @SohamPatel46: Fix - Accordion: Text in a closed accordion panel cannot be found via the browser search. ([74744](https://github.com/WordPress/gutenberg/pull/74744))
- @milindmore22: Fix: Allow icon labels to wrap with word breaks and no ellipsis. ([80256](https://github.com/WordPress/gutenberg/pull/80256))
- @Pranjal1423: fix: Set dataviews popover hover text color. ([80105](https://github.com/WordPress/gutenberg/pull/80105))

## Contributors

The following contributors merged PRs in this release:

@aagam-shah @aaronrobertshaw @adamsilverstein @aduth @alecgeatches @andrewserong @annezazu @anomiex @arthur791004 @bgrgicak @cbravobernal @ciampo @danluu @deepakpra @desrosj @dmsnell @ellatrix @enejb @fushar @g-elwell @getdave @gziolo @himanshupathak95 @huzaifaalmesbah @im3dabasia @jasmussen @jeryj @johnbillion @jonathanbossenger @jorgefilipecosta @josephscott @jsnajdr @juanfra @juanmaguitar @Mamaduka @manzoorwanijk @mcsf @milindmore22 @mirka @Mustafabharmal @noruzzamans @ntsekouras @Pranjal1423 @prasadkarmalkar @priethor @ramonjd @retrofox @rohitmathur-7 @SainathPoojary @saulirajala @scruffian @shail-mehta @shekharnwagh @shrivastavanolo @simison @sirreal @Soean @SohamPatel46 @shimotmk @t-hamano @taipeicoder @talldan @tellthemachines @tyxla @xavier-lc @youknowriad




= 23.5.3 =


## Changelog

### Bug Fixes

#### Global Styles
- Block Supports: Improve handling of block class name to avoid fatal. ([80214](https://github.com/WordPress/gutenberg/pull/80214))


## Contributors

The following contributors merged PRs in this release:

@aduth @ciampo


= 23.5.2 =

## Changelog

### Enhancements

#### Block Library

- Classic block: Remove migration notice and restore inserter availability. ([80164](https://github.com/WordPress/gutenberg/pull/80164))

### Code Quality

- Icons: Make WP_Icons_Registry::register() public. ([80139](https://github.com/WordPress/gutenberg/pull/80139))

## Contributors

The following contributors merged PRs in this release:

@Mamaduka @t-hamano @tyxla 


= 23.5.1 =


## Changelog

### Bug Fixes

#### Data Layer
- Collaboration: Only report changed properties from the default sync configuration. ([79908](https://github.com/WordPress/gutenberg/pull/79908))




## Contributors

The following contributors merged PRs in this release:

@adamsilverstein


= 23.5.0 =

## Changelog

### Enhancements

- Style Engine: Export public TypeScript types. ([79079](https://github.com/WordPress/gutenberg/pull/79079))
- Widget Primitives: Decouple discovery from a hardcoded endpoint. ([79322](https://github.com/WordPress/gutenberg/pull/79322))
- Widget Primitives: Make `@types/react` an optional peer dependency. ([79272](https://github.com/WordPress/gutenberg/pull/79272))

#### Components
- Add corner radius presets to ThemeProvider. ([78816](https://github.com/WordPress/gutenberg/pull/78816))
- Autocomplete: Add Group and GroupLabel primitives. ([78901](https://github.com/WordPress/gutenberg/pull/78901))
- Base Styles: Add wpds-var Sass helper for design token fallbacks. ([78698](https://github.com/WordPress/gutenberg/pull/78698))
- BaseControl: add text-wrap: Pretty. ([79112](https://github.com/WordPress/gutenberg/pull/79112))
- BoxControl: Hard deprecate 40px default size. ([79419](https://github.com/WordPress/gutenberg/pull/79419))
- Components, DataViews: Adopt --wpds-dimension-size-* tokens. ([79093](https://github.com/WordPress/gutenberg/pull/79093))
- ESLint, UI, Components: Mark `Tooltip` from `@wordpress/ui` as recommended. ([78693](https://github.com/WordPress/gutenberg/pull/78693))
- Popover: Add open/close motion and fix close re-anchor. ([78885](https://github.com/WordPress/gutenberg/pull/78885))
- Theme: Add Figma scopes to element size tokens. ([79032](https://github.com/WordPress/gutenberg/pull/79032))
- Theme: Add disabled variants for brand and error interactive color tokens. ([79124](https://github.com/WordPress/gutenberg/pull/79124))
- Theme: Add stroke-surface tokens for the caution tone. ([79198](https://github.com/WordPress/gutenberg/pull/79198))
- Theme: Apply ThemeProvider styles inline (I2). ([78678](https://github.com/WordPress/gutenberg/pull/78678))
- Theme: Differentiate `--wpds-color-fg-interactive-{brand,error}-active` vs resting state tokens. ([79151](https://github.com/WordPress/gutenberg/pull/79151))
- Theme: Enforce sRGB seed-color input contract for ThemeProvider. ([79148](https://github.com/WordPress/gutenberg/pull/79148))
- Theme: Provide design-system token defaults without a runtime `<ThemeProvider>`. ([78664](https://github.com/WordPress/gutenberg/pull/78664))
- Theme: Skip serializing `data-wpds-root-provider="false"` on non-root providers. ([79253](https://github.com/WordPress/gutenberg/pull/79253))
- Theme: forward ThemeProvider cornerRadius preset to :Root for root providers. ([79153](https://github.com/WordPress/gutenberg/pull/79153))
- UI Field.Description: add `text-wrap: Pretty`. ([79143](https://github.com/WordPress/gutenberg/pull/79143))
- UI: Disable instant overlay popup transitions. ([79432](https://github.com/WordPress/gutenberg/pull/79432))
- UI: Simplify focus ring styles. ([78823](https://github.com/WordPress/gutenberg/pull/78823))
- UI: Use isomorphic layout effects for SSR. ([79458](https://github.com/WordPress/gutenberg/pull/79458))
- Update `@ariakit/react` to 0.4.29. ([79055](https://github.com/WordPress/gutenberg/pull/79055))
- [DataViewsPicker]: `DataViewsPicker.BulkActionToolbar` now renders only the bulk-selection info and action buttons. ([79180](https://github.com/WordPress/gutenberg/pull/79180))
- theme: Rename `bg`/`fg` design token groups to `background`/`foreground`. ([79098](https://github.com/WordPress/gutenberg/pull/79098))

#### Block Library
- Add support for aspect ratio and related controls in viewport states. ([78795](https://github.com/WordPress/gutenberg/pull/78795))
- Audio: Apply `inert` directly instead of wrapping in `Disabled`. ([79423](https://github.com/WordPress/gutenberg/pull/79423))
- Classic Block: Port PHPUnit coverage for hiding it from the inserter. ([79434](https://github.com/WordPress/gutenberg/pull/79434))
- Cover block: Add media editor modal. ([79258](https://github.com/WordPress/gutenberg/pull/79258))
- File Block: Combine audio/video/image to file transforms. ([79242](https://github.com/WordPress/gutenberg/pull/79242))
- File Block: Replace on-mount downloadButtonText effect with a default variation. ([79236](https://github.com/WordPress/gutenberg/pull/79236))
- Icon Block: Add flip and rotate transformation controls. ([77017](https://github.com/WordPress/gutenberg/pull/77017))
- Icon block: Default to core/info via block.json instead of an insert-time effect. ([79212](https://github.com/WordPress/gutenberg/pull/79212))
- Icon block: Move flip controls to toolbar group. ([79192](https://github.com/WordPress/gutenberg/pull/79192))
- Icons block: Insert an icon by default. ([79111](https://github.com/WordPress/gutenberg/pull/79111))
- Math format: Seed LaTeX input from the current selection. ([79052](https://github.com/WordPress/gutenberg/pull/79052))
- Pullquote: Migrate to text-align block support. ([79225](https://github.com/WordPress/gutenberg/pull/79225))
- Remove orphaned `convertToListItems` util. ([79400](https://github.com/WordPress/gutenberg/pull/79400))
- Search block: Add opt-in support for the semantic <search> element. ([78485](https://github.com/WordPress/gutenberg/pull/78485))
- Tabs: Simplify layout and prune redundant block supports. ([77646](https://github.com/WordPress/gutenberg/pull/77646))
- Try: Remove Tab (Tab list item) block. ([77439](https://github.com/WordPress/gutenberg/pull/77439))
- Video: Apply `inert` directly instead of wrapping in `Disabled`. ([79371](https://github.com/WordPress/gutenberg/pull/79371))

#### Post Editor
- Block Editor: Allow overriding `disableContentOnlyForTemplateParts` setting. ([79191](https://github.com/WordPress/gutenberg/pull/79191))
- Editor: Hide cmd palette shortcut in document bar when admin bar is shown. ([79060](https://github.com/WordPress/gutenberg/pull/79060))
- Feature: Need to add “Show More” / “Show Less” toggle in Note. ([77446](https://github.com/WordPress/gutenberg/pull/77446))
- Integrate Resizable Editor with Device Preview and add Responsive editing. ([75121](https://github.com/WordPress/gutenberg/pull/75121))
- Notes: Simplify 'Show more/less' collapse logic. ([79261](https://github.com/WordPress/gutenberg/pull/79261))
- Rename `Toolbar in editor` experiment to match iteration issue. ([79074](https://github.com/WordPress/gutenberg/pull/79074))
- Revisions screen with picker-activity layout. ([77333](https://github.com/WordPress/gutenberg/pull/77333))
- Style states: Use symbols for property keys to avoid clashes. ([79210](https://github.com/WordPress/gutenberg/pull/79210))

#### Site Editor
- Add xl border radius token for page shell surfaces. ([78913](https://github.com/WordPress/gutenberg/pull/78913))
- Change 'Identity' nav item position. ([79292](https://github.com/WordPress/gutenberg/pull/79292))
- Handle `aria-current` natively in `SidebarNavigationItem`. ([79305](https://github.com/WordPress/gutenberg/pull/79305))
- Introduce isHidden prop for SidebarNavigationItem. ([79352](https://github.com/WordPress/gutenberg/pull/79352))
- Omnipresent toolbar: Show site icon instead of dashicon if set. ([79049](https://github.com/WordPress/gutenberg/pull/79049))
- Update spelling within the welcome tour. ([53028](https://github.com/WordPress/gutenberg/pull/53028))

#### Block Editor
- Add flex vertical alignment tool to block inspector layout panel. ([79426](https://github.com/WordPress/gutenberg/pull/79426))
- Correct behaviour of flex child fixed width and introduce max width option. ([79073](https://github.com/WordPress/gutenberg/pull/79073))
- Global Styles: Add textShadow style support. ([73320](https://github.com/WordPress/gutenberg/pull/73320))
- List View block support: Hide list tab when allowedBlocks is empty, with no children. ([78932](https://github.com/WordPress/gutenberg/pull/78932))
- Pattern editing: Show root block identity when editing pattern sections. ([79417](https://github.com/WordPress/gutenberg/pull/79417))

#### Media
- Media Editor Modal: Add a loading and simple error state. ([79101](https://github.com/WordPress/gutenberg/pull/79101))
- Media Editor: Magnify the crop to fill the canvas. ([79044](https://github.com/WordPress/gutenberg/pull/79044))
- Media Fields: Ensure the current post is always included in the initial options. ([79467](https://github.com/WordPress/gutenberg/pull/79467))
- Media editor: Snap crop handles to source pixels. ([79139](https://github.com/WordPress/gutenberg/pull/79139))

#### Data Layer
- RTC: Allow disabling collaboration by post type. ([78984](https://github.com/WordPress/gutenberg/pull/78984))
- TextControl: Hard deprecate 40px default size. ([79386](https://github.com/WordPress/gutenberg/pull/79386))
- View Config: Request a subset of properties with the `_fields` parameter. ([79355](https://github.com/WordPress/gutenberg/pull/79355))

#### Client Side Media
- Media: Rename HEIC companion metadata key to source_image. ([79307](https://github.com/WordPress/gutenberg/pull/79307))
- Upload Media: Add error taxonomy, localized messages, and dev diagnostics. ([74917](https://github.com/WordPress/gutenberg/pull/74917))
- Vips: Inline WASM with compact UTF-8 binary encoding instead of base64. ([79188](https://github.com/WordPress/gutenberg/pull/79188))

#### Dashboard
- Boot: Run page `init` modules in `initSinglePage`. ([79394](https://github.com/WordPress/gutenberg/pull/79394))
- Widget Dashboard: Extract into `@wordpress/widget-dashboard`. ([79268](https://github.com/WordPress/gutenberg/pull/79268))

#### npm Packages
- Grid: Prepare `@wordpress/grid` for npm publishing as experimental 0.1.0. ([79071](https://github.com/WordPress/gutenberg/pull/79071))
- Widget Primitives: Extract into `@wordpress/widget-primitives`. ([79134](https://github.com/WordPress/gutenberg/pull/79134))

#### DataViews
- View configuration API and REST Endpoint: Make them core ready. ([79347](https://github.com/WordPress/gutenberg/pull/79347))

#### Plugin
- Bump minimum required WordPress version to 6.9. ([79196](https://github.com/WordPress/gutenberg/pull/79196))

#### Global Styles
- Global styles revisions: Replace active text with badge. ([79137](https://github.com/WordPress/gutenberg/pull/79137))

#### Icons
- Add media control and backup icons. ([78987](https://github.com/WordPress/gutenberg/pull/78987))

#### Block bindings
- Block bindings : Add support to list-item. ([78947](https://github.com/WordPress/gutenberg/pull/78947))


### Bug Fixes

- Block Bindings: Preserve nested lists when binding List Item content. ([79346](https://github.com/WordPress/gutenberg/pull/79346))
- Elements tests: Accept both md5 and sequential `wp-elements-*` class names. ([79300](https://github.com/WordPress/gutenberg/pull/79300))
- Plugins API: Fix the plugin 'render' property validation. ([79315](https://github.com/WordPress/gutenberg/pull/79315))
- V2 Site Editor: Fix template edit routes. ([79230](https://github.com/WordPress/gutenberg/pull/79230))
- wp-build: Return null from getPackageInfo on resolve miss instead of throwing. ([78715](https://github.com/WordPress/gutenberg/pull/78715))

#### Post Editor
- Block Fields: Fix crash resolving pattern overrides bindings. ([79092](https://github.com/WordPress/gutenberg/pull/79092))
- DataFormPostSummary: Fix different `useSelect` returned values. ([79478](https://github.com/WordPress/gutenberg/pull/79478))
- Editor: Disable saving while a non-post entity is being saved. ([79069](https://github.com/WordPress/gutenberg/pull/79069))
- Editor: Guard PostViewLink against post types without a labels object. ([79160](https://github.com/WordPress/gutenberg/pull/79160))
- Mark all controlled/mode block changes non-persistent. ([79350](https://github.com/WordPress/gutenberg/pull/79350))
- Paste: move spaces out of inline formatting elements. ([79637](https://github.com/WordPress/gutenberg/pull/79637))
- RTC: Fix code editor cursor jumping to the end on remote sync. ([79005](https://github.com/WordPress/gutenberg/pull/79005))
- Revisions: Ignore empty `[]/{}` meta values in the Meta diff panel. ([79185](https://github.com/WordPress/gutenberg/pull/79185))
- Style Book: Fix crash when previewing variations for blocks without examples. ([79131](https://github.com/WordPress/gutenberg/pull/79131))

#### Block Library
- Avoid dirtying related navigation entities during passive render. ([79000](https://github.com/WordPress/gutenberg/pull/79000))
- Custom HTML: Fix scrollbar becoming non-functional after switching tabs. ([78571](https://github.com/WordPress/gutenberg/pull/78571))
- Gallery: Hide Navigation button type when lightbox editing is disabled. ([79147](https://github.com/WordPress/gutenberg/pull/79147))
- Image block: Remove duplicate data-wp-bind--srcset in the lightbox overlay. ([79202](https://github.com/WordPress/gutenberg/pull/79202))
- Image: Fix pasted images stretching when dimensions are preserved. ([79067](https://github.com/WordPress/gutenberg/pull/79067))
- Navigation block: Fix responsive style states for typography settings. ([79072](https://github.com/WordPress/gutenberg/pull/79072))

#### Components
- BoxControl: Respect a supplied placeholder via inputProps. ([79466](https://github.com/WordPress/gutenberg/pull/79466))
- DataForm panel layout: Fix double-clicking a field row leaving the flyout stuck open. ([79348](https://github.com/WordPress/gutenberg/pull/79348))
- DataForm: Fix panel field control overflow clipping and remove button overrides. ([79275](https://github.com/WordPress/gutenberg/pull/79275))
- Docs: Fix typos in README files. ([79331](https://github.com/WordPress/gutenberg/pull/79331))
- Fix: Custom HTML block preview keeps expanding when iframe uses height:100vh. ([78677](https://github.com/WordPress/gutenberg/pull/78677))

#### Block Editor
- Fix potential crash from 'useBlockToolbarPopoverProps'. ([79178](https://github.com/WordPress/gutenberg/pull/79178))
- Fix: State styles – clear `background-image` when hover sets a solid `background-color`. ([78992](https://github.com/WordPress/gutenberg/pull/78992))
- Grid overlays: Use canvas iframe window for viewport visibility detection. ([79255](https://github.com/WordPress/gutenberg/pull/79255))
- RichText: Fix duplicated format wrappers when typing inside an applied format. ([79091](https://github.com/WordPress/gutenberg/pull/79091))
- Template Part: Remove restriction on tabs / inspector fills. ([79181](https://github.com/WordPress/gutenberg/pull/79181))

#### Media
- Media Editor: Fix crop canvas pinch zoom. ([79332](https://github.com/WordPress/gutenberg/pull/79332))
- Media Editor: Keep the modal skeleton pinned in the editor flow. ([79070](https://github.com/WordPress/gutenberg/pull/79070))
- Media editor modal: Fix keyboard resizing for locked aspect-ratio crops. ([79207](https://github.com/WordPress/gutenberg/pull/79207))

#### Site Editor
- Fix admin color scheme bleeding through the mobile content scrollbar gutter. ([79056](https://github.com/WordPress/gutenberg/pull/79056))
- Save hub button styling while saving. ([79287](https://github.com/WordPress/gutenberg/pull/79287))

#### Command Palette
- Fix duplicate enqueue breaking the palette in the Site Editor. ([79396](https://github.com/WordPress/gutenberg/pull/79396))

#### Client Side Media
- Vips: Bump wasm-vips to 0.0.18 for high-bit-depth AVIF decoding. ([79179](https://github.com/WordPress/gutenberg/pull/79179))

#### Icons
- KSES: Allow SVG-specific presentation attributes in safe_style_css. ([79172](https://github.com/WordPress/gutenberg/pull/79172))

#### Style States
- Fix responsive element styles front end output. ([79135](https://github.com/WordPress/gutenberg/pull/79135))

#### Data Layer
- Core Data: Cleanup edits matching persisted record on undo/redo. ([77100](https://github.com/WordPress/gutenberg/pull/77100))


### Accessibility

#### Media
- Media Fields: Avoid focus loss when detaching the current parent. ([79468](https://github.com/WordPress/gutenberg/pull/79468))

#### Dashboard
- Revert H1 to "Dashboard" and fix heading hierarchy. ([79251](https://github.com/WordPress/gutenberg/pull/79251))

#### Components
- UI Button: Fix loading state in forced colors. ([78820](https://github.com/WordPress/gutenberg/pull/78820))


### Performance

- Blocks: Migrate Markdown converter from showdown to marked. ([77953](https://github.com/WordPress/gutenberg/pull/77953))

#### Post Editor
- Use the correct directory for recent preload improvements. ([79359](https://github.com/WordPress/gutenberg/pull/79359))


### Experiments

#### Post Editor
- Editor Inspector with DataForm - remove revision panel and add link. ([79195](https://github.com/WordPress/gutenberg/pull/79195))
- al: Expand Editor Inspector: Use DataForm experiment to template parts. ([79399](https://github.com/WordPress/gutenberg/pull/79399))
- al: Expand Editor Inspector: Use DataForm experiment to templates. ([76934](https://github.com/WordPress/gutenberg/pull/76934))
- al: Preserve editor panel visibility in the DataForm post summary. ([79441](https://github.com/WordPress/gutenberg/pull/79441))

#### Site Editor
- Omnipresent Toolbar: Increase top padding in sidebar nav title. ([79083](https://github.com/WordPress/gutenberg/pull/79083))

#### Block Library
- Unwrap Classic block migration notice experiment. ([78165](https://github.com/WordPress/gutenberg/pull/78165))


### Documentation

- Clarify Core-specific steps when bumping support. ([79416](https://github.com/WordPress/gutenberg/pull/79416))
- ConfirmDialog: Document AlertDialog as successor in Storybook. ([79293](https://github.com/WordPress/gutenberg/pull/79293))
- Fix Small Typo in block-filter file. ([79367](https://github.com/WordPress/gutenberg/pull/79367))
- Panel: Recommend CollapsibleCard for use outside the block inspector. ([78863](https://github.com/WordPress/gutenberg/pull/78863))
- Storybook: Reorganize design system introduction for first touch-point usefulness. ([79360](https://github.com/WordPress/gutenberg/pull/79360))
- Storybook: Upgrade Storybook to 10.4. ([77382](https://github.com/WordPress/gutenberg/pull/77382))
- Theme: Add design tokens maintainer's guide documentation. ([79157](https://github.com/WordPress/gutenberg/pull/79157))
- Widget Primitives: Document the experiment-gated REST endpoint. ([79264](https://github.com/WordPress/gutenberg/pull/79264))
- Widget Primitives: Make contract and story documentation host-agnostic. ([79358](https://github.com/WordPress/gutenberg/pull/79358))
- design-system-mcp: Improve README overview and setup instructions. ([79238](https://github.com/WordPress/gutenberg/pull/79238))


### Code Quality

- Add lock-unlock route as a workspace and update dependencies. ([79138](https://github.com/WordPress/gutenberg/pull/79138))
- CI: Disallow new dependencies in the root package.json. ([78616](https://github.com/WordPress/gutenberg/pull/78616))
- Patterns: Add a missing gap to 'Enable overrides' modal. ([79421](https://github.com/WordPress/gutenberg/pull/79421))
- Refactor npm-package-json-lint configuration and update dependencies. ([79223](https://github.com/WordPress/gutenberg/pull/79223))
- Refactor to move 'glob' dependency to appropriate workspaces. ([79145](https://github.com/WordPress/gutenberg/pull/79145))
- Refactor to rename '@wordpress/lock-unlock' to '@wordpress/routes-lock-unlock'. ([79163](https://github.com/WordPress/gutenberg/pull/79163))
- Scripts: Avoid tests getting published to npm. ([79204](https://github.com/WordPress/gutenberg/pull/79204))
- chore: Remove @wordpress/vips dependency from root. ([79249](https://github.com/WordPress/gutenberg/pull/79249))
- chore: Remove glob from root pkg json. ([79183](https://github.com/WordPress/gutenberg/pull/79183))
- e2e: Retry transient theme activation failures in pages spec. ([79171](https://github.com/WordPress/gutenberg/pull/79171))
- fix: Add missing root devDependencies for WordPress packages. ([79221](https://github.com/WordPress/gutenberg/pull/79221))

#### Components
- Add Emotion migration guardrails. ([79442](https://github.com/WordPress/gutenberg/pull/79442))
- Button: Use font weight token. ([79278](https://github.com/WordPress/gutenberg/pull/79278))
- Complete WPDS token migration for remaining borders. ([79003](https://github.com/WordPress/gutenberg/pull/79003))
- DataForm: Align `label-side` gap of `panel` layout with `regular` layout. ([79311](https://github.com/WordPress/gutenberg/pull/79311))
- Make ResizableBox children prop optional. ([79370](https://github.com/WordPress/gutenberg/pull/79370))
- Migrate Divider to SCSS module. ([79444](https://github.com/WordPress/gutenberg/pull/79444))
- Migrate compose package to TypeScript. ([70618](https://github.com/WordPress/gutenberg/pull/70618))
- Popover: Align transition state styles. ([79410](https://github.com/WordPress/gutenberg/pull/79410))
- Re-land WPDS border token migration with Emotion-safe comments. ([79244](https://github.com/WordPress/gutenberg/pull/79244))
- Refactor Prettier configuration and update dependencies. ([79219](https://github.com/WordPress/gutenberg/pull/79219))
- Refactor withFallbackStyles from class to function component. ([78837](https://github.com/WordPress/gutenberg/pull/78837))
- Refactor: Move stylelint configuration and deps to tools/stylelint workspace. ([79226](https://github.com/WordPress/gutenberg/pull/79226))
- Restore shared stylelint cursor rule. ([79425](https://github.com/WordPress/gutenberg/pull/79425))
- Theme: Add tests for ThemeProvider and useThemeProviderStyles. ([79126](https://github.com/WordPress/gutenberg/pull/79126))
- Theme: Drop `--wpds-dimension-base` from the public token surface. ([79254](https://github.com/WordPress/gutenberg/pull/79254))
- Theme: Rename `--wpds-color-stroke-focus-brand` token to `--wpds-color-stroke-focus`. ([79125](https://github.com/WordPress/gutenberg/pull/79125))
- Theme: Run stylelint plugin tests via the Node API. ([79199](https://github.com/WordPress/gutenberg/pull/79199))

#### Post Editor
- Edit Post: Refactor MetaBoxesSection to use data hooks. ([79433](https://github.com/WordPress/gutenberg/pull/79433))
- Edit Post: Refactor and cleanup InitPatternModal component. ([79190](https://github.com/WordPress/gutenberg/pull/79190))
- Editor: Migrate FlatTermSelector to UI Stack component. ([78659](https://github.com/WordPress/gutenberg/pull/78659))
- Editor: Refactor AutosaveMonitor to a function component. ([79043](https://github.com/WordPress/gutenberg/pull/79043))
- Editor: Remove orphaned editor-help component leftovers. ([79324](https://github.com/WordPress/gutenberg/pull/79324))
- Editor: Use `Stack` for post summary. ([79397](https://github.com/WordPress/gutenberg/pull/79397))
- Fields: Move author fields for templates and template parts. ([79395](https://github.com/WordPress/gutenberg/pull/79395))
- Validation: Add a published-dependency audit script. ([79094](https://github.com/WordPress/gutenberg/pull/79094))

#### Block Library
- Blocks: Use positional sprintf placeholders in avatar, comment, and search renderers. ([79290](https://github.com/WordPress/gutenberg/pull/79290))
- Image block: Simplify metadata syncing logic by removing chained get entity calls. ([79469](https://github.com/WordPress/gutenberg/pull/79469))
- Math format: Simplify the onClick handler and use canonical selected-text capture. ([79081](https://github.com/WordPress/gutenberg/pull/79081))
- Navigation: Use block context to determine whether Page List is nested in Submenu. ([79048](https://github.com/WordPress/gutenberg/pull/79048))
- Remove unused Babel optimization plugin. ([79162](https://github.com/WordPress/gutenberg/pull/79162))
- Tabs: Pre-stabilization API cleanup and refactoring. ([79337](https://github.com/WordPress/gutenberg/pull/79337))

#### Data Layer
- Core Data: Don't use 'useQuerySelect' in 'useEntityRecord(s)' hooks. ([76198](https://github.com/WordPress/gutenberg/pull/76198))
- Packages: Fix the published dependency surface of npm packages. ([79095](https://github.com/WordPress/gutenberg/pull/79095))

#### Patterns
- Add end-to-end coverage for pattern wrapper block identity. ([79462](https://github.com/WordPress/gutenberg/pull/79462))

#### Media
- Media Editor: Align crop settle state with transition completion. ([79339](https://github.com/WordPress/gutenberg/pull/79339))

#### Block Editor
- Convert utility modules to TypeScript. ([79323](https://github.com/WordPress/gutenberg/pull/79323))

#### Site Editor
- Patterns: Migrate modals to @wordpress/ui components and fix rename input width. ([79233](https://github.com/WordPress/gutenberg/pull/79233))
- Theme: Restore public ThemeProvider export. ([79620](https://github.com/WordPress/gutenberg/pull/79620))

#### Icons
- Use snake_case `file_path` key in icon registry. ([79100](https://github.com/WordPress/gutenberg/pull/79100))


### Tools

- Eslint: Move deps from root into tools/eslint and packages/eslint-plugin. ([79110](https://github.com/WordPress/gutenberg/pull/79110))

#### Testing
- Automated Testing: Add babel-plugin-transform-import-meta to emulate import.meta.dirname. ([79362](https://github.com/WordPress/gutenberg/pull/79362))
- Automated Testing: Globally shim Element#getClientRects. ([79353](https://github.com/WordPress/gutenberg/pull/79353))
- Automated Testing: Use static value for IS_GUTENBERG_PLUGIN env setup. ([79201](https://github.com/WordPress/gutenberg/pull/79201))
- CI: Run PHP unit tests on PHP 8.4 and 8.5. ([79260](https://github.com/WordPress/gutenberg/pull/79260))
- Components: Improve Menu unit tests performance by removing sleeps. ([79295](https://github.com/WordPress/gutenberg/pull/79295))
- E2E: Support WordPress installs served from a subdirectory. ([79166](https://github.com/WordPress/gutenberg/pull/79166))
- Ignore markdown linting for backport-changelog MD files. ([79392](https://github.com/WordPress/gutenberg/pull/79392))
- devops: Dedicated histories for different node.js versions. ([79473](https://github.com/WordPress/gutenberg/pull/79473))
- devops: Separate environments for jest date tests. ([79453](https://github.com/WordPress/gutenberg/pull/79453))
- wp-build: Resolve @wordpress/build from __dirname in resolve-miss test. ([79208](https://github.com/WordPress/gutenberg/pull/79208))

#### Build Tooling
- Build: Add GUTENBERG_CHECK_INSTALLED_DEPS env var to opt out of installed-deps check. ([79068](https://github.com/WordPress/gutenberg/pull/79068))
- Build: Replace unmaintained release actions. ([78258](https://github.com/WordPress/gutenberg/pull/78258))
- Build: Use GUTENBERG_TOKEN when creating the release draft. ([79747](https://github.com/WordPress/gutenberg/pull/79747))
- Configure Flakiness.io reporting for end-to-end tests. ([79173](https://github.com/WordPress/gutenberg/pull/79173))
- Handle WP.org SVN missing tag warnings. ([79257](https://github.com/WordPress/gutenberg/pull/79257))
- Remove Lighthouse patch. ([79319](https://github.com/WordPress/gutenberg/pull/79319))
- Remove unused build:Profile-types and component-usage-stats scripts. ([79113](https://github.com/WordPress/gutenberg/pull/79113))
- Revert "Base Styles: Add wpds-var Sass helper for design token fallbacks". ([79429](https://github.com/WordPress/gutenberg/pull/79429))
- Storybook: Include playground stories and MDX in CI smoke tests. ([79454](https://github.com/WordPress/gutenberg/pull/79454))
- design-system-mcp: Remove Storybook dependency in TypeScript types. ([79132](https://github.com/WordPress/gutenberg/pull/79132))
- devops: Configure end-to-end report auto-upload for flakiness.io dashboard. ([79411](https://github.com/WordPress/gutenberg/pull/79411))
- devops: Upload unit test results to flakiness dashboard. ([79414](https://github.com/WordPress/gutenberg/pull/79414))

#### Data Layer
- Backport changelog and package version updates from wp/latest. ([79234](https://github.com/WordPress/gutenberg/pull/79234))

#### Block Editor
- Block Supports: Relocate text and bg color controls to Typography and Background panels. ([77279](https://github.com/WordPress/gutenberg/pull/77279))


### Security

- Dependabot: Add npm entry so security update PRs can be rebased. ([79076](https://github.com/WordPress/gutenberg/pull/79076))


### Various

- View configuration endpoint: Bring back changes from core. ([79438](https://github.com/WordPress/gutenberg/pull/79438))

#### Components
- Icons: Self declare color. ([79320](https://github.com/WordPress/gutenberg/pull/79320))
- Revert "Components: Complete WPDS token migration for remaining borders". ([79243](https://github.com/WordPress/gutenberg/pull/79243))

#### Plugin
- Remove ObliviousHarmony from CODEOWNERS for packages/env. ([79308](https://github.com/WordPress/gutenberg/pull/79308))

#### Post Editor
- Sync editor settings in layout effect (fixes autosave e2e). ([78799](https://github.com/WordPress/gutenberg/pull/78799))

#### Client Side Media
- Reconcile feature-detection docblock with implemented checks. ([75851](https://github.com/WordPress/gutenberg/pull/75851))


## First-time contributors

The following PRs were merged by first-time contributors:

- @aslushnikov: Configure Flakiness.io reporting for end-to-end tests. ([79173](https://github.com/WordPress/gutenberg/pull/79173))
- @ishitaj34: Gallery: Hide Navigation button type when lightbox editing is disabled. ([79147](https://github.com/WordPress/gutenberg/pull/79147))
- @lonesahilnazir: Image block: Remove duplicate data-wp-bind--srcset in the lightbox overlay. ([79202](https://github.com/WordPress/gutenberg/pull/79202))
- @sdnunca: Plugins API: Fix the plugin 'render' property validation. ([79315](https://github.com/WordPress/gutenberg/pull/79315))
- @slackticus: Build: Replace unmaintained release actions. ([78258](https://github.com/WordPress/gutenberg/pull/78258))


## Contributors

The following contributors merged PRs in this release:

@aaronrobertshaw @adamsilverstein @adamziel @aduth @andrewserong @aslushnikov @cbravobernal @chihsuan @ciampo @CookieDarb @desrosj @dhruvikpatel18 @ellatrix @fushar @hbhalodia @himanshupathak95 @i-am-chitti @im3dabasia @ishitaj34 @jameskoster @jasmussen @jordesign @jorgefilipecosta @jsnajdr @juanfra @kushagra-goyal-14 @lonesahilnazir @Mamaduka @manzoorwanijk @maxschmeling @Mayank-Tripathi32 @mcsf @mirka @Mustafabharmal @ntsekouras @oandregal @ralucaStan @ramonjd @retrofox @rushikeshmore @SainathPoojary @saulyz @scruffian @sdnunca @shail-mehta @shekharnwagh @shimotmk @shrivastavanolo @slackticus @t-hamano @taipeicoder @talldan @tellthemachines @tyxla @USERSATOSHI


= 23.4.0 =

## Changelog

### Features

#### Post Editor
- Show media upload progress in a snackbar. ([77249](https://github.com/WordPress/gutenberg/pull/77249))

#### Client Side Media
- Revert client-side media processing plugin-only gate. ([76751](https://github.com/WordPress/gutenberg/pull/76751))


### Enhancements

- Tooltip migration: Boot consumers + shell-level Tooltip.Provider (5/5). ([78692](https://github.com/WordPress/gutenberg/pull/78692))
- Tooltip migration: Fields + media-editor + media-fields + global-styles-ui (4/5). ([78691](https://github.com/WordPress/gutenberg/pull/78691))
- Migrate the browserlintrc file to `packages/postcss-plugins-preset`. ([78764](https://github.com/WordPress/gutenberg/pull/78764))

#### Components
- Combobox: Add primitives. ([78399](https://github.com/WordPress/gutenberg/pull/78399))
- Compose: Support React 19 ref callback cleanups in `useMergeRefs`. ([78685](https://github.com/WordPress/gutenberg/pull/78685))
- DataViewsPicker: Add a new `pickerActivity` layout. ([78941](https://github.com/WordPress/gutenberg/pull/78941))
- Storybook: Enhance Theme Provider example with admin-ui Page. ([78814](https://github.com/WordPress/gutenberg/pull/78814))
- Theme package: Add element size design tokens. ([76545](https://github.com/WordPress/gutenberg/pull/76545))
- Theme: Drop `density` support from `@wordpress/theme`. ([78741](https://github.com/WordPress/gutenberg/pull/78741))
- Theme: Increase stroke1 contrast target to 2.9. ([77599](https://github.com/WordPress/gutenberg/pull/77599))
- Tooltip: Use md border radius for portaled popups. ([78983](https://github.com/WordPress/gutenberg/pull/78983))
- UI: Update CSS cascade layers to use nesting. ([78959](https://github.com/WordPress/gutenberg/pull/78959))
- UI: Update `@base-ui/react` to `1.5.0`. ([78448](https://github.com/WordPress/gutenberg/pull/78448))

#### Block Library
- Add playlist track length setting. ([78954](https://github.com/WordPress/gutenberg/pull/78954))
- Blocks: Allow the `Loginout` block as an inner block in the `Navigation Submenu` block. ([75497](https://github.com/WordPress/gutenberg/pull/75497))
- Hide paragraph Drop Cap and Fit Text controls when a state is selected. ([78672](https://github.com/WordPress/gutenberg/pull/78672))
- Icons: Rename timeToRead to time. ([78804](https://github.com/WordPress/gutenberg/pull/78804))
- Playlist Block: Add visualization style selector. ([76147](https://github.com/WordPress/gutenberg/pull/76147))
- Try allowing transforms to a variation of another block. ([78713](https://github.com/WordPress/gutenberg/pull/78713))

#### Media
- Media Editor Modal: Reorder details fields so the editable regular layout fields appear at the top. ([78792](https://github.com/WordPress/gutenberg/pull/78792))
- Media Editor: Add aspect ratio control to mobile toolbar. ([78935](https://github.com/WordPress/gutenberg/pull/78935))
- Media Editor: Refactor modal layout. ([78896](https://github.com/WordPress/gutenberg/pull/78896))
- Media Editor: Replace the zoom slider with +/- buttons. ([78928](https://github.com/WordPress/gutenberg/pull/78928))
- Media editor: Tweak paddings and margins. ([79009](https://github.com/WordPress/gutenberg/pull/79009))

#### Dashboard
- Move layout settings to customize toolbar. ([78738](https://github.com/WordPress/gutenberg/pull/78738))
- Opinionated grid columns with container breakpoints. ([78732](https://github.com/WordPress/gutenberg/pull/78732))
- Promote WidgetRender into widget-primitives. ([78821](https://github.com/WordPress/gutenberg/pull/78821))
- Replace grid row height controls with size presets. ([78735](https://github.com/WordPress/gutenberg/pull/78735))
- Use Howdy greeting for page title. ([78740](https://github.com/WordPress/gutenberg/pull/78740))

#### Post Editor
- UI: `Tooltip.Provider` — forward upstream `closeDelay` and `timeout` props. ([78642](https://github.com/WordPress/gutenberg/pull/78642))
- Upload Media: Add retry with exponential backoff and network resilience. ([76765](https://github.com/WordPress/gutenberg/pull/76765))
- Use search_columns=post_title for parent page selector REST API searches. ([78683](https://github.com/WordPress/gutenberg/pull/78683))

#### Data Layer
- RTC: Add separate doc persistence endpoint. ([78891](https://github.com/WordPress/gutenberg/pull/78891))
- RTC: Re-render collaborators overlay when the block tree changes. ([78636](https://github.com/WordPress/gutenberg/pull/78636))

#### Collaboration
- RTC: Prevent slower polling filters. ([78811](https://github.com/WordPress/gutenberg/pull/78811))
- RTC: Return forbidden rooms together. ([78748](https://github.com/WordPress/gutenberg/pull/78748))

#### Site Editor
- Apply the user's admin color scheme. ([78397](https://github.com/WordPress/gutenberg/pull/78397))
- Post list: Remove close button from Quick Edit drawer. ([78730](https://github.com/WordPress/gutenberg/pull/78730))

#### Block Editor
- Changed labels to consistently use Patterns in favor of Block patterns. ([56880](https://github.com/WordPress/gutenberg/pull/56880))
- List View: Remove redundant visibilityLabel compoutation. ([78640](https://github.com/WordPress/gutenberg/pull/78640))
- Add React 19 as an experimental flag. ([79077](https://github.com/WordPress/gutenberg/pull/79077))

#### Icons
- Maintain absolute stroke-width regardless of icon-size. ([78774](https://github.com/WordPress/gutenberg/pull/78774))

#### Font Library
- Fix Update button staying active when changes are reverted. ([78567](https://github.com/WordPress/gutenberg/pull/78567))

#### Client Side Media
- Media: Add UltraHDR (ISO 21496-1) gain map support. ([74873](https://github.com/WordPress/gutenberg/pull/74873))


### New APIs

#### Extensibility
- Extract entity view configuration into a filterable API. ([78977](https://github.com/WordPress/gutenberg/pull/78977))


### Bug Fixes

- Build: Document the hooks generated by the wp-build page templates. ([78826](https://github.com/WordPress/gutenberg/pull/78826))
- Scripts: Use require.resolve for SVG webpack loaders to fix pnpm compatibility. ([78777](https://github.com/WordPress/gutenberg/pull/78777))
- [Content Types]: Fix extra Page padding causing vertical scrollbar. ([78661](https://github.com/WordPress/gutenberg/pull/78661))
- env: Replace extract-zip with adm-zip to fix hang on Node 24.16. ([78828](https://github.com/WordPress/gutenberg/pull/78828))
- wp-build: Fix black flash on wp-admin pages before hydration. ([78493](https://github.com/WordPress/gutenberg/pull/78493))

#### Block Library
- Common CSS: Avoid false-positive border-style on custom properties. ([77476](https://github.com/WordPress/gutenberg/pull/77476))
- Fix playlist metadata edits recreating player. ([78876](https://github.com/WordPress/gutenberg/pull/78876))
- Fix type of `$block_instance` parameter in `block_core_image_render_lightbox()`. ([78790](https://github.com/WordPress/gutenberg/pull/78790))
- Paragraph: Strip stale block-support classes from className during align attribute migration. ([78731](https://github.com/WordPress/gutenberg/pull/78731))
- Prevent font-size propagation in Navigation items causing `em` compounding. ([77419](https://github.com/WordPress/gutenberg/pull/77419))
- Shortcode block: Fix editor crash when selecting transform menu. ([78770](https://github.com/WordPress/gutenberg/pull/78770))
- Writing flow: Delete at end of nested list item should merge into next block. ([78742](https://github.com/WordPress/gutenberg/pull/78742))
- Image block: Don't show crop icon while image is uploading. ([79103](https://github.com/WordPress/gutenberg/pull/79103))

#### Media
- Media Editor: Fix media editor sidebar close button label. ([78895](https://github.com/WordPress/gutenberg/pull/78895))
- Media Editor: Fix sidebar overflowing the modal between the small and medium breakpoints. ([78931](https://github.com/WordPress/gutenberg/pull/78931))
- Media Editor: Keep crop handles operable on large images. ([79011](https://github.com/WordPress/gutenberg/pull/79011))
- Media Editor: Remove lag when toggling the sidebar. ([79024](https://github.com/WordPress/gutenberg/pull/79024))
- Media Editor: Small tweak to gutters. ([79168](https://github.com/WordPress/gutenberg/pull/79168))

#### Components
- Button.Icon: Fix clipped icons. ([78614](https://github.com/WordPress/gutenberg/pull/78614))
- Compose: Fix SSR crash in useMediaQuery and useViewportMatch. ([78725](https://github.com/WordPress/gutenberg/pull/78725))
- `ColorPalette`: Don't render when custom colors disabled and no colors passed. ([72402](https://github.com/WordPress/gutenberg/pull/72402))
- ui/AlertDialog: Fix footer layout style override. ([78953](https://github.com/WordPress/gutenberg/pull/78953))

#### Global Styles
- Elements: Align class name parsing with custom CSS implementation. ([79023](https://github.com/WordPress/gutenberg/pull/79023))
- Elements: Guard against non-string className in render filter. ([78841](https://github.com/WordPress/gutenberg/pull/78841))

#### Block Editor
- Inserter: Use forwardRef for refs. ([79006](https://github.com/WordPress/gutenberg/pull/79006))
- Preserve nested list when deleting a selection across sibling list items. ([78776](https://github.com/WordPress/gutenberg/pull/78776))

#### Client Side Media
- Media: Skip cross-origin isolation on the classic-theme site editor home route. ([78404](https://github.com/WordPress/gutenberg/pull/78404))
- Upload Media: Gate very large images out of client-side processing. ([78949](https://github.com/WordPress/gutenberg/pull/78949))

#### Plugin
- Fix Gutenberg plugin assuming its directory is named "gutenberg". ([78705](https://github.com/WordPress/gutenberg/pull/78705))
- Fix experiments page form layout with box-sizing and width. ([78910](https://github.com/WordPress/gutenberg/pull/78910))

#### Data Layer
- RTC: Fix CRDT deferred updates resulting in jumbled typing. ([78756](https://github.com/WordPress/gutenberg/pull/78756))
- RTC: Fix Yjs undo manager to update UI state when undo stack changes. ([78864](https://github.com/WordPress/gutenberg/pull/78864))

#### Post Editor
- Editor: Fix keyboard activation of the template actions preview. ([78641](https://github.com/WordPress/gutenberg/pull/78641))
- Notes: Show default avatar in the indicator when user avatars are disabled. ([78849](https://github.com/WordPress/gutenberg/pull/78849))

#### Connectors screen
- Fix: Block auto-complete for AI API Keys in Connectors. ([78946](https://github.com/WordPress/gutenberg/pull/78946))

#### Icons
- Revert "Icons: Maintain absolute stroke-width regardless of icon-size (#78774)". ([78854](https://github.com/WordPress/gutenberg/pull/78854))

#### Dashboard
- Fix Add widget error on non-secure HTTP origins. ([78850](https://github.com/WordPress/gutenberg/pull/78850))

#### Block API
- Block Visibility: Keep hide-everywhere working after a block opts out of visibility support. ([78780](https://github.com/WordPress/gutenberg/pull/78780))


### Accessibility

- Boot navigation: Wrap items in a list role for valid listitem semantics. ([78829](https://github.com/WordPress/gutenberg/pull/78829))

#### Block Editor
- Inserter: Fix error being thrown for spoken message when inserting default/direct block. ([79004](https://github.com/WordPress/gutenberg/pull/79004))

#### Block Library
- Navigation Link: Fix duplicate block html attributes in editor. ([78973](https://github.com/WordPress/gutenberg/pull/78973))

#### Patterns
- Fix focus loss when closing the Create pattern dialog from the block toolbar. ([78957](https://github.com/WordPress/gutenberg/pull/78957))

#### Font Library
- Fix focus issue when navigating. ([78671](https://github.com/WordPress/gutenberg/pull/78671))


### Performance

- Optimize wp-env source downloads with Git partial clones. ([78918](https://github.com/WordPress/gutenberg/pull/78918))


### Experiments

#### Dashboard
- Add Events widget. ([78553](https://github.com/WordPress/gutenberg/pull/78553))
- Event widget iteration. ([78815](https://github.com/WordPress/gutenberg/pull/78815))
- Hello Dolly. ([78648](https://github.com/WordPress/gutenberg/pull/78648))
- Show ghost widgets visually & allow easy removal. ([78502](https://github.com/WordPress/gutenberg/pull/78502))


### Documentation

- Added Missing Global Documentation. ([78997](https://github.com/WordPress/gutenberg/pull/78997))
- Build: Update changelog. ([78807](https://github.com/WordPress/gutenberg/pull/78807))
- DataViews: Add DataViews components to components manifest. ([78960](https://github.com/WordPress/gutenberg/pull/78960))
- Docs: Auto-generate per-block API reference pages from block.json. ([77612](https://github.com/WordPress/gutenberg/pull/77612))
- Docs: Fix stale, incorrect, or missing documentation. ([78686](https://github.com/WordPress/gutenberg/pull/78686))
- Docs: Remove stale mobile references from tooling and primitives documentation. ([79041](https://github.com/WordPress/gutenberg/pull/79041))
- Fix @wordpress/data README fragment links. ([78866](https://github.com/WordPress/gutenberg/pull/78866))
- Remove orphaned README files for deleted native-only components. ([79035](https://github.com/WordPress/gutenberg/pull/79035))


### Code Quality

- Codemods: Remove one-shot Tooltip migration codemod. ([78669](https://github.com/WordPress/gutenberg/pull/78669))
- Docs: Fix big_image_size_threshold xref typo. ([76299](https://github.com/WordPress/gutenberg/pull/76299))
- Format Library: Migrate to recommended `@wordpress/ui` components. ([79059](https://github.com/WordPress/gutenberg/pull/79059))
- Framework: Remove invalid stale nested npm package references. ([79014](https://github.com/WordPress/gutenberg/pull/79014))
- Make `@wordpress/nux` a no-op compatibility package. ([77773](https://github.com/WordPress/gutenberg/pull/77773))
- Remove migrated dependencies from root package.json. ([78813](https://github.com/WordPress/gutenberg/pull/78813))
- Scripts: Remove obsolete bin/setup-local-env.sh. ([78871](https://github.com/WordPress/gutenberg/pull/78871))
- Storybook: Declare workspace dependencies for theme example story. ([78979](https://github.com/WordPress/gutenberg/pull/78979))
- Tools: Ban `classnames` via Syncpack. ([79061](https://github.com/WordPress/gutenberg/pull/79061))
- Tools: Migrate docs/tool into tools/docs workspace. ([78870](https://github.com/WordPress/gutenberg/pull/78870))

#### Block Library
- Fix sprintf format specifiers in post-date and read-more blocks. ([78933](https://github.com/WordPress/gutenberg/pull/78933))
- Fix: Escape URLs in block render functions using `esc_url()`. ([78912](https://github.com/WordPress/gutenberg/pull/78912))
- Refactor workspace configuration for Babel dependencies. ([78974](https://github.com/WordPress/gutenberg/pull/78974))
- Revert navigation morph & playlist commits pushed directly to trunk. ([78857](https://github.com/WordPress/gutenberg/pull/78857))
- RichText: Remove dead native-only prop filtering. ([79037](https://github.com/WordPress/gutenberg/pull/79037))

#### Data Layer
- Compose: Fully deprecate the 'pure' HoC. ([78674](https://github.com/WordPress/gutenberg/pull/78674))
- Media: Move client-side media compat file to wordpress-7.1 directory. ([78852](https://github.com/WordPress/gutenberg/pull/78852))
- Packages: Declare missing `@types/react` dependency. ([78882](https://github.com/WordPress/gutenberg/pull/78882))
- Refactor: Remove jest/test deps from root package.json. ([78801](https://github.com/WordPress/gutenberg/pull/78801))
- Remove React Native implementation, framework, and dependencies. ([78747](https://github.com/WordPress/gutenberg/pull/78747))

#### Post Editor
- Editor: Refactor 'PostPublishButton' into function component. ([78737](https://github.com/WordPress/gutenberg/pull/78737))
- Editor: Remove dead native guard in block removal warnings. ([79039](https://github.com/WordPress/gutenberg/pull/79039))
- Post Revisions: Upgrade `diff` from v4 to v8. ([77992](https://github.com/WordPress/gutenberg/pull/77992))
- TypeScript: Migrate server-side-render package to TS. ([71383](https://github.com/WordPress/gutenberg/pull/71383))

#### Components
- @wordpress/theme: Deduplicate addFallbackToVar helper. ([78666](https://github.com/WordPress/gutenberg/pull/78666))
- Navigable Container: Hoist getFocusableContext out of the component. ([79029](https://github.com/WordPress/gutenberg/pull/79029))
- Remove dead native code branches from Platform usages. ([79031](https://github.com/WordPress/gutenberg/pull/79031))
- refactor: Move React dependencies to workspace configuration and upda…. ([78981](https://github.com/WordPress/gutenberg/pull/78981))

#### Dashboard
- Rename `WidgetChrome` to `DashboardWidgetChrome`. ([78751](https://github.com/WordPress/gutenberg/pull/78751))
- Rename `widget-types` to `widget-primitives` and consolidate the widget contract. ([78749](https://github.com/WordPress/gutenberg/pull/78749))
- Replace `surface` with `host` in widget contract documentation. ([78778](https://github.com/WordPress/gutenberg/pull/78778))

#### Block Editor
- Refactor Inserter to a function component. ([78766](https://github.com/WordPress/gutenberg/pull/78766))
- Rich text: Use subscribeDelegatedListener for element event listeners. ([79047](https://github.com/WordPress/gutenberg/pull/79047))

#### Site Editor
- theme/ThemeProvider: Rename `color.bg` prop to `color.background`. ([79007](https://github.com/WordPress/gutenberg/pull/79007))


### Tools

- Add copilot-instructions.md file. ([78584](https://github.com/WordPress/gutenberg/pull/78584))
- Remove orphaned mobile bug report issue template. ([79038](https://github.com/WordPress/gutenberg/pull/79038))
- Update AGENTS.md to mention additional pitfalls. ([78718](https://github.com/WordPress/gutenberg/pull/78718))
- Update CODEOWNERS for tooling directories. ([78874](https://github.com/WordPress/gutenberg/pull/78874))

#### Build Tooling
- Build Scripts: Fix Windows path handling in dev script. ([78939](https://github.com/WordPress/gutenberg/pull/78939))
- CI: Remove Validate Gradle Wrapper workflow. ([79030](https://github.com/WordPress/gutenberg/pull/79030))
- CI: Skip plugin repo release when SVN tag already exists. ([78476](https://github.com/WordPress/gutenberg/pull/78476))
- Lint dependency version consistency with Syncpack. ([77950](https://github.com/WordPress/gutenberg/pull/77950))
- Release: Drop mobile-specific changelog omit rules. ([79042](https://github.com/WordPress/gutenberg/pull/79042))
- Remove platform-docs Docusaurus site. ([79034](https://github.com/WordPress/gutenberg/pull/79034))
- Skip including inactive or experimental routes when building for WordPress Core. ([76715](https://github.com/WordPress/gutenberg/pull/76715))
- feat: Migrate performance results to tools release. ([78761](https://github.com/WordPress/gutenberg/pull/78761))
- Add more React internals polyfills. ([79142](https://github.com/WordPress/gutenberg/pull/79142))

#### Testing
- Abilities: Add validation tests pinning behavior for WP-specific schema keywords. ([78783](https://github.com/WordPress/gutenberg/pull/78783))
- CI: Suppress lint:Js warnings on static checks. ([79025](https://github.com/WordPress/gutenberg/pull/79025))
- Try omit-unchanged for compressed-size-action. ([78976](https://github.com/WordPress/gutenberg/pull/78976))
- e2e-test-utils-playwright: Start transpiling again, but faster. ([79026](https://github.com/WordPress/gutenberg/pull/79026))

#### Data Layer
- Align dependency versions across workspaces. ([77954](https://github.com/WordPress/gutenberg/pull/77954))


## First-time contributors

The following PRs were merged by first-time contributors:

- @apermo: Docs: Fix big_image_size_threshold xref typo. ([76299](https://github.com/WordPress/gutenberg/pull/76299))
- @colinduwe: Changed labels to consistently use Patterns in favor of Block patterns. ([56880](https://github.com/WordPress/gutenberg/pull/56880))
- @ekamran: Fix @wordpress/data README fragment links. ([78866](https://github.com/WordPress/gutenberg/pull/78866))
- @i-am-chitti: Tools: Migrate docs/tool into tools/docs workspace. ([78870](https://github.com/WordPress/gutenberg/pull/78870))
- @Kgupta62: Common CSS: Avoid false-positive border-style on custom properties. ([77476](https://github.com/WordPress/gutenberg/pull/77476))
- @macayu17: Button.Icon: Fix clipped icons. ([78614](https://github.com/WordPress/gutenberg/pull/78614))
- @n8finch: `ColorPalette`: Don't render when custom colors disabled and no colors passed. ([72402](https://github.com/WordPress/gutenberg/pull/72402))
- @simondud: Fix: Block auto-complete for AI API Keys in Connectors. ([78946](https://github.com/WordPress/gutenberg/pull/78946))


## Contributors

The following contributors merged PRs in this release:

@aaronrobertshaw @adamsilverstein @aduth @alecgeatches @amitraj2203 @andrewserong @apermo @ciampo @colinduwe @desrosj @ekamran @elazzabi @ellatrix @fushar @gziolo @hbhalodia @hi0001234d @himanshupathak95 @i-am-chitti @im3dabasia @Infinite-Null @itzmekhokan @jameskoster @jasmussen @jsnajdr @juanfra @juanmaguitar @Kgupta62 @kushagra-goyal-14 @macayu17 @Mamaduka @manzoorwanijk @mikachan @mirka @Mustafabharmal @n8finch @ntsekouras @oandregal @paulopmt1 @ramonjd @retrofox @sarthaknagoshe2002 @scruffian @shail-mehta @shekharnwagh @simison @simondud @sirreal @t-hamano @talldan @tellthemachines @torounit @tyxla @USERSATOSHI @westonruter @xavier-lc @yogeshbhutkar




= 23.3.2 =


## Changelog

### Bug Fixes

#### Data Layer
- Revert React 19 upgrade. ([78940](https://github.com/WordPress/gutenberg/pull/78940))




## Contributors

The following contributors merged PRs in this release:

@jsnajdr


= 23.3.1 =


## Changelog

### Bug Fixes

- Element: Add polyfills for render, hydrate, unmountComponentAtNode. ([78899](https://github.com/WordPress/gutenberg/pull/78899))
- React: Add ReactCurrentOwner polyfill. ([78923](https://github.com/WordPress/gutenberg/pull/78923))
- Revert "wp-build: Replace getter-based exports with data properties". ([78917](https://github.com/WordPress/gutenberg/pull/78917))




## Contributors

The following contributors merged PRs in this release:

@gigitux @jsnajdr


= 23.3.0 =

## Changelog

### Features

#### Post Editor
- Notes: Support multiple note threads per block. ([75147](https://github.com/WordPress/gutenberg/pull/75147))


### Enhancements

#### Components
- DataViews: Adopt `@wordpress/theme` design tokens. ([75204](https://github.com/WordPress/gutenberg/pull/75204))
- Draggable: Scope the clone's fallback `z-index` to non-slot placements. ([78354](https://github.com/WordPress/gutenberg/pull/78354))
- Navigation: Hard deprecate component. ([78529](https://github.com/WordPress/gutenberg/pull/78529))
- Overlays: Extend positioner slot pattern to Popover, Select, Autocomplete. ([78168](https://github.com/WordPress/gutenberg/pull/78168))
- Tabs, TabPanel: Align styles with wp-ui. ([78418](https://github.com/WordPress/gutenberg/pull/78418))
- Tooltip migration: Dataviews consumers (3/5). ([78470](https://github.com/WordPress/gutenberg/pull/78470))
- UI Button: Optimize overflow styles. ([78300](https://github.com/WordPress/gutenberg/pull/78300))
- UI Card: Full bleed as header hero image and content cover. ([77856](https://github.com/WordPress/gutenberg/pull/77856))
- Visually align `Notice` from `@wordpress/components` with `Notice` from `@wordpress/ui`. ([78231](https://github.com/WordPress/gutenberg/pull/78231))
- [components] Draggable: Migrate clone wrapper to wp compat overlay slot. ([78183](https://github.com/WordPress/gutenberg/pull/78183))
- [ui] Add internal wp compat overlay slot helper. ([77851](https://github.com/WordPress/gutenberg/pull/77851))
- [ui] Autocomplete: Default portal container to the wp compat overlay slot. ([78375](https://github.com/WordPress/gutenberg/pull/78375))
- [ui] Select: Default portal container to the wp compat overlay slot. ([78372](https://github.com/WordPress/gutenberg/pull/78372))
- [ui] Tooltip: Default portal container to the wp compat overlay slot. ([78095](https://github.com/WordPress/gutenberg/pull/78095))
- design-system-mcp: Add server instructions for client usage guidance. ([78186](https://github.com/WordPress/gutenberg/pull/78186))
- design-system-mcp: Update `get_components` to optionally support multiple names. ([78185](https://github.com/WordPress/gutenberg/pull/78185))

#### Block Editor
- Add support for layout responsive styles. ([78543](https://github.com/WordPress/gutenberg/pull/78543))
- Add supports for pseudo states on single block instances. ([76491](https://github.com/WordPress/gutenberg/pull/76491))
- Block Inserter: Animate inserter button icon to signal open state. ([78306](https://github.com/WordPress/gutenberg/pull/78306))
- Hide block variation selector when style state is selected. ([78658](https://github.com/WordPress/gutenberg/pull/78658))
- Hide wrap by default in flex layout panel. ([78269](https://github.com/WordPress/gutenberg/pull/78269))
- Integrate slug-based color selection in color panel. ([78048](https://github.com/WordPress/gutenberg/pull/78048))
- Migrate pattern list item titles to Text from @wordpress/ui. ([77656](https://github.com/WordPress/gutenberg/pull/77656))
- Refactor: Add extractPresetSlug as a generalized function to extract slugs. ([78328](https://github.com/WordPress/gutenberg/pull/78328))
- Tooltip migration: Block-editor + block-directory consumers (1/5). ([78411](https://github.com/WordPress/gutenberg/pull/78411))
- Validate additional CSS on mount. ([78682](https://github.com/WordPress/gutenberg/pull/78682))

#### Block Library
- Block Style States: Show only supported inspector controls when selecting a style state. ([78280](https://github.com/WordPress/gutenberg/pull/78280))
- Columns: Remove redundant Skip option from layout picker. ([78405](https://github.com/WordPress/gutenberg/pull/78405))
- Home Link: Add missing controls. ([76672](https://github.com/WordPress/gutenberg/pull/76672))
- Move Layout panel into styles tab so it sits next to Dimensions. ([77922](https://github.com/WordPress/gutenberg/pull/77922))
- Responsive block instance styles. ([78384](https://github.com/WordPress/gutenberg/pull/78384))

#### Post Editor
- Collab Sidebar: Swap near-identical pink for red in avatar palette. ([78299](https://github.com/WordPress/gutenberg/pull/78299))
- Media Editor: Make the modal the default crop experience. ([78653](https://github.com/WordPress/gutenberg/pull/78653))
- RTC: Provide `PROTOCOL_MISMATCH` error handling. ([76991](https://github.com/WordPress/gutenberg/pull/76991))
- Tooltip migration: Editor + edit-post + edit-site consumers (2/5). ([78466](https://github.com/WordPress/gutenberg/pull/78466))

#### Dashboard
- Add custom widget dashboard resize handle styling. ([78236](https://github.com/WordPress/gutenberg/pull/78236))
- Dashboard Widgets: Adapt Quick Draft to its tile size with a recent drafts list. ([78572](https://github.com/WordPress/gutenberg/pull/78572))
- Widget dashboard: Skip tile hover elevation while resizing. ([78234](https://github.com/WordPress/gutenberg/pull/78234))

#### Font Library
- Clarify active variant state in Library tab. ([78501](https://github.com/WordPress/gutenberg/pull/78501))

#### Guidelines
- Refine access policy. ([78296](https://github.com/WordPress/gutenberg/pull/78296))

#### Connectors
- Restyle AI plugin callout with pastel background and beak. ([78243](https://github.com/WordPress/gutenberg/pull/78243))

#### Media
- Media Editor Modal: Update the rotation ruler to use a vertical line marker. ([78704](https://github.com/WordPress/gutenberg/pull/78704))

#### Client Side Media
- Add dimension validation to sideload endpoint. ([74903](https://github.com/WordPress/gutenberg/pull/74903))

#### Data Layer
- Upgrade to React 19. ([61521](https://github.com/WordPress/gutenberg/pull/61521))


### Bug Fixes

#### Components
- @wordpress/ui: Compat overlay slot — viewport-sized containing block. ([78441](https://github.com/WordPress/gutenberg/pull/78441))
- DataViews: Fix wrapper height resolution in flex layouts. ([76945](https://github.com/WordPress/gutenberg/pull/76945))
- DataViewsPicker Table: Fix first-click row selection. ([78423](https://github.com/WordPress/gutenberg/pull/78423))
- Fix FormTokenField validation preventing default behavior. ([77181](https://github.com/WordPress/gutenberg/pull/77181))
- IconButton: Fix `focusableWhenDisabled` default. ([78526](https://github.com/WordPress/gutenberg/pull/78526))
- Popover: Don't close when focus moves into the `@wordpress/ui` compat overlay slot. ([78407](https://github.com/WordPress/gutenberg/pull/78407))
- UI Button: Fix disabled cursor style. ([78479](https://github.com/WordPress/gutenberg/pull/78479))
- UI: Fix item popup typography. ([78403](https://github.com/WordPress/gutenberg/pull/78403))
- UI: Update Autocomplete clear disabled state. ([78520](https://github.com/WordPress/gutenberg/pull/78520))
- useCopyToClipboard: Always call `onSuccess` callback. ([78387](https://github.com/WordPress/gutenberg/pull/78387))
- useDialog: Handle Escape via React `onKeyDown` so cascade works through portals. ([78433](https://github.com/WordPress/gutenberg/pull/78433))

#### Block Library
- Block/Tabs: Fix editor dirty state on reload by removing unnecessary mount-time attribute init. ([78339](https://github.com/WordPress/gutenberg/pull/78339))
- Breadcrumbs block: Hide separator from screen readers. ([78524](https://github.com/WordPress/gutenberg/pull/78524))
- Fix 'Invalid Date' when clicking on Now in DateTimePicker on Date Block. ([78284](https://github.com/WordPress/gutenberg/pull/78284))
- Fix Tabs block losing added tabs when the editor is reopened. ([78250](https://github.com/WordPress/gutenberg/pull/78250))
- Image: Preserve width/height when converting Classic blocks to blocks. ([78610](https://github.com/WordPress/gutenberg/pull/78610))
- Navigation Link: Preserve custom labels during link updates. ([77186](https://github.com/WordPress/gutenberg/pull/77186))
- Navigation: Restore `block_core_navigation_submenu_render_submenu_icon()` as deprecated shim. ([78484](https://github.com/WordPress/gutenberg/pull/78484))
- Prevent images from appearing squished when only one dimension is set. ([70575](https://github.com/WordPress/gutenberg/pull/70575))
- Fix: Discard unsaved HTML block changes on cancel. ([78580](https://github.com/WordPress/gutenberg/pull/78580))

#### Post Editor
- Editor: Disable Visual Revisions when classic meta boxes are present. ([78249](https://github.com/WordPress/gutenberg/pull/78249))
- Editor: Fix Visual Revisions meta keys overlap. ([78156](https://github.com/WordPress/gutenberg/pull/78156))
- Editor: Use `_n()` for revisions count aria-label. ([78382](https://github.com/WordPress/gutenberg/pull/78382))
- Fix image upload crashes. ([76707](https://github.com/WordPress/gutenberg/pull/76707))
- Fix: Register user-defined taxonomies after user-defined post types. ([78497](https://github.com/WordPress/gutenberg/pull/78497))
- Fix: Show collaborators when the top toolbar is active. ([78049](https://github.com/WordPress/gutenberg/pull/78049))
- Global styles revisions: Ensure stylebook shows revision previews. ([78490](https://github.com/WordPress/gutenberg/pull/78490))
- Script Loader: Defer single-page admin init until DOMContentLoaded (Trac #65103). ([78136](https://github.com/WordPress/gutenberg/pull/78136))
- Upload Media: Render srcset on the front end for client-side-media uploads. ([78359](https://github.com/WordPress/gutenberg/pull/78359))

#### Data Layer
- Core Data: Avoid duplicate ID-less entity permission requests. ([78262](https://github.com/WordPress/gutenberg/pull/78262))
- Fix: Disable collab sync when incompatible meta boxes are present. ([78145](https://github.com/WordPress/gutenberg/pull/78145))
- RTC: Fix cursor awareness and presence bug in nested rich text elements. ([77673](https://github.com/WordPress/gutenberg/pull/77673))
- RTC: Fix block refresh on every update when a peer edits within the code editor. ([78483](https://github.com/WordPress/gutenberg/pull/78483))
- RTC: Sync the content even if it's a function. ([76796](https://github.com/WordPress/gutenberg/pull/76796))
- Real-time Collaboration: Use minimal save payload in persistCRDTDoc. ([77050](https://github.com/WordPress/gutenberg/pull/77050))

#### Block Editor
- Block Inspector: Hide Styles tab in preview mode. ([78230](https://github.com/WordPress/gutenberg/pull/78230))
- Block Toolbar: Prevent position shifts when using mover control. ([77798](https://github.com/WordPress/gutenberg/pull/77798))
- Fix inconsistencies in feature selector processing part 2: Pseudo block instances. ([78326](https://github.com/WordPress/gutenberg/pull/78326))
- Fix schema merging in `getBlockContentSchemaFromTransforms` via `mergeSchemas`. ([70615](https://github.com/WordPress/gutenberg/pull/70615))
- List View: Place caret at end of block when selecting. ([76797](https://github.com/WordPress/gutenberg/pull/76797))
- Reset zoom level on component unmount. ([69087](https://github.com/WordPress/gutenberg/pull/69087))

#### Media
- Media Editor Modal: Only show the crop active state when using keyboard. ([78266](https://github.com/WordPress/gutenberg/pull/78266))
- Media Editor: Anchor cursorless zoom (slider/keyboard) at crop center. ([78385](https://github.com/WordPress/gutenberg/pull/78385))
- Media Editor: Enforce a minimum crop size in the image editor. ([78268](https://github.com/WordPress/gutenberg/pull/78268))
- Media Editor: Scope keyboard shortcuts to the modal. ([78322](https://github.com/WordPress/gutenberg/pull/78322))
- Media Fields: Fix filename truncation with Tooltip. ([78453](https://github.com/WordPress/gutenberg/pull/78453))

#### Collaboration
- RTC: Fix Edit/Join row action invisible on mobile in post list. ([78597](https://github.com/WordPress/gutenberg/pull/78597))
- RTC: Fix connection lost error modal when /wp-json/wp-sync/v1/updates exceeds 16 MiB limit. ([77724](https://github.com/WordPress/gutenberg/pull/77724))

#### Global Styles
- Fix block preview for responsive style states. ([78538](https://github.com/WordPress/gutenberg/pull/78538))
- Fix inconsistencies in feature selector processing part 1: Global styles. ([78276](https://github.com/WordPress/gutenberg/pull/78276))

#### Client Side Media
- Upload Media: Stop propagating `-scaled` to sub-size filenames. ([78038](https://github.com/WordPress/gutenberg/pull/78038))
- VIPS: Remove dead `batchResizeImage` and `vipsBatchResizeImage` exports. ([77975](https://github.com/WordPress/gutenberg/pull/77975))

#### Paste
- Keep `<img>` inside `<a>` when pasting plain-text HTML. ([78015](https://github.com/WordPress/gutenberg/pull/78015))


### Accessibility

#### Post Editor
- Revisions: Increase diff marker stripe contrast to 75% primary color proportion. ([78473](https://github.com/WordPress/gutenberg/pull/78473))
- Revisions: Scale diff markers width with user text-size preference. ([78273](https://github.com/WordPress/gutenberg/pull/78273))
- Revisions: Use CSS outline as secondary non-color indicator for diff blocks. ([78393](https://github.com/WordPress/gutenberg/pull/78393))

#### Block Library
- Image block: Add "Mark as decorative" toggle for accessibility. ([78064](https://github.com/WordPress/gutenberg/pull/78064))
- Image: Fix missing aria-label on lightbox trigger button for single images. ([78426](https://github.com/WordPress/gutenberg/pull/78426))


### Performance

- Block supports: Optimize custom CSS class rendering and parsing. ([78217](https://github.com/WordPress/gutenberg/pull/78217))
- Fix performance tests when running against old reference commit. ([78288](https://github.com/WordPress/gutenberg/pull/78288))

#### Post Editor
- Edit Post: Hoist setupEditor to run before root.render. ([78581](https://github.com/WordPress/gutenberg/pull/78581))
- Edit post: Consume preload cache before React mount. ([78508](https://github.com/WordPress/gutenberg/pull/78508))
- Editor / Block Editor: Lazy-fetch user pattern categories. ([78568](https://github.com/WordPress/gutenberg/pull/78568))
- Post Taxonomies: Drop redundant `per_page: -1` from taxonomy queries. ([78569](https://github.com/WordPress/gutenberg/pull/78569))

#### Components
- Blocks: Share window listeners across instances (block props, rich text, ...). ([78310](https://github.com/WordPress/gutenberg/pull/78310))
- Compose: Share a single change listener per MediaQueryList in useMediaQuery. ([78297](https://github.com/WordPress/gutenberg/pull/78297))
- Compose: Simplify subscribeDelegatedListener root detection. ([78492](https://github.com/WordPress/gutenberg/pull/78492))

#### Data Layer
- Core Data: Share parsed blocks cache between resolver and editor hook. ([78026](https://github.com/WordPress/gutenberg/pull/78026))
- Edit Post Preload: Cover remaining bound GET/OPTIONS requests on load. ([78565](https://github.com/WordPress/gutenberg/pull/78565))

#### Commands
- Core Abilities: Defer fetch until workflow palette opens. ([78316](https://github.com/WordPress/gutenberg/pull/78316))


### Experiments

#### Dashboard
- Add `Quick draft` widget. ([78408](https://github.com/WordPress/gutenberg/pull/78408))
- Add chrome UI tools to widgets. ([78060](https://github.com/WordPress/gutenberg/pull/78060))
- Add command palette commands. ([78429](https://github.com/WordPress/gutenberg/pull/78429))
- Add dashboard Activity widget. ([78552](https://github.com/WordPress/gutenberg/pull/78552))
- Add dashboard News widget. ([78554](https://github.com/WordPress/gutenberg/pull/78554))
- Add dashboard Site Health widget. ([78555](https://github.com/WordPress/gutenberg/pull/78555))
- Add dashboard Site Preview widget. ([78556](https://github.com/WordPress/gutenberg/pull/78556))
- Add elevation to widget actionable area. ([78563](https://github.com/WordPress/gutenberg/pull/78563))
- Add missing package file to the site preview widget. ([78583](https://github.com/WordPress/gutenberg/pull/78583))
- Add welcome dashboard widget with adaptive layout and content. ([78461](https://github.com/WordPress/gutenberg/pull/78461))
- Add tooltip explaining disabled menu item. ([78344](https://github.com/WordPress/gutenberg/pull/78344))
- Contain widget body within its tile to prevent page overflow. ([78627](https://github.com/WordPress/gutenberg/pull/78627))
- Dashboard Widgets: Add `content-bleed` presentation variant. ([78491](https://github.com/WordPress/gutenberg/pull/78491))
- Fix widget rendering on the masonry grid. ([78645](https://github.com/WordPress/gutenberg/pull/78645))
- Full-size widget inserter. ([78390](https://github.com/WordPress/gutenberg/pull/78390))
- Grid: Animate sibling tiles when layout reflows during drag or resize. ([78395](https://github.com/WordPress/gutenberg/pull/78395))
- Grid: Animate tile removals. ([78542](https://github.com/WordPress/gutenberg/pull/78542))
- Grid: Don't allow resizing tile beyond min row height or column width. ([78402](https://github.com/WordPress/gutenberg/pull/78402))
- Grid: Hide resize handles and actions while a tile is resizing. ([78391](https://github.com/WordPress/gutenberg/pull/78391))
- Grid: Make resize overlay line solid. ([78340](https://github.com/WordPress/gutenberg/pull/78340))
- Grid: Resize widget and snap resize-placeholder. ([78389](https://github.com/WordPress/gutenberg/pull/78389))
- Grid: Tiled grid overlay. ([78373](https://github.com/WordPress/gutenberg/pull/78373))
- Increase widget spacing with `--wp-grid-gap`. ([78439](https://github.com/WordPress/gutenberg/pull/78439))
- Layered grid columns and visual layout model picker. ([78364](https://github.com/WordPress/gutenberg/pull/78364))
- Layout settings drawer with grid/masonry models. ([78202](https://github.com/WordPress/gutenberg/pull/78202))
- Migrate Layout settings drawer to DataForm. ([78336](https://github.com/WordPress/gutenberg/pull/78336))
- Mobile improvements. ([78522](https://github.com/WordPress/gutenberg/pull/78522))
- Per-instance widget settings drawer. ([78465](https://github.com/WordPress/gutenberg/pull/78465))
- Polish dashboard drag preview motion, elevation, and drop exit. ([78348](https://github.com/WordPress/gutenberg/pull/78348))
- Prevent pointer events in widget selection. ([78681](https://github.com/WordPress/gutenberg/pull/78681))
- Quick Draft widget: Layout, empty state, and style refinements. ([78601](https://github.com/WordPress/gutenberg/pull/78601))
- Refine widget actionable area toolbar styling. ([78578](https://github.com/WordPress/gutenberg/pull/78578))
- Restrict widget icons to just SVGs (no dashicons). ([78440](https://github.com/WordPress/gutenberg/pull/78440))
- Round widget drag radius. ([78292](https://github.com/WordPress/gutenberg/pull/78292))
- Scale widget picker previews to fill their card. ([78602](https://github.com/WordPress/gutenberg/pull/78602))
- Seed default layout with bundled widget instances. ([78622](https://github.com/WordPress/gutenberg/pull/78622))
- Small changes to header. ([78513](https://github.com/WordPress/gutenberg/pull/78513))
- Tune default grid settings and starter layout. ([78633](https://github.com/WordPress/gutenberg/pull/78633))
- Use `Page` `hasPadding` prop for content spacing. ([78469](https://github.com/WordPress/gutenberg/pull/78469))
- Use fully-specified fast-deep-equal import. ([78660](https://github.com/WordPress/gutenberg/pull/78660))
- Welcome widget: Add a subtle shine to the version digits. ([78626](https://github.com/WordPress/gutenberg/pull/78626))
- Welcome widget: Draw the version number in the banner. ([78611](https://github.com/WordPress/gutenberg/pull/78611))
- Widget Types: Declarative presentation hint (full-bleed support). ([78209](https://github.com/WordPress/gutenberg/pull/78209))
- Widget Types: Generic attribute schemas. ([78247](https://github.com/WordPress/gutenberg/pull/78247))
- Widgets: Declare dependencies in a per-widget `package.json`. ([78463](https://github.com/WordPress/gutenberg/pull/78463))

#### Media
- Extract media editor crop options hook. ([78263](https://github.com/WordPress/gutenberg/pull/78263))
- Extract media editor save hook. ([78225](https://github.com/WordPress/gutenberg/pull/78225))
- Media Editor Modal: Add custom datetime view for the sidebar to ensure minimal display of dates. ([78265](https://github.com/WordPress/gutenberg/pull/78265))
- Media Editor Modal: Fix unexpected tab stop on date fields in the Details sidebar. ([78454](https://github.com/WordPress/gutenberg/pull/78454))
- Media Editor Modal: Tighten labels for crop handles toggle. ([78703](https://github.com/WordPress/gutenberg/pull/78703))
- Media Editor: Harden cropper math layer against non-finite inputs. ([78321](https://github.com/WordPress/gutenberg/pull/78321))
- Media Editor: Make zoom floor coverage-aware instead of fixed at 1x. ([78222](https://github.com/WordPress/gutenberg/pull/78222))
- Media editor: Show live crop dimensions during gesture. ([78221](https://github.com/WordPress/gutenberg/pull/78221))
- Refactor media editor crop state into composite reducer. ([78480](https://github.com/WordPress/gutenberg/pull/78480))

#### Block Library
- Classic Block: Use `get_post()` in `wp_declare_classic_block_necessary`. ([78613](https://github.com/WordPress/gutenberg/pull/78613))
- Media: Add undo snackbar for media editor image edits. ([78425](https://github.com/WordPress/gutenberg/pull/78425))
- Update Classic block deprecation notice. ([78445](https://github.com/WordPress/gutenberg/pull/78445))

#### Post Editor
- Add default term for taxonomies. ([78233](https://github.com/WordPress/gutenberg/pull/78233))
- Add experiment to show admin bar in Post and Site Editor. ([77964](https://github.com/WordPress/gutenberg/pull/77964))
- Media Editor Experiments: Tidy up by removing old pathways to the media editor experiment. ([78489](https://github.com/WordPress/gutenberg/pull/78489))

#### Block Editor
- Grid: Fix immutability lint warning for React hook. ([78431](https://github.com/WordPress/gutenberg/pull/78431))
- Grid: Visualize columns without outline. ([78281](https://github.com/WordPress/gutenberg/pull/78281))


### Documentation

- Docs: Add Workspace Development guide. ([78615](https://github.com/WordPress/gutenberg/pull/78615))
- Docs: Update iframe editor migration guide for WordPress 7.0/7.1. ([78401](https://github.com/WordPress/gutenberg/pull/78401))
- Docs: Update media editor documentation. ([78617](https://github.com/WordPress/gutenberg/pull/78617))
- Theme: Add Tokens "Introduction" Storybook page. ([78449](https://github.com/WordPress/gutenberg/pull/78449))
- Theme: Move token structure descriptions into tokens document. ([78438](https://github.com/WordPress/gutenberg/pull/78438))
- UI Icon: Mark as recommended. ([78365](https://github.com/WordPress/gutenberg/pull/78365))
- Update plugin release documentation and edit for clarity. ([78537](https://github.com/WordPress/gutenberg/pull/78537))
- [ui] Trim verbose comments and prose around the compat overlay slot. ([78356](https://github.com/WordPress/gutenberg/pull/78356))


### Code Quality

- Migrate `create-test-block.sh` to `@wordpress/validation-tools` workspace. ([78665](https://github.com/WordPress/gutenberg/pull/78665))

#### Components
- Add Badge text overflow end-to-end story. ([78589](https://github.com/WordPress/gutenberg/pull/78589))
- DataViews: Inline z-index values. ([78315](https://github.com/WordPress/gutenberg/pull/78315))
- Menu: Reduce flaky Space key test scope. ([78246](https://github.com/WordPress/gutenberg/pull/78246))
- Modal: Inline header z-index. ([78362](https://github.com/WordPress/gutenberg/pull/78362))
- Move `@emotion` deps out of root `package.json`. ([78687](https://github.com/WordPress/gutenberg/pull/78687))
- RangeControl: Remove erroneous `icon` prop from web types. ([78444](https://github.com/WordPress/gutenberg/pull/78444))
- Remove deprecated `__experimentalApplyValueToSides` export. ([78528](https://github.com/WordPress/gutenberg/pull/78528))
- Routes: Enforce logical CSS properties in stylesheets. ([78291](https://github.com/WordPress/gutenberg/pull/78291))
- Storybook: Add text overflow end-to-end stories. ([78256](https://github.com/WordPress/gutenberg/pull/78256))
- Theme: Remove and prevent dependency grouping comments. ([78573](https://github.com/WordPress/gutenberg/pull/78573))
- Theme: Update color space registration to avoid side effects. ([77653](https://github.com/WordPress/gutenberg/pull/77653))
- UI Autocomplete: Fix prop types. ([78450](https://github.com/WordPress/gutenberg/pull/78450))
- UI Tabs: Recommend component for use. ([78442](https://github.com/WordPress/gutenberg/pull/78442))
- UI: Add Button variant states end-to-end story. ([78634](https://github.com/WordPress/gutenberg/pull/78634))

#### Post Editor
- Deduplicate useGlobalStyles hook code. ([78577](https://github.com/WordPress/gutenberg/pull/78577))
- Editor: Inline text editor toolbar z-index. ([78309](https://github.com/WordPress/gutenberg/pull/78309))
- REST: Guard `setAccessible()` behind PHP < 8.1 in block-editor settings controller. ([78478](https://github.com/WordPress/gutenberg/pull/78478))
- Use WCIcon alias for component Icon imports. ([78366](https://github.com/WordPress/gutenberg/pull/78366))
- Use WCTooltip alias for component Tooltip imports. ([78396](https://github.com/WordPress/gutenberg/pull/78396))

#### Block Editor
- Fixed additional issues with block registration types. ([78416](https://github.com/WordPress/gutenberg/pull/78416))
- Migrate `__experimentalText`, `__experimentalHStack`, and `__experimentalVStack` to `Text` and `Stack`. ([78155](https://github.com/WordPress/gutenberg/pull/78155))
- Refactor: UseMemo on elements and useCallback is back on resetAllFilter. ([78329](https://github.com/WordPress/gutenberg/pull/78329))
- Simplify component ESLint rules and extend to routes/widgets. ([78519](https://github.com/WordPress/gutenberg/pull/78519))
- Updated the BlockAttribute typedef to allow for multi-type attributes. ([78517](https://github.com/WordPress/gutenberg/pull/78517))

#### Guidelines
- Add data-slug attribute to settings list items. ([78676](https://github.com/WordPress/gutenberg/pull/78676))

#### Block Library
- ESLint: Restrict deprecated `__nextHasNoMarginBottom` prop. ([78579](https://github.com/WordPress/gutenberg/pull/78579))

#### Media
- Image editor: Remove unnecessary `__nextHasNoMarginBottom` prop. ([78530](https://github.com/WordPress/gutenberg/pull/78530))

#### Plugin
- Connectors: Move from experimental to wordpress-7.0 compat. ([78228](https://github.com/WordPress/gutenberg/pull/78228))

#### Data Layer
- Make RTC-related APIs private. ([78097](https://github.com/WordPress/gutenberg/pull/78097))


### Tools

- ESLint: Support private API component denylist. ([78451](https://github.com/WordPress/gutenberg/pull/78451))

#### Testing
- Automated Testing: Allow console logging in all bin, scripts, tools files. ([78312](https://github.com/WordPress/gutenberg/pull/78312))
- Automated Testing: Enable concurrency for ESLint. ([78360](https://github.com/WordPress/gutenberg/pull/78360))
- Automated Testing: Fix and use built-in mechanism for flagging unused disables. ([78313](https://github.com/WordPress/gutenberg/pull/78313))
- Automated Testing: Skip ESLint for bundled library code via ignore patterns. ([78314](https://github.com/WordPress/gutenberg/pull/78314))
- Fix flaky end-to-end test with dataview kbd navigation. ([78503](https://github.com/WordPress/gutenberg/pull/78503))
- Fix flaky media upload save lock test. ([78544](https://github.com/WordPress/gutenberg/pull/78544))
- Fix flaky navigation frontend submenu end-to-end test. ([78270](https://github.com/WordPress/gutenberg/pull/78270))
- Fix flaky tests (publish-panel.spec.js focus assertion before panel close completed). ([77893](https://github.com/WordPress/gutenberg/pull/77893))
- Guard PHP unit test to avoid failures on old wp versions. ([78547](https://github.com/WordPress/gutenberg/pull/78547))
- Perf tests: Capture loading durations before `stopTracing()`. ([78294](https://github.com/WordPress/gutenberg/pull/78294))
- Perf tests: Disable Playwright tracing to remove snapshot overhead. ([78295](https://github.com/WordPress/gutenberg/pull/78295))
- Perf tests: Save Chromium traces as CI artifacts. ([77974](https://github.com/WordPress/gutenberg/pull/77974))
- Performance Tests: Log timestamps, optimize build overhead. ([78237](https://github.com/WordPress/gutenberg/pull/78237))
- Performance tests: Fix template click, delete pages at startup. ([78193](https://github.com/WordPress/gutenberg/pull/78193))
- Post Editor perf test: Remove unwanted actions from timed area. ([78323](https://github.com/WordPress/gutenberg/pull/78323))
- Preload: Backport user global styles entry for classic themes on WP 6.9. ([78546](https://github.com/WordPress/gutenberg/pull/78546))
- RTC: Add command to run in WebSockets mode. ([78363](https://github.com/WordPress/gutenberg/pull/78363))
- Tests: Add `timezone-mock` to `test/unit/package.json`. ([78277](https://github.com/WordPress/gutenberg/pull/78277))
- Tests: Add post-editor preload spec. ([78318](https://github.com/WordPress/gutenberg/pull/78318))
- Tests: Preload spec — track query strings and use an existing draft. ([78343](https://github.com/WordPress/gutenberg/pull/78343))
- WP Editor Meta Box e2e: Wait for TinyMCE init. ([78631](https://github.com/WordPress/gutenberg/pull/78631))

#### Build Tooling
- Release: Migrate `bin/plugin` into `@wordpress/release-tools` workspace. ([77695](https://github.com/WordPress/gutenberg/pull/77695))
- Add cherry-pick script and update release tools in package.json. ([78560](https://github.com/WordPress/gutenberg/pull/78560))
- Build Tools: Move build scripts to `@wordpress/build-scripts` workspace package. ([78509](https://github.com/WordPress/gutenberg/pull/78509))
- Build: Detect stale `node_modules` at build/dev time. ([77995](https://github.com/WordPress/gutenberg/pull/77995))
- Build: Remove custom `job_status` output in favor of native result. ([78208](https://github.com/WordPress/gutenberg/pull/78208))
- Dashboard: Forbid non-module stylesheets in experimental, new widgets. ([78496](https://github.com/WordPress/gutenberg/pull/78496))
- Fix path for license type detection in license.js. ([78245](https://github.com/WordPress/gutenberg/pull/78245))
- Improve GHCR asset publishing and expand trigger events to include `pull_request`. ([78211](https://github.com/WordPress/gutenberg/pull/78211))
- Move PHP Sync Issue Generator file to @wordpress/release-tools. ([78456](https://github.com/WordPress/gutenberg/pull/78456))
- Publishing packages: Defer pushing tags until lerna publish succeeds. ([78253](https://github.com/WordPress/gutenberg/pull/78253))
- Refactor validation tools and update related scripts. ([77522](https://github.com/WordPress/gutenberg/pull/77522))
- Remove `commander.js` file from the project. ([78400](https://github.com/WordPress/gutenberg/pull/78400))
- Remove dependency used for counting available CPUs. ([78593](https://github.com/WordPress/gutenberg/pull/78593))
- Several improvements to the Dependabot configuration. ([78536](https://github.com/WordPress/gutenberg/pull/78536))
- Stylelint: Add logical properties exemptions. ([78252](https://github.com/WordPress/gutenberg/pull/78252))
- Widgets: Add TypeScript project configuration. ([78467](https://github.com/WordPress/gutenberg/pull/78467))
- wp-build: Replace getter-based exports with data properties. ([78303](https://github.com/WordPress/gutenberg/pull/78303))


## First-time contributors

The following PRs were merged by first-time contributors:

- @allilevine: DataViews: Fix wrapper height resolution in flex layouts. ([76945](https://github.com/WordPress/gutenberg/pull/76945))
- @CookieDarb: Build: Remove custom job_status output in favor of native result. ([78208](https://github.com/WordPress/gutenberg/pull/78208))
- @danluu: RTC: Fix connection lost error modal when /wp-json/wp-sync/v1/updates exceeds 16 MiB limit. ([77724](https://github.com/WordPress/gutenberg/pull/77724))
- @ecairol: Navigation: Restore block_core_navigation_submenu_render_submenu_icon() as deprecated shim. ([78484](https://github.com/WordPress/gutenberg/pull/78484))
- @Raxen001: Migrated __experimentalText, __experimentalHStack, and __experimentalVStack to Text and Stack. ([78155](https://github.com/WordPress/gutenberg/pull/78155))
- @rushikeshmore: Components: Fix FormTokenField validation preventing default behavior. ([77181](https://github.com/WordPress/gutenberg/pull/77181))
- @SteveJonesDev: Image block: Add "Mark as decorative" toggle for accessibility. ([78064](https://github.com/WordPress/gutenberg/pull/78064))
- @taipeicoder: RTC: Fix Edit/Join row action invisible on mobile in post list. ([78597](https://github.com/WordPress/gutenberg/pull/78597))
- @yyppsk: Navigation Link: Preserve custom labels during link updates. ([77186](https://github.com/WordPress/gutenberg/pull/77186))


## Contributors

The following contributors merged PRs in this release:

@aagam-shah @adamsilverstein @aduth @alecgeatches @allilevine @andrewserong @chriszarate @chubes4 @ciampo @CookieDarb @danluu @DarkMatter-999 @desrosj @dhruvikpatel18 @dpmehta @ecairol @ellatrix @fushar @gziolo @himanshupathak95 @im3dabasia @Infinite-Null @ingeniumed @jameskoster @joshualip-plaudit @jsnajdr @juanfra @karmatosed @kushagra-goyal-14 @lschuyler @MaggieCabrera @Mamaduka @manzoorwanijk @Mayank-Tripathi32 @mirka @Mustafabharmal @ntsekouras @paulopmt1 @prasadkarmalkar @R1shabh-Gupta @ramonjd @Raxen001 @retrofox @rushikeshmore @scruffian @shrivastavanolo @simison @SteveJonesDev @t-hamano @taipeicoder @talldan @tellthemachines @tyxla @USERSATOSHI @westonruter @yuliyan @yyppsk



## Changelog

### Enhancements

#### Block Library
- Hide Cover overlay controls for viewport states. ([78763](https://github.com/WordPress/gutenberg/pull/78763))
- Hide image dimension tools when a state is selected. ([78670](https://github.com/WordPress/gutenberg/pull/78670))

#### Media
- Image cropper: Round zoom control values and display as percentages. ([78757](https://github.com/WordPress/gutenberg/pull/78757))
- Media Editor: Remove resize handles toggle from crop panel. ([78758](https://github.com/WordPress/gutenberg/pull/78758))

### Bug Fixes

#### Block Editor
- Unset grid span defaults with viewport states enabled. ([78709](https://github.com/WordPress/gutenberg/pull/78709))

### Accessibility

#### Post Editor
- Image Editor: Focus return after closing image crop modal. ([78711](https://github.com/WordPress/gutenberg/pull/78711))

### Experiments

#### Media
- Media Editor Modal: Try placing the save and cancel buttons in the footer. ([78708](https://github.com/WordPress/gutenberg/pull/78708))

### Tools

#### Build Tooling
- Update browserslist. ([78840](https://github.com/WordPress/gutenberg/pull/78840))

#### Testing
- e2e-test-utils-playwright: Add src to published NPM files. ([78847](https://github.com/WordPress/gutenberg/pull/78847))
- Tests: Temporarily disable REST index output-format assertions pending Core fix. ([78788](https://github.com/WordPress/gutenberg/pull/78788))



= 23.2.2 =


## Changelog

### Bug Fixes

- Fix registered post meta scope. ([78531](https://github.com/WordPress/gutenberg/pull/78531))




## Contributors

The following contributors merged PRs in this release:

@alecgeatches


= 23.2.1 =


## Changelog

### Bug Fixes

#### Guidelines
- Fix fatal when `rest_api_init` fires before init (cherry-pick #78350). ([78477](https://github.com/WordPress/gutenberg/pull/78477))




## Contributors

The following contributors merged PRs in this release:

@xavier-lc, @paulopmt1


= 23.2.0 =

## Changelog

### Features

#### Block Editor
- Try responsive global block styles with states. ([77513](https://github.com/WordPress/gutenberg/pull/77513))
- Enhance Connectors page on read-only file system. ([77521](https://github.com/WordPress/gutenberg/pull/77521))

### Enhancements

#### Components
- Add SelectControl component to @wordpress/ui. ([77809](https://github.com/WordPress/gutenberg/pull/77809))
- Add motion design tokens (duration and easing) to @wordpress/theme. ([76097](https://github.com/WordPress/gutenberg/pull/76097))
- Button: Align link variant underline with Link and ExternalLink. ([77842](https://github.com/WordPress/gutenberg/pull/77842))
- Grid: Add `renderResizeHandle` render prop. ([77811](https://github.com/WordPress/gutenberg/pull/77811))
- Grid: Add edit-mode overlay to DashboardGrid and DashboardLanes. ([78199](https://github.com/WordPress/gutenberg/pull/78199))
- Grid: Lock document cursor during resize gesture. ([77813](https://github.com/WordPress/gutenberg/pull/77813))
- Grid: Prevent resize runaway near viewport edge. ([77854](https://github.com/WordPress/gutenberg/pull/77854))
- Modal: Render as a bottom sheet on mobile. ([77956](https://github.com/WordPress/gutenberg/pull/77956))
- Select: Support placeholder prop on Trigger. ([78076](https://github.com/WordPress/gutenberg/pull/78076))
- Use theme gray for muted Text. ([77999](https://github.com/WordPress/gutenberg/pull/77999))
- docgen: Automatic documentation handle for TypeScript overloads. ([77558](https://github.com/WordPress/gutenberg/pull/77558))
- ui/Tooltip, ui/IconButton: Add positioner slot API. ([78089](https://github.com/WordPress/gutenberg/pull/78089))
- Support object values in Select primitive. ([77861](https://github.com/WordPress/gutenberg/pull/77861))

#### Block Library
- Added Translator Context for Reply. ([77891](https://github.com/WordPress/gutenberg/pull/77891))
- Embed: Add '[embed]' shortcode transform. ([77937](https://github.com/WordPress/gutenberg/pull/77937))
- Shortcode: Offer block-specific transforms when text matches a registered shortcode. ([77944](https://github.com/WordPress/gutenberg/pull/77944))
- i18n: Add context to table header/footer label. ([78007](https://github.com/WordPress/gutenberg/pull/78007))

#### Block Editor
- Fix target block for copying direct insert block attributes. ([77877](https://github.com/WordPress/gutenberg/pull/77877))
- Make Block Inserter search input sticky while scrolling. ([77698](https://github.com/WordPress/gutenberg/pull/77698))
- i18n: Add context to scale. ([76917](https://github.com/WordPress/gutenberg/pull/76917))

#### Post Editor
- Add lint rule for non-module stylesheet imports. ([77984](https://github.com/WordPress/gutenberg/pull/77984))
- Remove root uuid dependency. ([77960](https://github.com/WordPress/gutenberg/pull/77960))

#### Data Layer
- Widget Types: Bootstrap registry into the dashboard client. ([77917](https://github.com/WordPress/gutenberg/pull/77917))
- Widget Types: Replace bootstrap with resolver. ([77847](https://github.com/WordPress/gutenberg/pull/77847))

#### npm Packages
- Build: Add `widgets/` folder support to @wordpress/build. ([77347](https://github.com/WordPress/gutenberg/pull/77347))
- Taxonomy edit route: Declare `@wordpress/base-styles` as dependency. ([77901](https://github.com/WordPress/gutenberg/pull/77901))


### Bug Fixes

#### Components
- ColorPalette: Fix duplicate-key warnings and incorrect selection with identical color values. ([78004](https://github.com/WordPress/gutenberg/pull/78004))
- ColorPicker: Fix inconsistent HEX input clearing behavior. ([77912](https://github.com/WordPress/gutenberg/pull/77912))
- ExternalLink: Fix focus outline under wp-admin. ([77935](https://github.com/WordPress/gutenberg/pull/77935))
- Grid: Fix keyboard activation on draggable items. ([78163](https://github.com/WordPress/gutenberg/pull/78163))
- Grid: Render resize handle as component. ([77888](https://github.com/WordPress/gutenberg/pull/77888))
- Link: Fix focus outline around the new-tab icon. ([77910](https://github.com/WordPress/gutenberg/pull/77910))
- Select: Fix disabled cursor styles. ([78112](https://github.com/WordPress/gutenberg/pull/78112))
- Select: Hide user agent focus ring in popup. ([77919](https://github.com/WordPress/gutenberg/pull/77919))
- TabPanel: Fix tab indicator animation. ([77812](https://github.com/WordPress/gutenberg/pull/77812))
- Text: Fix render prop CSS defenses. ([78172](https://github.com/WordPress/gutenberg/pull/78172))
- ui/Drawer: Forward `render` on `Drawer.Content` to the scroll container. ([77941](https://github.com/WordPress/gutenberg/pull/77941))
- ui/Drawer: Polish open/close animation, fix swipe on content padding. ([77800](https://github.com/WordPress/gutenberg/pull/77800))
- Admin UI: Fix nested landmark in Page header. ([78001](https://github.com/WordPress/gutenberg/pull/78001))
- UI: Use string label type for form controls. ([77860](https://github.com/WordPress/gutenberg/pull/77860))
- ui/CollapsibleCard: Support rendering Header as a heading element. ([77962](https://github.com/WordPress/gutenberg/pull/77962))
- Image editor: Improve media editor crop accessibility and dialog focus. ([78047](https://github.com/WordPress/gutenberg/pull/78047))

#### Connectors
- Add is_active callback support to plugin registration. ([77897](https://github.com/WordPress/gutenberg/pull/77897))
- Clarify AI plugin callout copy. ([78043](https://github.com/WordPress/gutenberg/pull/78043))
- Fix: Only auto register settings if the plugin the connector references is installed and active. ([77273](https://github.com/WordPress/gutenberg/pull/77273))
- Increase right padding of callout for mobile layout. ([78126](https://github.com/WordPress/gutenberg/pull/78126))

#### Block Library
- Embed: Tighten raw URL transform isMatch. ([78021](https://github.com/WordPress/gutenberg/pull/78021))
- Fix: Buttons block shows inserter picker when multiple allowed blocks are registered. ([77858](https://github.com/WordPress/gutenberg/pull/77858))
- Fix: Shortcode block does not render in Navigation Overlay. ([77511](https://github.com/WordPress/gutenberg/pull/77511))
- Correct capitalization in help text for Breadcrumbs block. ([78175](https://github.com/WordPress/gutenberg/pull/78175))

#### Post Editor
- Editor: Paginate revisions slider by 100 per page. ([77200](https://github.com/WordPress/gutenberg/pull/77200))
- Notes: Keep tall floating threads scrollable on short content. ([77821](https://github.com/WordPress/gutenberg/pull/77821))
- `defaultRenderingMode` value not respected when changed using `block_editor_settings_all`. ([77870](https://github.com/WordPress/gutenberg/pull/77870))
- i18n: Add context to (site) identity. ([78132](https://github.com/WordPress/gutenberg/pull/78132))
- Site Editor: Preserve non-global editor styles in pattern previews. ([77957](https://github.com/WordPress/gutenberg/pull/77957))
- Preserve leading number when pasting single-line text like dates. ([77949](https://github.com/WordPress/gutenberg/pull/77949))
- Add aria-label to Revisions button in Post Summary sidebar. ([78140](https://github.com/WordPress/gutenberg/pull/78140))
- Revisions diff markers: Enforce 24×24px minimum target size (WCAG 2.5.8). ([77671](https://github.com/WordPress/gutenberg/pull/77671))
- Revisions: Add diagonal stripe patterns to diff markers to avoid color-only distinction. ([77904](https://github.com/WordPress/gutenberg/pull/77904))
- Revisions: Add tooltip to diff marker buttons. ([77690](https://github.com/WordPress/gutenberg/pull/77690))
- Avoid using centered text. ([78125](https://github.com/WordPress/gutenberg/pull/78125))
- Editor: Improve revisions diff pairing performance. ([77126](https://github.com/WordPress/gutenberg/pull/77126))

#### Data Layer
- RTC: Fix title divergence between users on page refresh after title update. ([77666](https://github.com/WordPress/gutenberg/pull/77666))
- isFulfilled: Don't change resolution state, call in resolveSelect. ([78151](https://github.com/WordPress/gutenberg/pull/78151))
- Fix lockfile drift and missing dep from content-types consolidation. ([78109](https://github.com/WordPress/gutenberg/pull/78109))
- Guidelines REST: Require read access for standard route. ([77843](https://github.com/WordPress/gutenberg/pull/77843))
- Fix popover bind hydration. ([77797](https://github.com/WordPress/gutenberg/pull/77797))

#### Collaboration
- RTC: Fix find_canonical_storage_post_id() always returning null. ([78053](https://github.com/WordPress/gutenberg/pull/78053))
- RTC: Fix race condition on room creation which can cause a split update log. ([77675](https://github.com/WordPress/gutenberg/pull/77675))
- Media: Guard gutenberg_delete_heic_companion_file() against non-string $metadata['original']. ([78128](https://github.com/WordPress/gutenberg/pull/78128))


### Experiments

- Add first end-to-end tests for Taxonomies. ([77828](https://github.com/WordPress/gutenberg/pull/77828))
- Add taxonomy visibility fields. ([77835](https://github.com/WordPress/gutenberg/pull/77835))
- Add term/post type count fields in content types. ([78157](https://github.com/WordPress/gutenberg/pull/78157))
- Auto fill `slug` from singular label for taxonomies and post types. ([77938](https://github.com/WordPress/gutenberg/pull/77938))
- Content Types: Various improvements to post type and taxonomy management, including duplicate/view/quick-edit actions, shared utility reuse, and caching and routing fixes. ([77754](https://github.com/WordPress/gutenberg/pull/77754), [77844](https://github.com/WordPress/gutenberg/pull/77844), [77853](https://github.com/WordPress/gutenberg/pull/77853), [77885](https://github.com/WordPress/gutenberg/pull/77885), [77916](https://github.com/WordPress/gutenberg/pull/77916), [78058](https://github.com/WordPress/gutenberg/pull/78058), [78059](https://github.com/WordPress/gutenberg/pull/78059), [78091](https://github.com/WordPress/gutenberg/pull/78091), [78099](https://github.com/WordPress/gutenberg/pull/78099), [78102](https://github.com/WordPress/gutenberg/pull/78102), [78104](https://github.com/WordPress/gutenberg/pull/78104), [78143](https://github.com/WordPress/gutenberg/pull/78143), [78146](https://github.com/WordPress/gutenberg/pull/78146), [78149](https://github.com/WordPress/gutenberg/pull/78149), [77931](https://github.com/WordPress/gutenberg/pull/77931))
- Dashboard: Lift Suspense + error boundary into widget chrome and add a default header. ([78012](https://github.com/WordPress/gutenberg/pull/78012))
- Grid: Add DashboardLanes masonry surface. ([78107](https://github.com/WordPress/gutenberg/pull/78107))
- Integrate `useView` in content types lists. ([78197](https://github.com/WordPress/gutenberg/pull/78197))
- Make Content Types `_builtin`. ([78150](https://github.com/WordPress/gutenberg/pull/78150))
- Render badges for some content types' fields. ([78194](https://github.com/WordPress/gutenberg/pull/78194))
- Sync user taxonomies with post types. ([77997](https://github.com/WordPress/gutenberg/pull/77997))
- Update view content types actions. ([78159](https://github.com/WordPress/gutenberg/pull/78159))
- User post types REST controller. ([77915](https://github.com/WordPress/gutenberg/pull/77915))
- Widget Types: REST endpoint and core-data entity. ([77987](https://github.com/WordPress/gutenberg/pull/77987))
- Widget Types: Server-side registry, decouple wp-build pages. ([77958](https://github.com/WordPress/gutenberg/pull/77958))

#### Media
- Image editor: Suppress image editor undo/redo while a crop interaction is active. ([77930](https://github.com/WordPress/gutenberg/pull/77930))
- Image editor: Update sidebar aspect ratio and resize controls. ([78046](https://github.com/WordPress/gutenberg/pull/78046))
- Media Editor Modal: Improve image cropper interactions (undo/redo, pan, zoom, rotation), expand keyboard shortcuts and accessibility (focus borders, landmark regions, panel headings), and fix empty metadata fields. ([77782](https://github.com/WordPress/gutenberg/pull/77782), [77826](https://github.com/WordPress/gutenberg/pull/77826), [77863](https://github.com/WordPress/gutenberg/pull/77863), [77871](https://github.com/WordPress/gutenberg/pull/77871), [77875](https://github.com/WordPress/gutenberg/pull/77875), [77878](https://github.com/WordPress/gutenberg/pull/77878), [77898](https://github.com/WordPress/gutenberg/pull/77898), [77899](https://github.com/WordPress/gutenberg/pull/77899), [78078](https://github.com/WordPress/gutenberg/pull/78078), [78189](https://github.com/WordPress/gutenberg/pull/78189))
- Media editor: Replace fine-rotation slider with RotationRuler. ([77906](https://github.com/WordPress/gutenberg/pull/77906))
- Grid: Add warning about being under development. ([78022](https://github.com/WordPress/gutenberg/pull/78022))

#### Dashboard
- Add `WidgetDashboard.Actions` compound. ([78019](https://github.com/WordPress/gutenberg/pull/78019))
- Add experimental `WidgetDashboard` rendering engine. ([77770](https://github.com/WordPress/gutenberg/pull/77770))
- Add widget inserter modal. ([78033](https://github.com/WordPress/gutenberg/pull/78033))
- Backend default layout filter. ([78040](https://github.com/WordPress/gutenberg/pull/78040))
- Dashboard experiment: Animate customize UX. ([78065](https://github.com/WordPress/gutenberg/pull/78065))
- Dashboard experiment: New sidebar icon. ([78016](https://github.com/WordPress/gutenberg/pull/78016))
- Dashboard experiment: Remove storybook examples for now. ([78020](https://github.com/WordPress/gutenberg/pull/78020))
- Persist layout via @wordpress/preferences. ([78034](https://github.com/WordPress/gutenberg/pull/78034))
- REST endpoint for the default layout. ([78066](https://github.com/WordPress/gutenberg/pull/78066))
- Staging layer for in-progress layout edits. ([78071](https://github.com/WordPress/gutenberg/pull/78071))
- Use design animation tokens. ([78204](https://github.com/WordPress/gutenberg/pull/78204))

#### Block Library
- Add Classic block migration notice. ([78090](https://github.com/WordPress/gutenberg/pull/78090))
- Image block: Try syncing updated metadata fields (alt and caption) from the media editor. ([78139](https://github.com/WordPress/gutenberg/pull/78139))
- Media Editor Experiment: Add a route, based on the media editor modal, refactor the modal components. ([77994](https://github.com/WordPress/gutenberg/pull/77994))

### Documentation

- Block Editor: Clarify logic for 'directInsert' inner blocks setting. ([77873](https://github.com/WordPress/gutenberg/pull/77873))
- Design System: Add missing packages to Storybook introduction. ([77504](https://github.com/WordPress/gutenberg/pull/77504))
- Docs: Shortcode transforms with wrapped content + rawHandler JSDoc. ([78003](https://github.com/WordPress/gutenberg/pull/78003))
- Document how to ignore VSCode Workspace Settings. ([77608](https://github.com/WordPress/gutenberg/pull/77608))
- RTC: Clarify WPBlockSelection type and link to duplicates in other packages. ([77862](https://github.com/WordPress/gutenberg/pull/77862))
- Revise README for FocalPointPicker component to use object-position. ([77722](https://github.com/WordPress/gutenberg/pull/77722))
- UI: Add component status notes to Storybook. ([77988](https://github.com/WordPress/gutenberg/pull/77988))
- UI: Add missing `Portal` subcomponents to Storybook. ([78108](https://github.com/WordPress/gutenberg/pull/78108))
- UI: Fix subcomponent story labels. ([78210](https://github.com/WordPress/gutenberg/pull/78210))
- UI: Improve documentation for compound exports. ([78212](https://github.com/WordPress/gutenberg/pull/78212))
- Update nvm installation script to version 0.40.4. ([77996](https://github.com/WordPress/gutenberg/pull/77996))
- Update references to default branch. ([77606](https://github.com/WordPress/gutenberg/pull/77606))


### Code Quality

- Add a 1-day minimum release age to npm installs. ([78191](https://github.com/WordPress/gutenberg/pull/78191))
- Migrate native tests to workspace. ([77425](https://github.com/WordPress/gutenberg/pull/77425))
- Script Modules: Guard setAccessible() calls behind PHP < 8.1 check. ([78137](https://github.com/WordPress/gutenberg/pull/78137))
- Inline z-index values across Block Manager, meta boxes, pattern chooser, sticky search, layout, and Popover, and remove local z-index helper entries. ([77753](https://github.com/WordPress/gutenberg/pull/77753), [77759](https://github.com/WordPress/gutenberg/pull/77759), [77772](https://github.com/WordPress/gutenberg/pull/77772), [77806](https://github.com/WordPress/gutenberg/pull/77806), [77807](https://github.com/WordPress/gutenberg/pull/77807), [77808](https://github.com/WordPress/gutenberg/pull/77808), [78180](https://github.com/WordPress/gutenberg/pull/78180), [78181](https://github.com/WordPress/gutenberg/pull/78181))
- Update uuid dependency. ([77848](https://github.com/WordPress/gutenberg/pull/77848))
- Update date-fns to v4.1.0 in components and editor packages. ([78057](https://github.com/WordPress/gutenberg/pull/78057))

#### Post Editor
- Editor: Refactor 'PostPublishPanel' into function component. ([78083](https://github.com/WordPress/gutenberg/pull/78083))
- Edit Post: Fix suppressed errors in Layout component. ([77940](https://github.com/WordPress/gutenberg/pull/77940))
- Notes: Separate intent from mechanics in openTheSidebar. ([78039](https://github.com/WordPress/gutenberg/pull/78039))


#### Components
- Button: Align compound component metadata. ([78184](https://github.com/WordPress/gutenberg/pull/78184))
- Fix flaky Menu space key unit test. ([77972](https://github.com/WordPress/gutenberg/pull/77972))
- Menu: Fix flaky keyboard focus test. ([78162](https://github.com/WordPress/gutenberg/pull/78162))
- SlotFill: Add dependencies to updateFill effect. ([77907](https://github.com/WordPress/gutenberg/pull/77907))

#### Plugin
- Fix activation warning. ([77908](https://github.com/WordPress/gutenberg/pull/77908))
- Fonts: Move admin menu compat from experimental to wordpress-7.0. ([78227](https://github.com/WordPress/gutenberg/pull/78227))

#### Block Editor
- Add translation context for “Exit pattern”. ([78158](https://github.com/WordPress/gutenberg/pull/78158))
- Remove unused reducer action types. ([77880](https://github.com/WordPress/gutenberg/pull/77880))
- Backport changes in core. ([78103](https://github.com/WordPress/gutenberg/pull/78103))
- Refactor client side style states to use nodes. ([78000](https://github.com/WordPress/gutenberg/pull/78000))
- Refactor accordion to use CollapsibleCard. ([77903](https://github.com/WordPress/gutenberg/pull/77903))
- Classic Block: Use onReplace prop for migration actions. ([78113](https://github.com/WordPress/gutenberg/pull/78113))


#### Data Layer
- ESLint: Replace `eslint-plugin-react-compiler` with `eslint-plugin-react-hooks`. ([69962](https://github.com/WordPress/gutenberg/pull/69962))
- RTC: Add regression tests for data corruption bug due to cursor scope issue. ([77662](https://github.com/WordPress/gutenberg/pull/77662))



### Tools

#### Testing
- Add RTC y-websocket-server tests. ([78179](https://github.com/WordPress/gutenberg/pull/78179))
- Add `createRecord` end-to-end request util. ([78017](https://github.com/WordPress/gutenberg/pull/78017))
- Configure global fallbackFn for timezone-mock to handle Date subclasses. ([78056](https://github.com/WordPress/gutenberg/pull/78056))
- Consolidate CI workflows for changelog testing. ([78169](https://github.com/WordPress/gutenberg/pull/78169))
- E2E: Remove slash from bad embed request mock. ([78200](https://github.com/WordPress/gutenberg/pull/78200))
- E2E: Reset preferences after navigable-toolbar tests. ([78115](https://github.com/WordPress/gutenberg/pull/78115))
- Experiment: Add first basic user post types end-to-end tests and update taxonomy tests. ([77998](https://github.com/WordPress/gutenberg/pull/77998))
- Fix flaky end-to-end tests for publish panel, Pages dataview keyboard navigation, homepage settings, and post content focus mode. ([78054](https://github.com/WordPress/gutenberg/pull/78054), [78063](https://github.com/WordPress/gutenberg/pull/78063), [78082](https://github.com/WordPress/gutenberg/pull/78082), [78084](https://github.com/WordPress/gutenberg/pull/78084))
- Revision: Fix failing end-to-end test. ([78079](https://github.com/WordPress/gutenberg/pull/78079))
- Site Editor end-to-end tests: Reimplement the wait for load. ([77981](https://github.com/WordPress/gutenberg/pull/77981))
- end-to-end tests: Use editPost and createNewPost helpers everywhere. ([78170](https://github.com/WordPress/gutenberg/pull/78170))
- Fill in end-to-end tests for client-side media processing. ([75949](https://github.com/WordPress/gutenberg/pull/75949))

#### Build Tooling
- Build: Update lint-staged from v10 to v16. ([77963](https://github.com/WordPress/gutenberg/pull/77963))
- Fix: Guard require_once calls in generated PHP files against deployment race conditions. ([78110](https://github.com/WordPress/gutenberg/pull/78110))
- Remove save-exact from .npmrc. ([78196](https://github.com/WordPress/gutenberg/pull/78196))
- Tests: Fix argument forwarding for test:Unit workspace scripts. ([77541](https://github.com/WordPress/gutenberg/pull/77541))
- Update TypeScript to tsgo (try 2). ([77682](https://github.com/WordPress/gutenberg/pull/77682))
- bin/dev.mjs: Warn on stale webpack watching this checkout. ([78098](https://github.com/WordPress/gutenberg/pull/78098))
- Upgrade and unify @types/node version. ([77900](https://github.com/WordPress/gutenberg/pull/77900))


## First-time contributors

The following PRs were merged by first-time contributors:

- @369work: Update nvm installation script to version 0.40.4. ([77996](https://github.com/WordPress/gutenberg/pull/77996))
- @andrea-sdl: Use theme gray for muted Text. ([77999](https://github.com/WordPress/gutenberg/pull/77999))
- @danluu: RTC: Fix race condition on room creation which can cause a split update log. ([77675](https://github.com/WordPress/gutenberg/pull/77675))
- @vishnucmsminds: Add aria-label to Revisions button in Post Summary sidebar. ([78140](https://github.com/WordPress/gutenberg/pull/78140))


## Contributors

The following contributors merged PRs in this release:

@369work @adamsilverstein @adithya-naik @aduth @afercia @alecgeatches @andrea-sdl @andreawetzel @andrewserong @anomiex @artpi @cbravobernal @ciampo @coderGtm @crisbusquets @danluu @desrosj @dmsnell @dpmehta @ellatrix @hbhalodia @himanshupathak95 @Infinite-Null @jameskoster @jorgefilipecosta @jsnajdr @lancewillett @Mamaduka @manzoorwanijk @mikachan @mirka @Mustafabharmal @ntsekouras @R1shabh-Gupta @ramonjd @retrofox @sarthaknagoshe2002 @scruffian @shail-mehta @simison @t-hamano @talldan @tellthemachines @timse201 @tyxla @USERSATOSHI @vishnucmsminds @vishnupprajapat @youknowriad @yuliyan




= 23.1.1 =


## Changelog

### Bug Fixes

#### Components
- Style Runtime: Support CSS module style injection across documents. ([77965](https://github.com/WordPress/gutenberg/pull/77965))




## Contributors

The following contributors merged PRs in this release:

@mirka


= 23.1.0 =

## Changelog

### Features

- Upload Media: Enable concurrent sideload uploads. ([75888](https://github.com/WordPress/gutenberg/pull/75888))
- Experimental Image Cropper: Tweak the keyboard interactions with drag handles and canvas. ([77639](https://github.com/WordPress/gutenberg/pull/77639))
- Admin UI: Change default heading level from h2 to h1. ([77617](https://github.com/WordPress/gutenberg/pull/77617))
- Core Data: Remove redundant memoization wrapper from 'getQueriedItems'. ([77483](https://github.com/WordPress/gutenberg/pull/77483))
- I18N: Polyfill script module translations for WordPress < 7.0. ([77214](https://github.com/WordPress/gutenberg/pull/77214))

### Enhancements

- Storybook: Add global preview styles for @wordpress/ui overlays. ([77451](https://github.com/WordPress/gutenberg/pull/77451))
- Widgets: Add widget-types data layer. ([77752](https://github.com/WordPress/gutenberg/pull/77752))

#### Components

- Admin UI: Add visual prop to Page header component. ([76469](https://github.com/WordPress/gutenberg/pull/76469))
- Admin UI: Ensure consistent header spacing with and without actions. ([76683](https://github.com/WordPress/gutenberg/pull/76683))
- Admin UI: Use UI Text component in header. ([77372](https://github.com/WordPress/gutenberg/pull/77372))
- DataForm: Render field `description` as help text in the `array` control. ([77554](https://github.com/WordPress/gutenberg/pull/77554))
- ExternalLink: Align appearance with Link from @wordpress/ui. ([77790](https://github.com/WordPress/gutenberg/pull/77790))
- Link: Honor `openInNewTab` consistently. ([77422](https://github.com/WordPress/gutenberg/pull/77422))
- Menu popover render + surface/motion split. ([77460](https://github.com/WordPress/gutenberg/pull/77460))
- Refactor Admin UI / Breadcrumbs to use DS components and design tokens. ([77012](https://github.com/WordPress/gutenberg/pull/77012))
- UI: Add Drawer primitive. ([76690](https://github.com/WordPress/gutenberg/pull/76690))
- UI: Portal prop and Portal subcomponents for overlay Popups. ([77452](https://github.com/WordPress/gutenberg/pull/77452))
- UI: Upgrade title validation to cleanup-based re-validation. ([77165](https://github.com/WordPress/gutenberg/pull/77165))
- UI: Use Text in Notice.ActionLink typography. ([77332](https://github.com/WordPress/gutenberg/pull/77332))
- `FormTokenField`: Add `help` prop to render additional help text below the field. ([77552](https://github.com/WordPress/gutenberg/pull/77552))
- design-system-mcp: Add new package for design system MCP tooling. ([77159](https://github.com/WordPress/gutenberg/pull/77159))
- ui/Dialog, ui/AlertDialog, ui/Drawer: Support sticky header and footer. ([77559](https://github.com/WordPress/gutenberg/pull/77559))
- ui: Forward style and className on *.Popup to inner Base UI Popup. ([77693](https://github.com/WordPress/gutenberg/pull/77693))
- ui: Uniform title and description styles across overlays. ([77692](https://github.com/WordPress/gutenberg/pull/77692))
- ui: Unify hairline border across overlay popups. ([77691](https://github.com/WordPress/gutenberg/pull/77691))

#### Post Editor

- Notes: Compute note positions centrally in useFloatingBoard. ([77433](https://github.com/WordPress/gutenberg/pull/77433))
- Notes: Refactor internals into smaller components. ([77614](https://github.com/WordPress/gutenberg/pull/77614))
- Notes: Refactor to use new '@wordpress/ui' components. ([77589](https://github.com/WordPress/gutenberg/pull/77589))

#### Block Library

- Ensure Post Template fallback styles don't apply when minimumColumnWidth is defined. ([77411](https://github.com/WordPress/gutenberg/pull/77411))
- Tabs: Handle duplicating tabs. ([76449](https://github.com/WordPress/gutenberg/pull/76449))
- Tabs: Rename tabs blocks to follow WCAG Tabs pattern. ([77418](https://github.com/WordPress/gutenberg/pull/77418))

#### Block Editor

- Embed: Restore paragraph with URL when undoing paste-to-embed transform. ([77551](https://github.com/WordPress/gutenberg/pull/77551))
- UI: Add `Autocomplete` primitive. ([77642](https://github.com/WordPress/gutenberg/pull/77642))

### New APIs

- Add `@wordpress/grid` package. ([77562](https://github.com/WordPress/gutenberg/pull/77562))

#### Guidelines

- Extract initial public API methods. ([77643](https://github.com/WordPress/gutenberg/pull/77643))
- Split singleton REST API into dedicated /content-guidelines route. ([77734](https://github.com/WordPress/gutenberg/pull/77734))

### Bug Fixes

- Core Abilities: Export initialization promise as `ready`. ([77254](https://github.com/WordPress/gutenberg/pull/77254))
- Disable Custom CSS command for non-block themes. ([77685](https://github.com/WordPress/gutenberg/pull/77685))
- Grid: Fix `width: 'fill'` when tiles span multiple rows. ([77769](https://github.com/WordPress/gutenberg/pull/77769))
- Tests: Connectors point to the right page. ([77272](https://github.com/WordPress/gutenberg/pull/77272))
- Plugin: Gutenberg Experiments: Ensure the experiment is active before outputting flags. ([77728](https://github.com/WordPress/gutenberg/pull/77728))
- Connectors: Treat network-active plugins as active. ([77661](https://github.com/WordPress/gutenberg/pull/77661))
- Command Palette: Fix macOs label for sites unable to determine UA via PHP. ([77638](https://github.com/WordPress/gutenberg/pull/77638))
- Design Tools: viewport visibility — use 'key' instead of 'value' for device type. ([77410](https://github.com/WordPress/gutenberg/pull/77410))
- Layout: Ensure layout classnames are applied to the inner blocks wrapper and not to its siblings. ([77408](https://github.com/WordPress/gutenberg/pull/77408))
- Global Styles: Fix pseudo selector block style rendering in the editor. ([76879](https://github.com/WordPress/gutenberg/pull/76879))
- Data Layer: Media — move image output format filtering to upload response. ([75793](https://github.com/WordPress/gutenberg/pull/75793))
- Media Upload Modal: Fix pagination and search. ([77872](https://github.com/WordPress/gutenberg/pull/77872))

#### Block Library

- Embed: Fix variation upgrade undo trap. ([77546](https://github.com/WordPress/gutenberg/pull/77546))
- Accordion: Add missing dimension controls and limited customization. ([77780](https://github.com/WordPress/gutenberg/pull/77780))
- Featured Image: Change toggle label to 'Make image a link'. ([71931](https://github.com/WordPress/gutenberg/pull/71931))
- Image: Preserve aspectRatio and scale when switching to wide/full alignment. ([76914](https://github.com/WordPress/gutenberg/pull/76914))
- Form blocks: Update block categories for form, form-input, form-submission-notification, and form-submit-button. ([61916](https://github.com/WordPress/gutenberg/pull/61916))
- Image: Fix non-local image ID removal undo trap. ([77367](https://github.com/WordPress/gutenberg/pull/77367))
- Latest Comments: Fix uneven padding causing mis-alignment. ([77379](https://github.com/WordPress/gutenberg/pull/77379))
- Tabs: Add classic theme styles to reset button defaults. ([77607](https://github.com/WordPress/gutenberg/pull/77607))
- Tabs: Lock top-level structure and disable visibility controls. ([77370](https://github.com/WordPress/gutenberg/pull/77370))
- Video Block: Update z-index for tracks popover to ensure proper stacking context. ([77517](https://github.com/WordPress/gutenberg/pull/77517))

#### Components

- CollapsibleCard: Prevent focus ring clipping by content overflow. ([77667](https://github.com/WordPress/gutenberg/pull/77667))
- Add cursor pointer to the ariakit menu item component. ([70412](https://github.com/WordPress/gutenberg/pull/70412))
- Link: Remove underline from unstyled icon links. ([77420](https://github.com/WordPress/gutenberg/pull/77420))
- Storybook: Fix 'Open source file' links for storybook-local stories. ([76758](https://github.com/WordPress/gutenberg/pull/76758))
- Storybook: Fix component descriptions in manifest files. ([77112](https://github.com/WordPress/gutenberg/pull/77112))
- Text: Apply both heading and paragraph CSS defenses unconditionally. ([77461](https://github.com/WordPress/gutenberg/pull/77461))
- UI: Fix focus-trap broken by ThemeProvider's `display: contents`. ([77381](https://github.com/WordPress/gutenberg/pull/77381))
- UI: Update `@base-ui/react` from `1.4.0` to `1.4.1`. ([77520](https://github.com/WordPress/gutenberg/pull/77520))

#### Block Editor

- Fix blockGap fallback handling for nested var() fallback values. ([77750](https://github.com/WordPress/gutenberg/pull/77750))
- Block-mover: Fix button tooltip position. ([77588](https://github.com/WordPress/gutenberg/pull/77588))
- Block-mover: Fix horizontal tooltip position. ([77597](https://github.com/WordPress/gutenberg/pull/77597))
- Strip per-block custom CSS on save for users without `edit_css`. ([76650](https://github.com/WordPress/gutenberg/pull/76650))
- Writing Flow: Fix arrow keys skipping paragraph containing link. ([77474](https://github.com/WordPress/gutenberg/pull/77474))

#### Post Editor

- Edit-post: Fix back button tooltip position. ([77587](https://github.com/WordPress/gutenberg/pull/77587))
- Lock post saving during media uploads. ([76973](https://github.com/WordPress/gutenberg/pull/76973))
- Template parts: Make 'Detach' context menu item consistent across patterns and template parts. ([77581](https://github.com/WordPress/gutenberg/pull/77581))

#### Client Side Media

- Deduplicate client-side image sizes with matching dimensions. ([77036](https://github.com/WordPress/gutenberg/pull/77036))
- Declare `convert_format` as boolean arg on sideload route. ([77565](https://github.com/WordPress/gutenberg/pull/77565))
- Upload Media: Use `.jpg` extension for HEIC-to-JPEG client conversion. ([77506](https://github.com/WordPress/gutenberg/pull/77506))

#### Collaboration

- RTC: Fix "Connection Lost" dialog when too many entities are loaded. ([77631](https://github.com/WordPress/gutenberg/pull/77631))
- RTC: Fix connection-lost error on large updates caused by mismatch between update size bounds check and expanded base64 update size. ([77669](https://github.com/WordPress/gutenberg/pull/77669))
- RTC: Fix divergence when two offline users reconnect. ([77980](https://github.com/WordPress/gutenberg/pull/77980))

### Accessibility

- Revisions: Improve screen reader accessibility for diff markers region and slider. ([77660](https://github.com/WordPress/gutenberg/pull/77660))
- Fix accessibility issues in admin Font Library. ([77482](https://github.com/WordPress/gutenberg/pull/77482))

#### Connectors

- Add `role="list"` wrapper to connector cards for valid ARIA structure. ([77689](https://github.com/WordPress/gutenberg/pull/77689))
- Keep focus on action Button during install. ([77544](https://github.com/WordPress/gutenberg/pull/77544))

#### Components

- CollapsibleCard: Fix missing keyboard focus ring on the header chevron icon when rendered inside wp-admin. ([77468](https://github.com/WordPress/gutenberg/pull/77468))
- Tabs: Fix missing keyboard focus ring on the panel in Windows High Contrast mode when rendered inside wp-admin. ([77469](https://github.com/WordPress/gutenberg/pull/77469))

### Performance

#### Post Editor

- Notes: Extract floating notes state into a dedicated store. ([77424](https://github.com/WordPress/gutenberg/pull/77424))
- Notes: Reduce passes in useBlockComments memo and rename outputs. ([77440](https://github.com/WordPress/gutenberg/pull/77440))
- RTC: Attach sync observers after hydrating persisted CRDT doc. ([77966](https://github.com/WordPress/gutenberg/pull/77966))

### Experiments

- Add custom taxonomies. ([77497](https://github.com/WordPress/gutenberg/pull/77497))
- Add delete action to taxonomy management. ([77524](https://github.com/WordPress/gutenberg/pull/77524))
- Dashboard: Register admin page route + sidebar menu (shell). ([77573](https://github.com/WordPress/gutenberg/pull/77573))
- Fix console errors/warnings for taxonomies. ([77601](https://github.com/WordPress/gutenberg/pull/77601))
- Follow up improvements on taxonomies (#77497). ([77567](https://github.com/WordPress/gutenberg/pull/77567))
- Improve `taxonomies` DataViews height. ([77603](https://github.com/WordPress/gutenberg/pull/77603))
- Improve taxonomy `edit` action. ([77605](https://github.com/WordPress/gutenberg/pull/77605))
- Render taxonomy status as a Badge. ([77635](https://github.com/WordPress/gutenberg/pull/77635))
- Split status action to two actions, make them bulk-capable. ([77637](https://github.com/WordPress/gutenberg/pull/77637))
- Taxonomies: Implement auto-fill labels. ([77786](https://github.com/WordPress/gutenberg/pull/77786))
- Taxonomies: New package and add/edit screens. ([77657](https://github.com/WordPress/gutenberg/pull/77657))
- Taxonomies: Add spacing above Add Taxonomy modal actions. ([77523](https://github.com/WordPress/gutenberg/pull/77523))
- Taxonomies: Declare `@wordpress/base-styles` dependency. ([77543](https://github.com/WordPress/gutenberg/pull/77543))
- Taxonomies: Warn when editing an existing taxonomy's slug. ([77527](https://github.com/WordPress/gutenberg/pull/77527))
- User Taxonomies: REST controller. ([77697](https://github.com/WordPress/gutenberg/pull/77697))
- User Taxonomies: Show Public field in create/edit form. ([77802](https://github.com/WordPress/gutenberg/pull/77802))
- Disable Classic block: Control inserter support via filter. ([77845](https://github.com/WordPress/gutenberg/pull/77845))
- Register `gutenberg-dashboard-widgets` flag. ([77569](https://github.com/WordPress/gutenberg/pull/77569))

#### Media

- Image editor: Fix locked-ratio resize driver-axis on non-square images. ([77664](https://github.com/WordPress/gutenberg/pull/77664))
- Image editor: Formalize cropper contract. ([77668](https://github.com/WordPress/gutenberg/pull/77668))
- Image editor: Hold Shift while resizing to lock current aspect ratio. ([77663](https://github.com/WordPress/gutenberg/pull/77663))
- Image editor: Reserve inner gutter so crop handles stay accessible. ([77547](https://github.com/WordPress/gutenberg/pull/77547))
- Media Editor Modal: Render cropper in canvas for images. ([77537](https://github.com/WordPress/gutenberg/pull/77537))
- Media Editor Modal: Save via Core's `/edit` modifiers. ([77641](https://github.com/WordPress/gutenberg/pull/77641))
- Media Editor Modal: Surface save failures as scoped snackbar notices. ([77733](https://github.com/WordPress/gutenberg/pull/77733))
- Media Editor experiment: Add experimental image editor and cropper. ([77479](https://github.com/WordPress/gutenberg/pull/77479))
- Media Editor: Add cropper controls to the media editor modal. ([77540](https://github.com/WordPress/gutenberg/pull/77540))
- Media Editor: Add zoom control and hide fine rotation on narrow viewports. ([77585](https://github.com/WordPress/gutenberg/pull/77585))
- Media editor modal: Add interactive grid. ([77771](https://github.com/WordPress/gutenberg/pull/77771))
- Media editor: Avoid double-mount flicker on open. ([77732](https://github.com/WordPress/gutenberg/pull/77732))
- Media editor: Confirm before discarding unsaved changes. ([77730](https://github.com/WordPress/gutenberg/pull/77730))
- Update labels for media experiments to better clarify what they do. ([77536](https://github.com/WordPress/gutenberg/pull/77536))
- Media Upload Modal: Add MIME type filtering to support `text/vtt` tracks. ([77550](https://github.com/WordPress/gutenberg/pull/77550))
- Experimental Image Cropper: Ensure focus is on canvas when dragging. ([77591](https://github.com/WordPress/gutenberg/pull/77591))

#### Block Library

- Disable TinyMCE: Warn instead of redirecting directly. ([77747](https://github.com/WordPress/gutenberg/pull/77747))
- Site Logo Block: Enable the media editor modal experiment for the crop button. ([77548](https://github.com/WordPress/gutenberg/pull/77548))
- Classic Block: Unwrap experiment to hide it from inserter. ([77911](https://github.com/WordPress/gutenberg/pull/77911))
- Disable Classic block: Always register, hide from inserter conditionally. ([77840](https://github.com/WordPress/gutenberg/pull/77840))
- Disable TinyMCE: Repurpose experiment as Classic block removal. ([77838](https://github.com/WordPress/gutenberg/pull/77838))

#### Post Editor

- Image Editor experiment: Pass theme aspect ratios to media editor. ([77665](https://github.com/WordPress/gutenberg/pull/77665))
- Media Editor Modal: Add a media editor modal experiment. ([77480](https://github.com/WordPress/gutenberg/pull/77480))

### Documentation

- Base styles: Update changelog to be clearer. ([77767](https://github.com/WordPress/gutenberg/pull/77767))
- Docs: Add ESLint v10 migration guide and polish documentation. ([77217](https://github.com/WordPress/gutenberg/pull/77217))
- Docs: Update parameter type from `number` to `int`. ([77519](https://github.com/WordPress/gutenberg/pull/77519))
- UI/Docs: Clarify package setup for custom WP Admin pages. ([77338](https://github.com/WordPress/gutenberg/pull/77338))

### Code Quality

- Adopt `--wpds-cursor-control` design token across the codebase. ([77373](https://github.com/WordPress/gutenberg/pull/77373), [77335](https://github.com/WordPress/gutenberg/pull/77335), [77368](https://github.com/WordPress/gutenberg/pull/77368), [77369](https://github.com/WordPress/gutenberg/pull/77369), [77360](https://github.com/WordPress/gutenberg/pull/77360), [77376](https://github.com/WordPress/gutenberg/pull/77376), [77357](https://github.com/WordPress/gutenberg/pull/77357), [77354](https://github.com/WordPress/gutenberg/pull/77354), [77358](https://github.com/WordPress/gutenberg/pull/77358))
- Test (Integration): Migrate `test/integration` into `@wordpress/integration-tests` workspace. ([77556](https://github.com/WordPress/gutenberg/pull/77556))
- Base Styles: Remove stale z-index entries. ([77714](https://github.com/WordPress/gutenberg/pull/77714))
- ComplementaryArea: Inline z-index values. ([77717](https://github.com/WordPress/gutenberg/pull/77717))
- ESLint: Consolidate configuration into `tools/eslint/` workspace package. ([77215](https://github.com/WordPress/gutenberg/pull/77215))
- Env: Minor refactoring of `cacheDirectoryPath` evaluation. ([77799](https://github.com/WordPress/gutenberg/pull/77799))
- GlobalStylesUI: Remove unused CSS rule. ([77456](https://github.com/WordPress/gutenberg/pull/77456))
- Grid: Add `@types/jest` devDependency. ([77801](https://github.com/WordPress/gutenberg/pull/77801))
- Media editor: Remove unused dependency. ([77438](https://github.com/WordPress/gutenberg/pull/77438))
- Blocks: Port over type information for `@wordpress/blocks` from DefinitelyTyped. ([77393](https://github.com/WordPress/gutenberg/pull/77393), [77437](https://github.com/WordPress/gutenberg/pull/77437))
- Refactor: Migrate `tests/unit` to npm workspace `@wordpress/unit-tests`. ([77063](https://github.com/WordPress/gutenberg/pull/77063))
- Experiments: Declare `@wordpress/base-styles` dependency. ([77684](https://github.com/WordPress/gutenberg/pull/77684))
- Data: Export and consolidate `onSubKey` helper. ([77364](https://github.com/WordPress/gutenberg/pull/77364))
- Remove `ZebulanStanphill` from `CODEOWNERS`. ([77586](https://github.com/WordPress/gutenberg/pull/77586))
- ESLint Plugin: Recommend `EmptyState` from `@wordpress/ui`. ([77765](https://github.com/WordPress/gutenberg/pull/77765))
- Experiments: Rebuild the wp-admin Experiments screen on the `wp-build` routes pattern. ([77443](https://github.com/WordPress/gutenberg/pull/77443))

#### Components

- Add `no-unsafe-render-order` ESLint rule. ([77428](https://github.com/WordPress/gutenberg/pull/77428))
- ButtonGroup: Inline z-index. ([77621](https://github.com/WordPress/gutenberg/pull/77621))
- Card: Remove unused CardContext. ([77463](https://github.com/WordPress/gutenberg/pull/77463))
- CircularOptionPicker: Inline z-index values. ([77715](https://github.com/WordPress/gutenberg/pull/77715))
- FormToggle: Inline z-index. ([77619](https://github.com/WordPress/gutenberg/pull/77619))
- ResizableBox: Inline handle z-index. ([77620](https://github.com/WordPress/gutenberg/pull/77620))
- Theme: Update Terrazzo packages to 2.0. ([77432](https://github.com/WordPress/gutenberg/pull/77432))
- Tooltip: Fix flaky unit test. ([77751](https://github.com/WordPress/gutenberg/pull/77751))
- UI: Recommend Link component for use. ([77505](https://github.com/WordPress/gutenberg/pull/77505))
- UI: Start recommending new Card components. ([77423](https://github.com/WordPress/gutenberg/pull/77423))
- UI: Use shared style-imports types. ([77388](https://github.com/WordPress/gutenberg/pull/77388))
- VisuallyHidden: Recommend `@wordpress/ui` and migrate usages. ([77575](https://github.com/WordPress/gutenberg/pull/77575))
- ui/Tabs: Fix `act()` warnings in tests. ([77319](https://github.com/WordPress/gutenberg/pull/77319))
- ui: Align WithCustomZIndex Storybook examples across overlays. ([77648](https://github.com/WordPress/gutenberg/pull/77648))

#### Block Library

- Accordion: Remove invalid `isBlock` prop from `ToggleControl`. ([77776](https://github.com/WordPress/gutenberg/pull/77776))
- Paragraph: Refactor replacement logic in `useOnEnter` hook. ([77383](https://github.com/WordPress/gutenberg/pull/77383))
- Stylelint: Add cursor-pointer rule and block-library override. ([77501](https://github.com/WordPress/gutenberg/pull/77501))
- Tabs: Clean up Edit components. ([77426](https://github.com/WordPress/gutenberg/pull/77426))
- Tabs: Remove redundant version field from `block.json`. ([77417](https://github.com/WordPress/gutenberg/pull/77417))

#### Post Editor

- ESLint: Add `use-import-as` rule. ([77389](https://github.com/WordPress/gutenberg/pull/77389))
- Notes: Refactor and extract offset calculation logic. ([77414](https://github.com/WordPress/gutenberg/pull/77414))
- TypeScript: Share React CSS custom properties typing. ([77394](https://github.com/WordPress/gutenberg/pull/77394))
- TypeScript: Migrate keyboard-shortcuts to TS. ([76287](https://github.com/WordPress/gutenberg/pull/76287))
- Admin UI: Move to CSS modules and implement logical properties. ([77088](https://github.com/WordPress/gutenberg/pull/77088))

#### Block Editor

- Fix import order in block-editor `custom-css.js`. ([77566](https://github.com/WordPress/gutenberg/pull/77566))
- Remove stale reusable block z-index styles. ([77774](https://github.com/WordPress/gutenberg/pull/77774))

#### Site Editor

- Edit Site: Move show-icon-labels handling to specific edit-site call sites. ([77287](https://github.com/WordPress/gutenberg/pull/77287))
- EditSite: Remove unused CSS rule. ([77494](https://github.com/WordPress/gutenberg/pull/77494))

#### Build Tooling

- Build: Skip sourcemaps for WASM-inlined script module workers. ([75993](https://github.com/WordPress/gutenberg/pull/75993))
- ESLint: Introduce bulk suppressions workflow. ([77392](https://github.com/WordPress/gutenberg/pull/77392))
- Add descriptive name for docker container images. ([67827](https://github.com/WordPress/gutenberg/pull/67827))
- ESLint: Improve design token linting for CSS declaration strings. ([77384](https://github.com/WordPress/gutenberg/pull/77384))
- Externalize `react-dom/client`. ([77326](https://github.com/WordPress/gutenberg/pull/77326))
- Use `node_modules/.bin/stylelint` to avoid npm warnings on Node 24. ([77512](https://github.com/WordPress/gutenberg/pull/77512))
- Jest setup: Remove unneeded rAF and URL polyfills. ([77378](https://github.com/WordPress/gutenberg/pull/77378))
- Revert `tsgo` update (#77177) that broke trunk. ([77680](https://github.com/WordPress/gutenberg/pull/77680))
- wp-build: Widen optional peer dependency ranges. ([77568](https://github.com/WordPress/gutenberg/pull/77568))

#### Testing

- Menu: Fix flaky submenu focus test. ([77430](https://github.com/WordPress/gutenberg/pull/77430))
- Tests: Remove duplicate mentions spec. ([77593](https://github.com/WordPress/gutenberg/pull/77593))
- e2e: Shorten visit-site-editor canvas-loader visible wait. ([77725](https://github.com/WordPress/gutenberg/pull/77725))

### Tools

#### Testing

- Connectors: Stop end-to-end capability restriction from leaking across specs. ([77857](https://github.com/WordPress/gutenberg/pull/77857))
- Fix PHP multisite tests. ([77825](https://github.com/WordPress/gutenberg/pull/77825))
- RTC: Fix compaction unit test. ([77986](https://github.com/WordPress/gutenberg/pull/77986))

## First-time contributors

The following PRs were merged by first-time contributors:

- @adithya-naik: Image: Preserve aspectRatio and scale when switching to wide/full alignment. ([76914](https://github.com/WordPress/gutenberg/pull/76914))
- @danluu: RTC: Fix connection-lost error on large updates caused by mismatch between update size bounds check and expanded base64 update size. ([77669](https://github.com/WordPress/gutenberg/pull/77669))
- @hi0001234d: Connectors: Add `role="list"` wrapper to connector cards for valid ARIA structure. ([77689](https://github.com/WordPress/gutenberg/pull/77689))
- @rajanarahul93: Featured Image: Change toggle label to 'Make image a link'. ([71931](https://github.com/WordPress/gutenberg/pull/71931))
- @vishnupprajapat: Taxonomies: Add spacing above Add Taxonomy modal actions. ([77523](https://github.com/WordPress/gutenberg/pull/77523))
- @wwahammy: TypeScript: Migrate keyboard-shortcuts to TS. ([76287](https://github.com/WordPress/gutenberg/pull/76287))

## Contributors

The following contributors merged PRs in this release:

@adamsilverstein @Adi-ty @adithya-naik @aduth @alecgeatches @amitraj2203 @andrewserong @CGastrell @ciampo @danluu @DarkMatter-999 @dpmehta @ellatrix @glendaviesnz @gziolo @hbhalodia @hi0001234d @himanshupathak95 @jameskoster @jorgefilipecosta @joshualip-plaudit @jsnajdr @juanmaguitar @kraftbj @Mamaduka @manzoorwanijk @mcsf @mikachan @mirka @Mustafabharmal @ntsekouras @peterwilsoncc @R1shabh-Gupta @rajanarahul93 @ramonjd @retrofox @SainathPoojary @shrivastavanolo @simison @Soean @t-hamano @Takshil-Kunadia @tellthemachines @tyxla @USERSATOSHI @vishnupprajapat @westonruter @wwahammy @yogeshbhutkar @yuliyan @ZebulanStanphill


= 23.0.1 =


## Changelog

### Bug Fixes

#### Guidelines
- Drop default_term from wp_guideline_type taxonomy. ([77592](https://github.com/WordPress/gutenberg/pull/77592))




## Contributors

The following contributors merged PRs in this release:

@gziolo


= 23.0.0 =

## Changelog

### Enhancements

#### Components

- @wordpress/ui: Add global CSS defense module. ([76783](https://github.com/WordPress/gutenberg/pull/76783))
- Admin UI: Increase page header vertical padding. ([77152](https://github.com/WordPress/gutenberg/pull/77152))
- Admin UI: Update Page background color to surface-neutral. ([76869](https://github.com/WordPress/gutenberg/pull/76869))
- Autocomplete: Remove getAutoCompleterUI factory pattern. ([77048](https://github.com/WordPress/gutenberg/pull/77048))
- DataForm: Add min/max date range support for date and datetime fields. ([77201](https://github.com/WordPress/gutenberg/pull/77201))
- DataForm: Show tooltip in edit button in `panel` layout. ([77024](https://github.com/WordPress/gutenberg/pull/77024))
- DataForm: Support disabled controls. ([77090](https://github.com/WordPress/gutenberg/pull/77090))
- FormToggle: Update disabled styles. ([77208](https://github.com/WordPress/gutenberg/pull/77208))
- Media Upload Modal: Persist view configuration. ([77288](https://github.com/WordPress/gutenberg/pull/77288))
- Text: Remove UA margins. ([76970](https://github.com/WordPress/gutenberg/pull/76970))
- UI `Text`: Mark as recommended. ([77044](https://github.com/WordPress/gutenberg/pull/77044))
- UI/Dialog: Add explicit `margin-inline-end` rule to Title. ([77334](https://github.com/WordPress/gutenberg/pull/77334))
- UI: Update `@base-ui/react` from `1.3.0` to `1.4.0`. ([77308](https://github.com/WordPress/gutenberg/pull/77308))
- UI: Use Text component for Badge typography. ([77295](https://github.com/WordPress/gutenberg/pull/77295))
- Use `--wpds-cursor-control` design token for interactive controls. ([76786](https://github.com/WordPress/gutenberg/pull/76786)), ([77259](https://github.com/WordPress/gutenberg/pull/77259))
- `@wordpress/ui`: Add `Popover`. ([76438](https://github.com/WordPress/gutenberg/pull/76438))
- ui/AlertDialog: Better async confirm APIs, fully use base ui's `AlertDialog`. ([76937](https://github.com/WordPress/gutenberg/pull/76937))
- ui/`Dialog`: Update Header layout, refactor Title to use Text. ([77161](https://github.com/WordPress/gutenberg/pull/77161))
- ui: Expose `container` portal prop on all overlay Popup components. ([77163](https://github.com/WordPress/gutenberg/pull/77163))

#### Block Library

- Add context for next/previous enlarge image. ([76967](https://github.com/WordPress/gutenberg/pull/76967))
- Image block: Validate attachment ID exists before treating image as local. ([77178](https://github.com/WordPress/gutenberg/pull/77178))
- Search Block: Ensure color settings apply to input field when button is disabled. ([77219](https://github.com/WordPress/gutenberg/pull/77219))
- Tab Menu Item: Simplify active tab menu item style. ([77195](https://github.com/WordPress/gutenberg/pull/77195))
- Tabs: Remove sequential numbering from new tab labels. ([77321](https://github.com/WordPress/gutenberg/pull/77321))
- Use entity link title for link control preview. ([77155](https://github.com/WordPress/gutenberg/pull/77155))

#### Guidelines

- Guidelines CPT: Rename from "content guidelines" to "guidelines" (slug, classes, routes). ([77147](https://github.com/WordPress/gutenberg/pull/77147)), ([77223](https://github.com/WordPress/gutenberg/pull/77223))
- Guidelines: Make the CPT type-aware. ([77491](https://github.com/WordPress/gutenberg/pull/77491))
- Improve guideline revision UX. ([76560](https://github.com/WordPress/gutenberg/pull/76560))
- Registers wp_guideline_type taxonomy. ([77156](https://github.com/WordPress/gutenberg/pull/77156))
- Update actions-section and import/export workflow. ([76621](https://github.com/WordPress/gutenberg/pull/76621))

#### Post Editor

- DataViews: Simplify `defaultLayouts` prop. ([77232](https://github.com/WordPress/gutenberg/pull/77232))
- RTC: Add filterable flag for meta box RTC compatibility. ([76939](https://github.com/WordPress/gutenberg/pull/76939))
- RTC: Change SyncConnectionModal to isSyncConnectionErrorHandled filter and drop IS_GUTENBERG_PLUGIN check. ([76853](https://github.com/WordPress/gutenberg/pull/76853))

#### Block Editor

- Display shortcuts for moving blocks via tooltips. ([76992](https://github.com/WordPress/gutenberg/pull/76992))
- Re-order spacing side controls when unlinked. ([66317](https://github.com/WordPress/gutenberg/pull/66317))

#### Connectors

- Update the AI plugin settings page slug we link to after activation. ([77336](https://github.com/WordPress/gutenberg/pull/77336))

#### DataViews

- Classify admin-ui and dataviews to components. ([76959](https://github.com/WordPress/gutenberg/pull/76959))

#### Global Styles

- Renamed focus visible label. ([77292](https://github.com/WordPress/gutenberg/pull/77292))

#### REST API

- Add `date` field in templates and template parts. ([77134](https://github.com/WordPress/gutenberg/pull/77134))

#### Media

- Media Modal Experiment: Set matching picker grid layout properties for when a user switches layouts. ([77118](https://github.com/WordPress/gutenberg/pull/77118))

#### Collaboration

- Backport: Improve validation and permission checks for `WP_HTTP_Polling_Sync_Server`. ([76987](https://github.com/WordPress/gutenberg/pull/76987))
- RTC: Add optional `shouldSync` function to entity sync configuration. ([76947](https://github.com/WordPress/gutenberg/pull/76947))
- RTC: Respect WP_ALLOW_COLLABORATION in Gutenberg for activation hook. ([77084](https://github.com/WordPress/gutenberg/pull/77084))

#### Site Editor

- Add Site Tagline and Site Title to Design > Identity panel. ([76264](https://github.com/WordPress/gutenberg/pull/76264))

### Bug Fixes

#### Components

- Calendar: Fix disabled styles. ([77138](https://github.com/WordPress/gutenberg/pull/77138))
- Card: Set default foreground color on root. ([77013](https://github.com/WordPress/gutenberg/pull/77013))
- Checkbox: Fix disabled styles. ([77132](https://github.com/WordPress/gutenberg/pull/77132))
- DataForm: Remove `text-transform` from `panel` field labels. ([77196](https://github.com/WordPress/gutenberg/pull/77196))
- DataViews: Fix `compact` density clipping and remove top/bottom padding. ([77054](https://github.com/WordPress/gutenberg/pull/77054))
- Fix autocomplete overlapping trigger matching. ([77018](https://github.com/WordPress/gutenberg/pull/77018))
- FormTokenField: Fix disabled styles. ([77137](https://github.com/WordPress/gutenberg/pull/77137))
- RTC: Fix inline inserter reset on update sync. ([76980](https://github.com/WordPress/gutenberg/pull/76980))
- RadioControl: Add support for disabling radio group. ([77127](https://github.com/WordPress/gutenberg/pull/77127))
- Remove sandbox `allow-same-origin` for core/html blocks. ([77212](https://github.com/WordPress/gutenberg/pull/77212))
- TextArea: Add disabled styles. ([77129](https://github.com/WordPress/gutenberg/pull/77129))
- UI: Normalize render prop and ref forwarding patterns. ([77160](https://github.com/WordPress/gutenberg/pull/77160))

#### Block Library

- Cover block: Fix embed video background Error 153 in editor. ([76904](https://github.com/WordPress/gutenberg/pull/76904))
- Fix overflow of highlighted white-space in Code Block. ([77085](https://github.com/WordPress/gutenberg/pull/77085))
- Image block: Hide drag handles while an upload is in progress. ([77121](https://github.com/WordPress/gutenberg/pull/77121))
- Paragraph: Prevent `onEnter` splitting of parent block when insertion of that block type is not allowed. ([77291](https://github.com/WordPress/gutenberg/pull/77291))
- Post Author Biography: Preserve occurrence of white spaces. ([71133](https://github.com/WordPress/gutenberg/pull/71133))
- RTC: Core/cover block minor compatibility fixes. ([76916](https://github.com/WordPress/gutenberg/pull/76916))
- Search block: Match behavior of global styling for border and color with local styling (inspector controls) to remove inconsistency. ([77060](https://github.com/WordPress/gutenberg/pull/77060))
- Search block: Derive 'isSearchFieldHidden' value. ([77082](https://github.com/WordPress/gutenberg/pull/77082))
- Separator Block: Apply default block variation when inserting via `---` shortcut. ([77135](https://github.com/WordPress/gutenberg/pull/77135))
- Upload external media: Ensure notice only fires once. ([77218](https://github.com/WordPress/gutenberg/pull/77218))

#### Block Editor

- Fix SyntaxError in Autocompleter UI when pasting matching content. ([76961](https://github.com/WordPress/gutenberg/pull/76961))
- LinkPicker: Decode HTML entities in link preview title. ([77170](https://github.com/WordPress/gutenberg/pull/77170))
- Prevent Enter key from inserting paragraphs in contentOnly sections. ([76989](https://github.com/WordPress/gutenberg/pull/76989))
- RTC: Fix "Edit as HTML" content reset during collaboration. ([77043](https://github.com/WordPress/gutenberg/pull/77043))
- Writing Flow: Fix format toolbar not appearing when selecting text from block edge. ([77136](https://github.com/WordPress/gutenberg/pull/77136))
- contentOnly template lock: Fix block insertion and removal rules. ([77119](https://github.com/WordPress/gutenberg/pull/77119))
- Fix numeric value clearing in preset input controls. ([77139](https://github.com/WordPress/gutenberg/pull/77139))

#### Guidelines

- Guidelines CPT: Skip registration when post type already exists. ([77486](https://github.com/WordPress/gutenberg/pull/77486))

#### Data Layer

- Core Data: Fix 'useEntityProp' for raw attributes. ([77120](https://github.com/WordPress/gutenberg/pull/77120))
- Core Data: Fix incorrect pagination for non-paginated entities. ([76406](https://github.com/WordPress/gutenberg/pull/76406))
- RTC: Fix core/table cell merging. ([76913](https://github.com/WordPress/gutenberg/pull/76913))
- RTC: Fix orphaned meta causing dirty editor state. ([77529](https://github.com/WordPress/gutenberg/pull/77529))
- RTC: Improve array attribute stability when structural changes occur. ([77164](https://github.com/WordPress/gutenberg/pull/77164))
- getMergedItemsIds: Receive full page bigger than perPage. ([77262](https://github.com/WordPress/gutenberg/pull/77262))

#### Connectors

- Account for mu-plugins when resolving plugin.file status. ([76994](https://github.com/WordPress/gutenberg/pull/76994))
- Don't clobber third-party custom render in registerDefaultConnectors. ([77116](https://github.com/WordPress/gutenberg/pull/77116))
- Hide Akismet unless already installed. ([76962](https://github.com/WordPress/gutenberg/pull/76962))
- Replace speak() with notice store for state changes. ([77174](https://github.com/WordPress/gutenberg/pull/77174))
- Update help text from 'reset' to 'manage'. ([76963](https://github.com/WordPress/gutenberg/pull/76963))

#### Post Editor

- Fields: Fix `postContentInfoField` when there are edits. ([76901](https://github.com/WordPress/gutenberg/pull/76901))
- Fix: Restore editor canvas padding in classic themes. ([76864](https://github.com/WordPress/gutenberg/pull/76864))
- RTC: Fix button flickering on retry dialog. ([77234](https://github.com/WordPress/gutenberg/pull/77234))
- RTC: Predefined retry schedules for disconnect dialog, make more lenient. ([76966](https://github.com/WordPress/gutenberg/pull/76966))
- Revision: Fix 'Show changes' button reset state. ([77122](https://github.com/WordPress/gutenberg/pull/77122))

#### Collaboration

- Fix failing 'WP_HTTP_Polling_Sync_Server' unit test. ([77025](https://github.com/WordPress/gutenberg/pull/77025))
- RTC: Fix disconnect dialog due to uneditable entity. ([77242](https://github.com/WordPress/gutenberg/pull/77242))
- RTC: Isolate sync update failures to prevent full disconnect. ([76968](https://github.com/WordPress/gutenberg/pull/76968))

#### Global Styles

- Fix duotone filter not applying on style variation switch. ([77229](https://github.com/WordPress/gutenberg/pull/77229))
- Global Styles Revisions: Fix footer overflow. ([77103](https://github.com/WordPress/gutenberg/pull/77103))

#### DataViews

- Fix Gutenberg_REST_View_Config_Controller_7_1 PHP warnings. ([77290](https://github.com/WordPress/gutenberg/pull/77290))

#### Patterns

- Fix custom category in site editor not displaying pattern actions. ([77251](https://github.com/WordPress/gutenberg/pull/77251))

#### Media

- MediaEdit: Handle '\*' wildcard in validateMimeType. ([77168](https://github.com/WordPress/gutenberg/pull/77168))

#### Client Side Media

- Use image.copyMemory() for batch thumbnail generation. ([76979](https://github.com/WordPress/gutenberg/pull/76979))

### Accessibility

#### Components

- `ValidatedRangeControl`: Fix aria-label rendered as [object Object]. ([77042](https://github.com/WordPress/gutenberg/pull/77042))

### Performance

#### Post Editor

- Autocompleters: Move and improve links search. ([76995](https://github.com/WordPress/gutenberg/pull/76995))

#### Client Side Media

- Add performance metrics for client-side media processing. ([76792](https://github.com/WordPress/gutenberg/pull/76792))

### Experiments

#### Post Editor

- Add revisions panel to templates, template parts and patterns. ([77008](https://github.com/WordPress/gutenberg/pull/77008))

### Documentation

- Add missing documentation in `collaboration.php`. ([77173](https://github.com/WordPress/gutenberg/pull/77173))
- Autocomplete: Clarify 'isDebounced' setting limitation. ([77062](https://github.com/WordPress/gutenberg/pull/77062))
- Docs: Add README for DatePicker and TimePicker Components. ([70365](https://github.com/WordPress/gutenberg/pull/70365))
- Editor: Fix 'selectedNote' action JSDoc. ([77080](https://github.com/WordPress/gutenberg/pull/77080))
- Eslint: Suggest alternative in `no-setting-ds-tokens` rule. ([77154](https://github.com/WordPress/gutenberg/pull/77154))
- Fix: A sentence has no ending punctuation in README.md file. ([77027](https://github.com/WordPress/gutenberg/pull/77027))
- HStack, VStack: Mark as not recommended for use. ([77041](https://github.com/WordPress/gutenberg/pull/77041))
- Improve CSS setup instructions in package readmes. ([76975](https://github.com/WordPress/gutenberg/pull/76975))
- Storybook: Enable theming toolbar for wp-components. ([77038](https://github.com/WordPress/gutenberg/pull/77038))
- Storybook: Fix "Default" cursor option in theming toolbar. ([77037](https://github.com/WordPress/gutenberg/pull/77037))
- UI/Tooltip: Add usage guidelines documentation. ([77158](https://github.com/WordPress/gutenberg/pull/77158))
- UI: Use Link component in details story example. ([76997](https://github.com/WordPress/gutenberg/pull/76997))
- iAPI Docs: Fix typos, code errors, and inaccuracies in the documentation. ([76636](https://github.com/WordPress/gutenberg/pull/76636))
- ui/docs: Add additional global css setup instructions. ([77228](https://github.com/WordPress/gutenberg/pull/77228))

### Code Quality

- TypeScript: Migrate a11y package to TS. ([70680](https://github.com/WordPress/gutenberg/pull/70680))

#### Components

- Add `.scss` files to CSS module linting. ([77140](https://github.com/WordPress/gutenberg/pull/77140))
- Block Directory: Use `--wpds-cursor-control` design token. ([77330](https://github.com/WordPress/gutenberg/pull/77330))
- Autocomplete: Refactor useAutocomplete to use useReducer. ([77020](https://github.com/WordPress/gutenberg/pull/77020))
- BoxControl: Remove unused state for icon side. ([77143](https://github.com/WordPress/gutenberg/pull/77143))
- Build Tools: Update TypeScript to 6.0.2. ([77010](https://github.com/WordPress/gutenberg/pull/77010))
- Button: Remove obsolete Safari + VoiceOver workaround. ([77107](https://github.com/WordPress/gutenberg/pull/77107))
- Button: Remove unused Storybook stylesheet. ([77031](https://github.com/WordPress/gutenberg/pull/77031))
- Dataviews: Remove unneeded ref callbacks. ([77179](https://github.com/WordPress/gutenberg/pull/77179))
- Extract the autocomplete matcher into a separate function. ([76957](https://github.com/WordPress/gutenberg/pull/76957))
- FormTokenField: Remove unnecessary styles. ([77263](https://github.com/WordPress/gutenberg/pull/77263))
- Textarea: Remove unnecessary styles. ([77221](https://github.com/WordPress/gutenberg/pull/77221))
- Theme: Rename typography tokens to use "typography" prefix. ([76912](https://github.com/WordPress/gutenberg/pull/76912))
- Update React function names for better ESLint detection. ([77148](https://github.com/WordPress/gutenberg/pull/77148))
- i18n: Make sprintf return FormattedText for type-safe createInterpolateElement. ([76974](https://github.com/WordPress/gutenberg/pull/76974))
- ui/Card: Remove redundant margin reset from Card.Title. ([77187](https://github.com/WordPress/gutenberg/pull/77187))
- ui/VisuallyHidden: Standardize composition pattern. ([77190](https://github.com/WordPress/gutenberg/pull/77190))

#### Block Editor

- Block Editor store: Refactor controlledInnerBlocks to Set. ([77094](https://github.com/WordPress/gutenberg/pull/77094))
- Global Styles: Move pseudo-state slicing logic into `useStyle` hook. ([77104](https://github.com/WordPress/gutenberg/pull/77104))
- BlockMover: Remove unused disabled button props. ([76993](https://github.com/WordPress/gutenberg/pull/76993))
- Extract getElementCSSRules from useBlockProps. ([77327](https://github.com/WordPress/gutenberg/pull/77327))
- updateBlockListSettings: Convert state to Map, do all updates in one action. ([46392](https://github.com/WordPress/gutenberg/pull/46392))

#### Post Editor

- BlockStyleVariationOverridesWithConfig: Change name and fix lint errors. ([77130](https://github.com/WordPress/gutenberg/pull/77130))
- ESLint plugin: Disable `jsx-a11y/heading-has-content`. ([77073](https://github.com/WordPress/gutenberg/pull/77073))
- Edit Post: Fix warning in 'useMetaBoxInitialization' hook. ([77311](https://github.com/WordPress/gutenberg/pull/77311))
- RTC: Store metaboxes RTC-compatible flag on location entries. ([77361](https://github.com/WordPress/gutenberg/pull/77361))
- Revisions: Simplify fetching. ([77086](https://github.com/WordPress/gutenberg/pull/77086))

#### Block Library

- Tabs: Simplify anchor handling. ([77189](https://github.com/WordPress/gutenberg/pull/77189))
- TypeScript: Migrate `packages/list-reusable-blocks` package to TypeScript. ([70518](https://github.com/WordPress/gutenberg/pull/70518))
- TypeScript: Migrate viewport package. ([71118](https://github.com/WordPress/gutenberg/pull/71118))

#### Data Layer

- Remove remaining esModuleInterop usage. ([77095](https://github.com/WordPress/gutenberg/pull/77095))
- Blocks: Convert blocks package to TypeScript. ([76312](https://github.com/WordPress/gutenberg/pull/76312))

#### Guidelines

- Remove jsxRuntime pragma. ([77255](https://github.com/WordPress/gutenberg/pull/77255))

#### Icons

- Override WP_Icons_Registry singleton with Gutenberg icons registry. ([76455](https://github.com/WordPress/gutenberg/pull/76455))

#### Annotations

- TypeScript: Migrate annotations package to TS. ([70602](https://github.com/WordPress/gutenberg/pull/70602))

### Tools

#### Testing

- Autocomplete: Fix flaky end-to-end tests. ([77322](https://github.com/WordPress/gutenberg/pull/77322))
- E2E Tests: Ensure artifacts generate correctly and remove unnecessary artifacts. ([77093](https://github.com/WordPress/gutenberg/pull/77093))
- Fix `page.waitForFunction` call arguments in e2e tests. ([77300](https://github.com/WordPress/gutenberg/pull/77300))
- Guidelines: Add end-to-end tests based on the Settings page testing instructions. ([77192](https://github.com/WordPress/gutenberg/pull/77192))
- Remove 'Home' and 'End' key usage from Navigation tests. ([77102](https://github.com/WordPress/gutenberg/pull/77102))
- Restore original template registration tests alongside activation variants. ([77068](https://github.com/WordPress/gutenberg/pull/77068))
- Tests: Auto-fix some new 'eslint-plugin-playwright' warnings. ([77314](https://github.com/WordPress/gutenberg/pull/77314))
- Tests: Fix workspace test scripts (wp-env not found, argument forwarding). ([77055](https://github.com/WordPress/gutenberg/pull/77055)), ([77083](https://github.com/WordPress/gutenberg/pull/77083))

#### Build Tooling

- Add iteration issue template. ([77113](https://github.com/WordPress/gutenberg/pull/77113))
- Build: Fix glob ignore patterns in dot-prefixed directories. ([75114](https://github.com/WordPress/gutenberg/pull/75114))
- Convert directories in test/ to workspaces. ([74684](https://github.com/WordPress/gutenberg/pull/74684))
- Env: Fix loopback requests when running on non-default ports. ([77057](https://github.com/WordPress/gutenberg/pull/77057))
- Fix lint-staged API documentation path. ([77203](https://github.com/WordPress/gutenberg/pull/77203))
- Resolve package-lock.json inconsistency for @babel/eslint-parser. ([77256](https://github.com/WordPress/gutenberg/pull/77256))
- Storybook: Fix end-to-end subpath exports and add CI build smoke test. ([77034](https://github.com/WordPress/gutenberg/pull/77034))
- Refactor: Migrate bin/api-docs to tools/api-docs as workspace `@wordpress/api-docs-generator`. ([77019](https://github.com/WordPress/gutenberg/pull/77019))
- Upgrade ESLint to v10. ([76654](https://github.com/WordPress/gutenberg/pull/76654))

#### Data Layer

- Fix pre-existing lint errors across the codebase. ([77002](https://github.com/WordPress/gutenberg/pull/77002))
- Remove unused catch block variables across the codebase. ([76969](https://github.com/WordPress/gutenberg/pull/76969))

## First-time contributors

The following PRs were merged by first-time contributors:

- @DarkMatter-999: Fix numeric value clearing in preset input controls. ([77139](https://github.com/WordPress/gutenberg/pull/77139))
- @dkotter: Update the AI plugin settings page slug we link to after activation. ([77336](https://github.com/WordPress/gutenberg/pull/77336))
- @dpmehta: Search block: Match behavior of global styling for border and color with local styling (inspector controls) to remove inconsistency. ([77060](https://github.com/WordPress/gutenberg/pull/77060))
- @mehrazmorshed: Fix: A sentence has no ending punctuation in README.md file. ([77027](https://github.com/WordPress/gutenberg/pull/77027))
- @prachigarg19: Fix duotone filter not applying on style variation switch. ([77229](https://github.com/WordPress/gutenberg/pull/77229))
- @samvaidya: Image block: Validate attachment ID exists before treating image as local. ([77178](https://github.com/WordPress/gutenberg/pull/77178))
- @sandipr942: Added missing documentation in `collaboration.php`. ([77173](https://github.com/WordPress/gutenberg/pull/77173))
- @superdav42: Connectors: Don't clobber third-party custom render in registerDefaultConnectors. ([77116](https://github.com/WordPress/gutenberg/pull/77116))

## Contributors

The following contributors merged PRs in this release:

@adamsilverstein @Adi-ty @aduth @alecgeatches @andrewserong @annezazu @aswasif007 @BugReportOnWeb @CGastrell @chriszarate @ciampo @coderGtm @DAreRodz @DarkMatter-999 @dinhtungdu @dkotter @dpmehta @ellatrix @gziolo @hbhalodia @iamchughmayank @Infinite-Null @ingeniumed @jameskoster @jeryj @jorgefilipecosta @jsnajdr @kushagra-goyal-14 @madhusudhand @MaggieCabrera @Mamaduka @manzoorwanijk @mehrazmorshed @mirka @nerrad @ntsekouras @oandregal @prachigarg19 @R1shabh-Gupta @ramonjd @samvaidya @sandipr942 @scruffian @shail-mehta @Shekhar0109 @shrivastavanolo @superdav42 @Swanand01 @t-hamano @talldan @tyxla @USERSATOSHI @yashjawale @yogeshbhutkar


= 22.9.0 =

## Changelog

### Enhancements

#### Block Editor

- DOM: Prefer standard `caretPositionFromPoint` over deprecated `caretRangeFromPoint`. ([76921](https://github.com/WordPress/gutenberg/pull/76921))

#### Components
- Add EmptyState component to @wordpress/ui. ([74719](https://github.com/WordPress/gutenberg/pull/74719))
- Admin UI: Update Page background color. ([76548](https://github.com/WordPress/gutenberg/pull/76548))
- Button: hide focus outline on :Active for click feedback in forced-colors mode. ([76833](https://github.com/WordPress/gutenberg/pull/76833))
- Card: Use Text component for Title typography. ([76642](https://github.com/WordPress/gutenberg/pull/76642))
- InputControl: Add to @wordpress/ui. ([76653](https://github.com/WordPress/gutenberg/pull/76653))
- Snackbar: Use surface-width design token for max-width. ([76592](https://github.com/WordPress/gutenberg/pull/76592))
- Storybook: Make "introduction" top level. ([76671](https://github.com/WordPress/gutenberg/pull/76671))
- Tabs: Add runtime validation for tab/panel mismatches. ([75170](https://github.com/WordPress/gutenberg/pull/75170))
- Theme: Change default control cursor to `pointer`. ([76762](https://github.com/WordPress/gutenberg/pull/76762))
- ThemeProvider: Add `cursor` prop. ([76410](https://github.com/WordPress/gutenberg/pull/76410))
- UI/Dialog: Deprioritize close icon for initial focus. ([76910](https://github.com/WordPress/gutenberg/pull/76910))
- UI/Dialog: Expose initialFocus and finalFocus on Dialog.Popup. ([76860](https://github.com/WordPress/gutenberg/pull/76860))
- UI: Add AlertDialog primitive. ([76847](https://github.com/WordPress/gutenberg/pull/76847))
- UI: Update @base-ui/react from 1.2.0 to 1.3.0. ([76603](https://github.com/WordPress/gutenberg/pull/76603))


#### Data Layer
- Core Data: Remove offset param from stableKey, use pagination logic. ([76808](https://github.com/WordPress/gutenberg/pull/76808))

#### Block Library
- Block Supports: Add background gradient support that can combine with background images. ([75859](https://github.com/WordPress/gutenberg/pull/75859))
- Forms Block: Add hidden input field variation. ([74131](https://github.com/WordPress/gutenberg/pull/74131))
- Image/Site Logo: Hide crop toolbar when editMediaEntity is unavailable. ([76626](https://github.com/WordPress/gutenberg/pull/76626))
- Login/out block: Add button block class names to the submit button. ([76746](https://github.com/WordPress/gutenberg/pull/76746))

#### DataViews
- CollapsibleCard: Add HeaderDescription subcomponent. ([76867](https://github.com/WordPress/gutenberg/pull/76867))
- Improvements to dataviews infinite scroll. ([74378](https://github.com/WordPress/gutenberg/pull/74378))

#### Site Editor
- Site Editor > Pages: Move view configuration to the server. ([76573](https://github.com/WordPress/gutenberg/pull/76573))
- Site Editor > Patterns & Parts: Generate sidebar from view configuration. ([76823](https://github.com/WordPress/gutenberg/pull/76823))
- Site Editor > Patterns: Move configuration to the server. ([76734](https://github.com/WordPress/gutenberg/pull/76734))
- Site Editor > Quick Edit: Add form configuration to endpoint. ([76953](https://github.com/WordPress/gutenberg/pull/76953))
- Site Editor > Templates: Move configuration to the server. ([76622](https://github.com/WordPress/gutenberg/pull/76622))

#### Post Editor
- DataForm: Add `compact` configuration option to the `datetime` control. ([76905](https://github.com/WordPress/gutenberg/pull/76905))

#### Navigation Menus
- Site Editor v2: Add missing menu items to navigation leaf more menu. ([76804](https://github.com/WordPress/gutenberg/pull/76804))

#### Connectors
- Improve AI plugin button. ([76759](https://github.com/WordPress/gutenberg/pull/76759))

#### Collaboration
- Add backport for WP_ALLOW_COLLABORATION. ([76716](https://github.com/WordPress/gutenberg/pull/76716))

#### Guidelines
- Improvements to the UX. ([76383](https://github.com/WordPress/gutenberg/pull/76383))

#### Icon
- Icons: Enforce strict name validation in `register` method. ([76079](https://github.com/WordPress/gutenberg/pull/76079))

#### Commands
- Add sections to command palette and introduce Recently used functionality. ([75691](https://github.com/WordPress/gutenberg/pull/75691))


### Bug Fixes

- wordpress/date: Recover WP timezone after third-party reload. ([75831](https://github.com/WordPress/gutenberg/pull/75831))

#### Block Library
- Icon: Fix center alignment in the editor for classic themes. ([76878](https://github.com/WordPress/gutenberg/pull/76878))
- Image block media placeholder: Remove duotone. ([76721](https://github.com/WordPress/gutenberg/pull/76721))
- Latest Comments: Fix v1 block deprecation. ([76877](https://github.com/WordPress/gutenberg/pull/76877))
- List Item: Disable edit as HTML support. ([76897](https://github.com/WordPress/gutenberg/pull/76897))
- Navigation: Avoid List View changing position when navigation block saves. ([76659](https://github.com/WordPress/gutenberg/pull/76659))
- Reduce specificity of nav link default padding so global styles apply. ([76876](https://github.com/WordPress/gutenberg/pull/76876))
- Show fallback label in MediaControl when filename is empty. ([76888](https://github.com/WordPress/gutenberg/pull/76888))
- Site Tagline: Fix block error when migrating deprecated textAlign attribute. ([76821](https://github.com/WordPress/gutenberg/pull/76821))

#### Connectors
- Boot: Fix black area below content when sidebar is taller than page content. ([76764](https://github.com/WordPress/gutenberg/pull/76764))
- Add Akismet as a default connector. ([76828](https://github.com/WordPress/gutenberg/pull/76828))
- Align client registration API with server. ([76737](https://github.com/WordPress/gutenberg/pull/76737))
- Fix button size. ([76582](https://github.com/WordPress/gutenberg/pull/76582))
- Replace plugin.slug with plugin.file. ([76909](https://github.com/WordPress/gutenberg/pull/76909))
- Support non-AI provider types and add JS extensibility end-to-end test. ([76722](https://github.com/WordPress/gutenberg/pull/76722))

#### Block Editor
- Block visibility badge: Use canvas iframe for viewport detection. ([76889](https://github.com/WordPress/gutenberg/pull/76889))
- Cross Origin Isolation: Remove `img` from the list of elements that get mutated. ([76618](https://github.com/WordPress/gutenberg/pull/76618))
- Fix locked content when switching to a different template without exiting 'Edit pattern'. ([76710](https://github.com/WordPress/gutenberg/pull/76710))
- Hide Additional CSS controls when block is inside contentOnly editing mode. ([76512](https://github.com/WordPress/gutenberg/pull/76512))
- Reset blockEditingModes on RESET_BLOCKS. ([76529](https://github.com/WordPress/gutenberg/pull/76529))
- Stop keeping stale controlled blocks after reset. ([76591](https://github.com/WordPress/gutenberg/pull/76591))

#### Components
- Admin UI: Fix Page Header not rendering with only actions and add stories. ([76695](https://github.com/WordPress/gutenberg/pull/76695))
- Button: Restore specificity of high-contrast mode focus ring. ([76719](https://github.com/WordPress/gutenberg/pull/76719))
- Card: Add overflow: Clip to root container. ([76678](https://github.com/WordPress/gutenberg/pull/76678))
- Fix Color Picker Angle Reset on Gradient Type Change. ([76595](https://github.com/WordPress/gutenberg/pull/76595))
- Storybook: Disable autodocs for Icon library. ([76620](https://github.com/WordPress/gutenberg/pull/76620))
- compose/useDialog: Add `stopPropagation()` to Escape handler. ([76861](https://github.com/WordPress/gutenberg/pull/76861))
- ui/CollapsibleCard: Do not animate focus ring. ([76682](https://github.com/WordPress/gutenberg/pull/76682))

#### Post Editor
- Fix: Create custom template modal content width. ([76713](https://github.com/WordPress/gutenberg/pull/76713))
- Reduce the added halo for selected block. ([76619](https://github.com/WordPress/gutenberg/pull/76619))
- Revisions: Add Meta fields diff panel to document sidebar. ([76341](https://github.com/WordPress/gutenberg/pull/76341))
- Revisions: Fix template revisions retrieval and sorting. ([76760](https://github.com/WordPress/gutenberg/pull/76760))
- Style Book: Fix missing styles for classic themes in stylebook route. ([76843](https://github.com/WordPress/gutenberg/pull/76843))

#### Collaboration
- RTC: Fix notes not syncing between collaborative editors. ([76873](https://github.com/WordPress/gutenberg/pull/76873))
- RTC: Fix stuck "Join" link in post list when lock expires. ([76795](https://github.com/WordPress/gutenberg/pull/76795))
- RTC: Restore on failed request with compaction update. ([76872](https://github.com/WordPress/gutenberg/pull/76872))

#### Client Side Media
- Build: Remove unused JXL WASM module from vips worker. ([76639](https://github.com/WordPress/gutenberg/pull/76639))
- Gate client-side media processing as plugin-only. ([76700](https://github.com/WordPress/gutenberg/pull/76700))
- vips: Ensure single instance. ([76780](https://github.com/WordPress/gutenberg/pull/76780))

#### CSS & Styling
- Metabox: Fix checkbox style in sidebar. ([76718](https://github.com/WordPress/gutenberg/pull/76718))

#### Data Layer
- Properly resolve `getTemplateId` for hybrid themes. ([76532](https://github.com/WordPress/gutenberg/pull/76532))

#### Site Editor
- Fix unsupported theme flash on direct URL navigation. ([76465](https://github.com/WordPress/gutenberg/pull/76465))


### Accessibility

#### Components
- ComboboxControl: Fix accessible association of `help` text. ([76761](https://github.com/WordPress/gutenberg/pull/76761))
- RadioControl: Add `role="radiogroup"` to fieldset. ([76745](https://github.com/WordPress/gutenberg/pull/76745))
- ToggleGroupControl: Fix accessible association of `help` text. ([76740](https://github.com/WordPress/gutenberg/pull/76740))
- `ControlWithError`: Connect validation messages to controls via `aria-describedby`. ([76742](https://github.com/WordPress/gutenberg/pull/76742))

#### Block Editor
- Stretchy Text: Fix focus loss. ([75092](https://github.com/WordPress/gutenberg/pull/75092))


### Experiments

#### Post Editor
- Fields: Add `excerpt` field. ([76829](https://github.com/WordPress/gutenberg/pull/76829))
- Fields: Add `sticky` field. ([76922](https://github.com/WordPress/gutenberg/pull/76922))
- Fields: Tweak `excerpt` field. ([76903](https://github.com/WordPress/gutenberg/pull/76903))
- Add `revisions` panel. ([76735](https://github.com/WordPress/gutenberg/pull/76735))
- Add `template` panel to include the existing template actions. ([76539](https://github.com/WordPress/gutenberg/pull/76539))

#### Guidelines
- Refactor components and improve TypeScript typing. ([76394](https://github.com/WordPress/gutenberg/pull/76394))


### Documentation

- Abilities: Improve JSDoc for public API. ([76824](https://github.com/WordPress/gutenberg/pull/76824))
- DOM: Document class wildcard matcher for 'cleanNodeList'. ([76920](https://github.com/WordPress/gutenberg/pull/76920))
- Docs: Remove Puppeteer references and update to Playwright. ([76766](https://github.com/WordPress/gutenberg/pull/76766))
- Docs: Update PHP_CodeSniffer repository link and schema URL. ([76816](https://github.com/WordPress/gutenberg/pull/76816))
- Storybook: Add redirect for moved introduction page. ([76701](https://github.com/WordPress/gutenberg/pull/76701))
- Storybook: Try changing to collapsed folders. ([76361](https://github.com/WordPress/gutenberg/pull/76361))
- UI Tooltip: Improve documentation to cover intended accessibility practices. ([76705](https://github.com/WordPress/gutenberg/pull/76705))
- Updating versions in WordPress ahead of 7.0. ([76723](https://github.com/WordPress/gutenberg/pull/76723))
- admin-ui: Update package README to clarify purpose and distinguish from ui package. ([76943](https://github.com/WordPress/gutenberg/pull/76943))
- docs(create-block-interactive-template): Document available variants in README. ([76831](https://github.com/WordPress/gutenberg/pull/76831))
- iAPI Docs: Add client-side navigation compatibility guide. ([76242](https://github.com/WordPress/gutenberg/pull/76242))


### Code Quality

- Core Abilities: Fix sideEffects flag. ([76763](https://github.com/WordPress/gutenberg/pull/76763))
- Admin UI: Add CSS files to sideEffects array. ([76609](https://github.com/WordPress/gutenberg/pull/76609))
- admin-ui / Breadcrumbs: Stricter `items[].to` prop types. ([76493](https://github.com/WordPress/gutenberg/pull/76493))
- Refactor: Use null coalescing operator for improved readability. ([76777](https://github.com/WordPress/gutenberg/pull/76777))
- element: Make createInterpolateElement TS/type smart. ([71513](https://github.com/WordPress/gutenberg/pull/71513))

#### Data Layer
- Core Data: Optimize getRawEntityRecord selector. ([76632](https://github.com/WordPress/gutenberg/pull/76632))
- Core Data: Remove 'isRawAttribute' internal util. ([76806](https://github.com/WordPress/gutenberg/pull/76806))

#### Block Library
- Navigation: Add a shared helper for font sizes in Navigation Link and Navigation Submenu blocks. ([74855](https://github.com/WordPress/gutenberg/pull/74855))
- Tab Block: Remove anchor from save function. ([76511](https://github.com/WordPress/gutenberg/pull/76511))

#### Site Editor
- Simplify sidebar for Pages & Templates. ([76868](https://github.com/WordPress/gutenberg/pull/76868))

#### Commands
- Fix useSelect warning in command palette. ([76822](https://github.com/WordPress/gutenberg/pull/76822))

#### Block Editor
- Deprecate '__unstableSaveReusableBlock' action. ([76807](https://github.com/WordPress/gutenberg/pull/76807))

#### Components
- UI: Clarify public APIs and component naming, remove NoticeIntent typings. ([76791](https://github.com/WordPress/gutenberg/pull/76791))

#### DataViews
- @wordpress/dataviews: Migrate card layout to @wordpress/ui. ([76282](https://github.com/WordPress/gutenberg/pull/76282))


### Tools

- Add TypeScript parser tests for shouldSkipReference. ([76611](https://github.com/WordPress/gutenberg/pull/76611))
- ESLint: Add `no-unmerged-classname` rule. ([76458](https://github.com/WordPress/gutenberg/pull/76458))
- create-block-interactive-template: Enhance block registration by using blocks-manifest for improved performance. ([76317](https://github.com/WordPress/gutenberg/pull/76317))

#### Build Tooling
- wp-build: Hash transformed CSS for `data-wp-hash` dedupe key. ([76743](https://github.com/WordPress/gutenberg/pull/76743))
- Build: Fix vips worker 404 when SCRIPT_DEBUG is true. ([76657](https://github.com/WordPress/gutenberg/pull/76657))
- Build: Skip non-minified build for WASM-inlined workers. ([76615](https://github.com/WordPress/gutenberg/pull/76615))
- Changelog: Add missing label-to-feature mappings. ([76646](https://github.com/WordPress/gutenberg/pull/76646))
- React vendor script: Avoid warning on createRoot. ([76825](https://github.com/WordPress/gutenberg/pull/76825))
- Set milestone on PRs after cherry-picking to release branch. ([76652](https://github.com/WordPress/gutenberg/pull/76652))
- react-dom vendor script: Remove __esModule flag. ([76925](https://github.com/WordPress/gutenberg/pull/76925))

#### Testing
- Fix: Flaky RichText format end-to-end test. ([76958](https://github.com/WordPress/gutenberg/pull/76958))
- RTC: Add end-to-end block gauntlet. ([76849](https://github.com/WordPress/gutenberg/pull/76849))
- e2e: Add end-to-end tests for template and template part revisions. ([76923](https://github.com/WordPress/gutenberg/pull/76923))
- end-to-end Tests: Enable client-side media processing for site editor image test. ([76648](https://github.com/WordPress/gutenberg/pull/76648))

#### Collaboration
- RTC: Update post lock backport PR. ([76661](https://github.com/WordPress/gutenberg/pull/76661))


## First-time contributors

The following PRs were merged by first-time contributors:

- @jigangz: Block Library: Show fallback label in MediaControl when filename is empty. ([76888](https://github.com/WordPress/gutenberg/pull/76888))
- @meravi: Docs: Remove Puppeteer references and update to Playwright. ([76766](https://github.com/WordPress/gutenberg/pull/76766))
- @rodrigoprimo: Docs: Update PHP_CodeSniffer repository link and schema URL. ([76816](https://github.com/WordPress/gutenberg/pull/76816))
- @sandipmaurya2611: Boot: Fix black area below content when sidebar is taller than page content. ([76764](https://github.com/WordPress/gutenberg/pull/76764))
- @Vedant-Gandhi: Fix Color Picker Angle Reset on Gradient Type Change. ([76595](https://github.com/WordPress/gutenberg/pull/76595))


## Contributors

The following contributors merged PRs in this release:

@aaronrobertshaw @adamsilverstein @aduth @alecgeatches @andrewserong @annezazu @aswasif007 @carolinan @CGastrell @chriszarate @ciampo @DAreRodz @dhasilva @dsas @ellatrix @epeicher @gziolo @im3dabasia @ingeniumed @jameskoster @jasmussen @jigangz @jorgefilipecosta @jsnajdr @juanmaguitar @Mamaduka @manzoorwanijk @maxschmeling @meravi @mirka @ntsekouras @oandregal @pento @ramonjd @retrofox @rodrigoprimo @sandipmaurya2611 @scruffian @senadir @sgomes @Shekhar0109 @shekharnwagh @shimotmk @SirLouen @Soean @t-hamano @talldan @tellthemachines @Vedant-Gandhi




= 22.8.2 =

## Changelog

### Bug Fixes

Build: detect version and generate asset.php for vendor scripts ([76811](https://github.com/WordPress/gutenberg/pull/76811))



= 22.8.1 =


## Changelog

### Bug Fixes

#### Collaboration
- RTC: Fix editor freeze when replacing code editor content. ([76815](https://github.com/WordPress/gutenberg/pull/76815))
- RTC: Remove stale wp_enable_real_time_collaboration option check. ([76810](https://github.com/WordPress/gutenberg/pull/76810))
- RTC: Fix RichTextData deserialization ([76607](https://github.com/WordPress/gutenberg/pull/76607))
- RTC: Change RTC option name ([76643](https://github.com/WordPress/gutenberg/pull/76643))
- RTC: Backport race condition fix ([76649](https://github.com/WordPress/gutenberg/pull/76649))
- RTC: Use activation hook to enable RTC by default ([76736](https://github.com/WordPress/gutenberg/pull/76736))
- RTC: Remove stale wp_enable_real_time_collaboration option check ([76810](https://github.com/WordPress/gutenberg/pull/76810))
- Preferences: Hide collaboration options when RTC is not enabled. ([76819](https://github.com/WordPress/gutenberg/pull/76819))

#### Post Editor


### Enhancements

#### Collaboration
 - Real Time Collaboration: Introduce filters for the polling intervals. ([76518](https://github.com/WordPress/gutenberg/pull/76518))
 - RTC: Scroll to collaborator on click ([76561](https://github.com/WordPress/gutenberg/pull/76561))
 - RTC: Increase polling intervals, increase polling on primary room only ([76704](https://github.com/WordPress/gutenberg/pull/76704))
 - RTC: Use prepared queries instead of *_post_meta functions ([76779](https://github.com/WordPress/gutenberg/pull/76779))

### Tests

#### Collaboration
 - RTC: Add E2E "stress test" with complex interactions ([76055](https://github.com/WordPress/gutenberg/pull/76055))
 - Fix navigation block rendering unit test ([76685](https://github.com/WordPress/gutenberg/pull/76685))
 - Fix navigation block unit test and e2e test ([76692](https://github.com/WordPress/gutenberg/pull/76692))


## Contributors

The following contributors merged PRs in this release:

@alecgeatches @shekharnwagh @t-hamano @peterwilsoncc @maxschmeling @chriszarate 


= 22.8.0 =

## Changelog

### Features

#### Collaboration
- RTC: Add preference for collaborator notifications. ([76460](https://github.com/WordPress/gutenberg/pull/76460))

### Enhancements

#### Components
- @wordpress/ui: Add Collapsible component. ([76280](https://github.com/WordPress/gutenberg/pull/76280))
- Add ExampleApplication story for ThemeProvider to better demonstrate component theme-ability.
([76463](https://github.com/WordPress/gutenberg/pull/76463))
- Add `Link` primitive to `@wordpress/ui`. ([76013](https://github.com/WordPress/gutenberg/pull/76013))
- Add primitive Text component to @wordpress/ui. ([75870](https://github.com/WordPress/gutenberg/pull/75870))
- Add styles for outside days in Calendar components. ([76199](https://github.com/WordPress/gutenberg/pull/76199))
- Admin UI: Add Storybook stories for Breadcrumbs and Page components. ([76467](https://github.com/WordPress/gutenberg/pull/76467))
- Adopt surface-width design tokens for Dialog, Notice, and Modal widths. ([76494](https://github.com/WordPress/gutenberg/pull/76494))
- Collapsible.Card: Make contents hidden until found. ([76498](https://github.com/WordPress/gutenberg/pull/76498))
- CollapsibleCard: Move trigger to the whole header. ([76265](https://github.com/WordPress/gutenberg/pull/76265))
- Editor: Polish real-time collaboration presence UI and move Avatar to editor package.
([75652](https://github.com/WordPress/gutenberg/pull/75652))
- Field.Label, Fieldset.Legend: Add `visuallyHidden` prop. ([76052](https://github.com/WordPress/gutenberg/pull/76052))
- Refactor admin-ui Page component to use @wordpress/theme tokens and @wordpress/ui layout primitive.
([75963](https://github.com/WordPress/gutenberg/pull/75963))
- Storybook: Change the default font. ([76366](https://github.com/WordPress/gutenberg/pull/76366))
- Storybook: Deduplicate injected package stylesheets. ([76158](https://github.com/WordPress/gutenberg/pull/76158))
- Theme package: Add surface width design tokens. ([76047](https://github.com/WordPress/gutenberg/pull/76047))
- Theme: Add `no-token-fallback-values` stylelint rule. ([76415](https://github.com/WordPress/gutenberg/pull/76415))
- Tooltip: Change default placement from bottom to top. ([76131](https://github.com/WordPress/gutenberg/pull/76131))
- UI Notice: Let description and actions span icon column at narrow widths. ([76202](https://github.com/WordPress/gutenberg/pull/76202))
- UI/Badge: Add border and neutral-strong background to `none` intent. ([76356](https://github.com/WordPress/gutenberg/pull/76356))
- `@wordpress/ui`: Add `Card` and `CollapsibleCard` components. ([76252](https://github.com/WordPress/gutenberg/pull/76252))
- `CollapsibleCard`: Add animations. ([76378](https://github.com/WordPress/gutenberg/pull/76378))
- ui/Card: Increase padding, align with legacy Card. ([76368](https://github.com/WordPress/gutenberg/pull/76368))
- Admin UI: Update font size for title and breadcrumbs to match. ([76452](https://github.com/WordPress/gutenberg/pull/76452))


#### Connectors
- Add AI Experiments plugin callout with install/activate functionality. ([76379](https://github.com/WordPress/gutenberg/pull/76379))
- Add connectors registry for extensibility. ([76364](https://github.com/WordPress/gutenberg/pull/76364))
- Add empty state when no connectors are registered. ([76375](https://github.com/WordPress/gutenberg/pull/76375))
- Add unregisterConnector and upsert support. ([76541](https://github.com/WordPress/gutenberg/pull/76541))
- Move plugin status computation to script module data. ([76409](https://github.com/WordPress/gutenberg/pull/76409))
- Sync PHP code with WordPress Core. ([76443](https://github.com/WordPress/gutenberg/pull/76443))
- Update page identifier to options-connectors. ([76142](https://github.com/WordPress/gutenberg/pull/76142))
- WP Admin: Update Connectors screen footer text for consistency. ([76382](https://github.com/WordPress/gutenberg/pull/76382))

#### Block Library
- Block Library: Improve the design of MediaControlPreview and MediaControl.
([76430](https://github.com/WordPress/gutenberg/pull/76430))
- Link Picker: Use Homepage badge instead of Page if Homepage. ([75929](https://github.com/WordPress/gutenberg/pull/75929))
- Navigation link: Add support to style current menu item via theme.json. ([75736](https://github.com/WordPress/gutenberg/pull/75736))
- Navigation: Allow creating new links in site editor sidebar List View. ([75918](https://github.com/WordPress/gutenberg/pull/75918))
- Post Date: Migrate to textAlign block support. ([75856](https://github.com/WordPress/gutenberg/pull/75856))
- Post Excerpt: Migrate to textAlign block support. ([75860](https://github.com/WordPress/gutenberg/pull/75860))
- Tabs: Disable anchor support on Tab Menu Item. ([76442](https://github.com/WordPress/gutenberg/pull/76442))
- Tabs: Restructure Tabs Menu and inner blocks. ([75954](https://github.com/WordPress/gutenberg/pull/75954))


#### DataViews
- Add border to sticky table headers. ([76396](https://github.com/WordPress/gutenberg/pull/76396))
- DataForm: Add customizable button text to panel modal. ([76099](https://github.com/WordPress/gutenberg/pull/76099))
- DataForm: Reduce `panel`'s dialog `min-width`. ([76345](https://github.com/WordPress/gutenberg/pull/76345))
- DataViews Grid and Picker Grid: Add density option for gap between items. ([75887](https://github.com/WordPress/gutenberg/pull/75887))
- Improve storybook infinite scroll. ([76566](https://github.com/WordPress/gutenberg/pull/76566))

#### Post Editor
- Add Site Logo & Icon screen to Design panel. ([76116](https://github.com/WordPress/gutenberg/pull/76116))
- Editor: Show own presence in collaborative editing sessions. ([76413](https://github.com/WordPress/gutenberg/pull/76413))
- Fields: Add `format` field. ([76308](https://github.com/WordPress/gutenberg/pull/76308))
- Media: Add hooks and extension points for client-side media processing. ([74913](https://github.com/WordPress/gutenberg/pull/74913))

#### Collaboration
- RTC: Add collaborator selection highlighting in rich text. ([76107](https://github.com/WordPress/gutenberg/pull/76107))
- RTC: Allow filtering of `SyncConnectionModal`. ([76554](https://github.com/WordPress/gutenberg/pull/76554))
- RTC: Auto-register custom taxonomy rest_base values for CRDT sync. ([75983](https://github.com/WordPress/gutenberg/pull/75983))
- RTC: Do not sync role=local attributes. ([76267](https://github.com/WordPress/gutenberg/pull/76267))
- RTC: Implement disconnection debounce after initial connection. ([76114](https://github.com/WordPress/gutenberg/pull/76114))
- RTC: Implement front-end peer limits. ([76565](https://github.com/WordPress/gutenberg/pull/76565))
- RTC: Remove post list lock icon and replace user-specific lock text. ([76322](https://github.com/WordPress/gutenberg/pull/76322))
- Use V2 Yjs methods for HTTP Polling. ([76304](https://github.com/WordPress/gutenberg/pull/76304))
- Add a limit for the default provider. ([76437](https://github.com/WordPress/gutenberg/pull/76437))

#### Content Guidelines
- Rename route and use the right `Notice` component. ([76427](https://github.com/WordPress/gutenberg/pull/76427))

#### Block Editor
- Implement state UI for pseudo selectors on Global styles. ([75627](https://github.com/WordPress/gutenberg/pull/75627))
- Media: Use Document-Isolation-Policy for cross-origin isolation on Chromium 137+.
([75991](https://github.com/WordPress/gutenberg/pull/75991))
- Pattern Editing and Block Fields: Highlight selected block. ([74841](https://github.com/WordPress/gutenberg/pull/74841))
- Icons API: Support searching in labels. ([75878](https://github.com/WordPress/gutenberg/pull/75878))
- Media Upload Modal: Try an uploading state with popover in the footer. ([76228](https://github.com/WordPress/gutenberg/pull/76228))
- Set placeholder to featured image field. ([76342](https://github.com/WordPress/gutenberg/pull/76342))
- Add confirmation dialog before disconnecting/detaching. ([75713](https://github.com/WordPress/gutenberg/pull/75713))

#### Interactivity API
- Add client-side navigation block with interactive features. ([76331](https://github.com/WordPress/gutenberg/pull/76331))

#### Command Palette
- Add command palette trigger button to admin bar. ([75757](https://github.com/WordPress/gutenberg/pull/75757))


### Bug Fixes

#### Post Editor
- Add isNavigationPostEditorKey symbol to fix menu display context. ([76461](https://github.com/WordPress/gutenberg/pull/76461))
- Allow Post Content to be edited when 'Show template' is active and Post content is nested in a Template Part.
([76305](https://github.com/WordPress/gutenberg/pull/76305))
- Client-side media processing: Try plumbing invalidation to the block-editor's mediaUpload onSuccess callback.
([76173](https://github.com/WordPress/gutenberg/pull/76173))
- Editor: Fix autosaves for draft and auto-draft posts. ([76624](https://github.com/WordPress/gutenberg/pull/76624))
- Fix: Document Bar: Back button flickers. ([76320](https://github.com/WordPress/gutenberg/pull/76320))
- Fix: QuickEdit: Consolidate how "Status > Scheduled" works. ([76129](https://github.com/WordPress/gutenberg/pull/76129))
- Navigation: Disable Mobile Menu in Isolated Editor or Site Editor Preview. ([76203](https://github.com/WordPress/gutenberg/pull/76203))
- Notes: Disable for in-editor revisions. ([76180](https://github.com/WordPress/gutenberg/pull/76180))
- Page Parent: Change the default value of 'fieldValue' state. ([76354](https://github.com/WordPress/gutenberg/pull/76354))
- Page/Post Content Focus Mode: Fix insertion into Post Content block. ([76477](https://github.com/WordPress/gutenberg/pull/76477))
- RTC: Place sync connection modal in front of popover. ([76431](https://github.com/WordPress/gutenberg/pull/76431))
- Revisions: Show changed block attributes in inspector sidebar. ([76550](https://github.com/WordPress/gutenberg/pull/76550))
- Revisions: Use useSubRegistry={false} to fix global store selectors. ([76152](https://github.com/WordPress/gutenberg/pull/76152))
- Site Editor: Ensure editor settings are populated with server-side settings ASAP.
([75785](https://github.com/WordPress/gutenberg/pull/75785))

#### Block Library
- Cover Block: Add a playlist parameter to loop YouTube background videos. ([76004](https://github.com/WordPress/gutenberg/pull/76004))
- Disables anchor support for the Page Break block. ([76434](https://github.com/WordPress/gutenberg/pull/76434))
- Fix: Update the playlist-track file permissions from 755 to 644. ([76315](https://github.com/WordPress/gutenberg/pull/76315))
- Fix: Use add_filter() for get_block_type_variations hook. ([76297](https://github.com/WordPress/gutenberg/pull/76297))
- HTML & Shortcode: Disable viewport visibility support. ([76138](https://github.com/WordPress/gutenberg/pull/76138))
- HTML Block: Fix broken layout. ([76278](https://github.com/WordPress/gutenberg/pull/76278))
- Hide template part replace button when viewing revisions. ([76169](https://github.com/WordPress/gutenberg/pull/76169))
- Navigation Overlays: Fix submenu overflow when parent nav is right-justified.
([76360](https://github.com/WordPress/gutenberg/pull/76360))
- Navigation block: Fix submenu chevron toggle on touch devices. ([76197](https://github.com/WordPress/gutenberg/pull/76197))
- Navigation overlay close button may be displayed twice. ([76585](https://github.com/WordPress/gutenberg/pull/76585))
- Navigation: Update close button size. ([76482](https://github.com/WordPress/gutenberg/pull/76482))
- Playlist: Clip content to respect border-radius. ([76146](https://github.com/WordPress/gutenberg/pull/76146))
- Show spinner when replacing media via drag-and-drop. ([76245](https://github.com/WordPress/gutenberg/pull/76245))
- Site Title Block: Fix preview display. ([76614](https://github.com/WordPress/gutenberg/pull/76614))

#### Data Layer
- Core Data: Add 'supportsPagination' flag for Font Collection entity. ([76404](https://github.com/WordPress/gutenberg/pull/76404))
- Core Data: Fix 'canUser' returning 'undefined' when the allow header is missing.
([76307](https://github.com/WordPress/gutenberg/pull/76307))
- Core Data: Fix per_page query logic for when offset is present in the query.
([76613](https://github.com/WordPress/gutenberg/pull/76613))
- Core Data: Fix selectors returning stale results for different 'per_page' queries.
([76422](https://github.com/WordPress/gutenberg/pull/76422))
- Core Data: Support reading revision data in useEntityProp (fixes footnotes in revisions UI).
([76106](https://github.com/WordPress/gutenberg/pull/76106))
- Core Data: Treat single-item responses specially. ([76318](https://github.com/WordPress/gutenberg/pull/76318))
- API Fetch: Respect caller-provided Content-Type in httpV1 middleware. ([76285](https://github.com/WordPress/gutenberg/pull/76285))

#### Connectors
- Add logo URL support for custom AI providers. ([76190](https://github.com/WordPress/gutenberg/pull/76190))
- Align Gutenberg init hook priorities with Core. ([76161](https://github.com/WordPress/gutenberg/pull/76161))
- Fetch specific plugin instead of all plugins. ([76594](https://github.com/WordPress/gutenberg/pull/76594))
- Gate unavailable install actions behind install capability. ([75980](https://github.com/WordPress/gutenberg/pull/75980))
- Improve placeholder text and make it translatable. ([75996](https://github.com/WordPress/gutenberg/pull/75996))
- Improve responsive layout for small viewport and screens. ([76231](https://github.com/WordPress/gutenberg/pull/76231), [76186](https://github.com/WordPress/gutenberg/pull/76186))
- Memoize getConnectors selector. ([76339](https://github.com/WordPress/gutenberg/pull/76339))
- Move API key validation and masking to REST dispatch level. ([76327](https://github.com/WordPress/gutenberg/pull/76327))
- Show API key source for env vars and wp-config constants. ([76266](https://github.com/WordPress/gutenberg/pull/76266))
- Fix RTL styling on AI plugin callout banner. ([76497](https://github.com/WordPress/gutenberg/pull/76497))
- Fix RTL styling on Connectors, Font Library, and boot-based admin pages. ([76496](https://github.com/WordPress/gutenberg/pull/76496))


#### Components
- Compose: Implement useCopyToClipboard and useCopyOnClick with native clipboard API.
([75723](https://github.com/WordPress/gutenberg/pull/75723))
- Fix token fallback plugins breaking JS strings with quoted font names. ([76254](https://github.com/WordPress/gutenberg/pull/76254))
- InputLayout.Slot: Forward className prop. ([76459](https://github.com/WordPress/gutenberg/pull/76459))
- Menu: Fix `RadioItem` controlled checked state. ([76041](https://github.com/WordPress/gutenberg/pull/76041))
- Revert "`Button`: Add `word-break: Break-word`". ([76230](https://github.com/WordPress/gutenberg/pull/76230))
- TimePicker: Clamp month day to valid day for month. ([76400](https://github.com/WordPress/gutenberg/pull/76400))
- useMediaQuery: Support in-iframe queries via new `WindowContext`. ([76446](https://github.com/WordPress/gutenberg/pull/76446))

#### Block Editor
- Block Bindings: Remove source items constrained by enums. ([76200](https://github.com/WordPress/gutenberg/pull/76200))
- Fix HEIC upload error handling and sub-size format. ([76514](https://github.com/WordPress/gutenberg/pull/76514))
- Navigation Editor: Allow any blocks to be inserted by gating contentOnly insertion rules to section blocks.
([76189](https://github.com/WordPress/gutenberg/pull/76189))
- Rename and visibility modals: Gate shortcuts behind canEditBlock to prevent triggering in revisions UI.
([76168](https://github.com/WordPress/gutenberg/pull/76168))
- Fix shortcode conversion when separated by <br /> tags. ([76213](https://github.com/WordPress/gutenberg/pull/76213))

#### DataViews
- Add spinner in `DataViewsLayout` in initial load of data. ([76486](https://github.com/WordPress/gutenberg/pull/76486))
- DataForm `datetime` control: Fix date handling. ([76193](https://github.com/WordPress/gutenberg/pull/76193))
- Fields: Hide `scheduledDateField` from the list and filters. ([76247](https://github.com/WordPress/gutenberg/pull/76247))
- Fix last column classname in `table` layout. ([76133](https://github.com/WordPress/gutenberg/pull/76133))
- Fix layout scrolling in constrained-height containers. ([76453](https://github.com/WordPress/gutenberg/pull/76453))

#### Collaboration
- Fix list sidebar reset during real-time collaboration. ([76025](https://github.com/WordPress/gutenberg/pull/76025))
- Fix backport changelog PR for Gutenberg #75746. ([76154](https://github.com/WordPress/gutenberg/pull/76154))
- Use apiFetch capabilities, allow nonce refresh. ([76283](https://github.com/WordPress/gutenberg/pull/76283))
- Fix backport changelog for #76060. ([76174](https://github.com/WordPress/gutenberg/pull/76174))
- Verify client ID to avoid awareness mutation. ([76056](https://github.com/WordPress/gutenberg/pull/76056))
- Disable RTC in the site editor. ([76223](https://github.com/WordPress/gutenberg/pull/76223))
- Fix CRDT serialization of nested RichText attributes. ([76597](https://github.com/WordPress/gutenberg/pull/76597))
- Fix TypeError in areEditorStatesEqual when selection is undefined. ([76163](https://github.com/WordPress/gutenberg/pull/76163))
- Fix cursor index sync with rich text formatting. ([76418](https://github.com/WordPress/gutenberg/pull/76418))
- Fix error when entity record doesn't have 'meta' property. ([76311](https://github.com/WordPress/gutenberg/pull/76311))
- Fix performance regression on post save. ([76370](https://github.com/WordPress/gutenberg/pull/76370))


#### Interactivity API
- Fix router initialization race condition on Safari/Firefox. ([76053](https://github.com/WordPress/gutenberg/pull/76053))
- Fix crypto.randomUUID crash in non-secure contexts. ([76151](https://github.com/WordPress/gutenberg/pull/76151))
- Make `Window.scheduler` required to match DOM lib. ([76271](https://github.com/WordPress/gutenberg/pull/76271))

#### Site Editor
- Fix block style variations not rendering in Site Editor Patterns page. ([76122](https://github.com/WordPress/gutenberg/pull/76122))
- Site Editor > Templates: Fix author filter. ([76625](https://github.com/WordPress/gutenberg/pull/76625))

#### Client Side Media
- Media: Enable AVIF support for client-side uploads. ([76371](https://github.com/WordPress/gutenberg/pull/76371))
- Upload Media: Loosen client-side media processing requirements. ([76616](https://github.com/WordPress/gutenberg/pull/76616))

#### Global Styles
- Theme_JSON: Prevent implicit coercion in `to_ruleset`. ([76392](https://github.com/WordPress/gutenberg/pull/76392))
- Fix block pseudo-state styles incorrectly applied to default state. ([76326](https://github.com/WordPress/gutenberg/pull/76326))


#### Patterns
- Block context menu: Context menu not closing for disconnecting unsynced pattern menu items.
([75405](https://github.com/WordPress/gutenberg/pull/75405))


### Accessibility

- Connectors: Improve accessibility. ([76456](https://github.com/WordPress/gutenberg/pull/76456))
- Add word-break property to visually hidden styles to prevent screen reader issues.
([75539](https://github.com/WordPress/gutenberg/pull/75539))


### Performance

#### Block Library
- Add `fetchpriority=low` to `IMG` tags in collapsed Accordion Item blocks. ([76336](https://github.com/WordPress/gutenberg/pull/76336))
- Add `fetchpriority=low` to `IMG` tags in collapsed Details blocks. ([76269](https://github.com/WordPress/gutenberg/pull/76269))
- Duotone: Lazily load settings. ([74748](https://github.com/WordPress/gutenberg/pull/74748))
- Image: Replace 'getEntityRecordPermissions` with 'canUser'. ([76125](https://github.com/WordPress/gutenberg/pull/76125))
- Navigation Overlay: Explicitly set fetchpriority for images. ([76208](https://github.com/WordPress/gutenberg/pull/76208))

#### Data Layer
- Core Data: Optimize revision selectors. ([76043](https://github.com/WordPress/gutenberg/pull/76043))
- Revisions: Skip rendered fields in REST API responses. ([76347](https://github.com/WordPress/gutenberg/pull/76347))

#### Design Tools
- Block Visibility: Add `fetchpriority=auto` to `IMG` tags in blocks with conditional viewport visibility to prevent potential erroneous
high loading priority. ([76302](https://github.com/WordPress/gutenberg/pull/76302))


### Experiments

#### Post Editor
- Add experiment: Render the editor inspector with DataForm. ([76244](https://github.com/WordPress/gutenberg/pull/76244))
- Fields: Add post content information field. ([76309](https://github.com/WordPress/gutenberg/pull/76309))
- Fields: Add support for classic themes in `template`. ([76441](https://github.com/WordPress/gutenberg/pull/76441))
- Template field: Match exactly the behavior of post template panel. ([76596](https://github.com/WordPress/gutenberg/pull/76596))

#### Site Editor
- Extensible Site Editor: Make canvas previews full height. ([76201](https://github.com/WordPress/gutenberg/pull/76201))
- Move site editor preview CSS to boot package. ([76211](https://github.com/WordPress/gutenberg/pull/76211))
- Sync some post list changes with Extensible Site Editor. ([76243](https://github.com/WordPress/gutenberg/pull/76243))


### Documentation

- Add Client-Side Navigation documentation to manifest and table of contents.
([76351](https://github.com/WordPress/gutenberg/pull/76351))
- Data: Update documentation for global 'dispatch' and 'select' methods. ([76134](https://github.com/WordPress/gutenberg/pull/76134))
- Docs: Document controlled/uncontrolled prop naming conventions for `@wordpress/ui`.
([76281](https://github.com/WordPress/gutenberg/pull/76281))
- RTC: Update sync documentation. ([75972](https://github.com/WordPress/gutenberg/pull/75972))
- Storybook: Add basic accent color guidance. ([76340](https://github.com/WordPress/gutenberg/pull/76340))
- Storybook: Redesign Icon library page. ([76034](https://github.com/WordPress/gutenberg/pull/76034))
- Storybook: Rename "Components (Deprecated)" to "Deprecated". ([76362](https://github.com/WordPress/gutenberg/pull/76362))
- Storybook: Upgrade to 10.2.8. ([76403](https://github.com/WordPress/gutenberg/pull/76403))
- Theme: Document build plugins in README. ([76003](https://github.com/WordPress/gutenberg/pull/76003))
- ThemeProvider: Fix tags in Storybook. ([76500](https://github.com/WordPress/gutenberg/pull/76500))
- Update block registration methods in documentation for WordPress 6.8+. ([76324](https://github.com/WordPress/gutenberg/pull/76324))
- theme.json schema: Fix pseudo-class definition for button block. ([76272](https://github.com/WordPress/gutenberg/pull/76272))
- wp-env: Update JSON Schema with missing properties and add README documentation.
([76115](https://github.com/WordPress/gutenberg/pull/76115))


### Code Quality

- Boot: Remove manual fallbacks from design token usages. ([76414](https://github.com/WordPress/gutenberg/pull/76414))
- Fix: Rewrite the license check scripts to use Node's native module resolution.
([75039](https://github.com/WordPress/gutenberg/pull/75039))
- Add Router type export to @wordpress/route. ([76139](https://github.com/WordPress/gutenberg/pull/76139))
- DataForm: Consolidate `date` and `datetime` input placement. ([76136](https://github.com/WordPress/gutenberg/pull/76136))


#### Block Library
- HTML Block: Remove "unsaved changes" check. ([76086](https://github.com/WordPress/gutenberg/pull/76086))
- Icon Block: Clean up selectors configuration. ([75786](https://github.com/WordPress/gutenberg/pull/75786))
- Icons: Fix incorrect icon slug. ([76074](https://github.com/WordPress/gutenberg/pull/76074))
- Navigation: Use the shared icon rendering functions for all navigation blocks.
([76372](https://github.com/WordPress/gutenberg/pull/76372))
- Playlist: Move getTrackAttributes to utils. ([76096](https://github.com/WordPress/gutenberg/pull/76096))
- Simplify require statements for navigation files. ([76373](https://github.com/WordPress/gutenberg/pull/76373))

#### Data Layer
- Convert data package fully to TS. ([76149](https://github.com/WordPress/gutenberg/pull/76149))
- Core Data: Fix the list of properties persisted in autosaves. ([76451](https://github.com/WordPress/gutenberg/pull/76451))


#### Collaboration
- Move event hooks from editor to core-data. ([76358](https://github.com/WordPress/gutenberg/pull/76358))
- Replace apiFetch with core-data store selectors. ([76333](https://github.com/WordPress/gutenberg/pull/76333))

#### Components
- Admin UI: Use hasPadding prop in Page stories. ([76601](https://github.com/WordPress/gutenberg/pull/76601))
- Use `--wpds-cursor-control` design token. ([76218](https://github.com/WordPress/gutenberg/pull/76218))

#### Post Editor
- Remove redundant onNavigateToEntityRecord handling. ([76523](https://github.com/WordPress/gutenberg/pull/76523))
- TemplateContentPanel: Fix useSelect warning. ([76421](https://github.com/WordPress/gutenberg/pull/76421))

#### Block Editor
- ESLint: Add `use-recommended-components` rule. ([76222](https://github.com/WordPress/gutenberg/pull/76222))
- Editor canvas iframe: Use load event and default body element. ([76314](https://github.com/WordPress/gutenberg/pull/76314))
- Add end-to-end test for date field in QuickEdit. ([76528](https://github.com/WordPress/gutenberg/pull/76528))
- Correct input of setIsLoading. ([76381](https://github.com/WordPress/gutenberg/pull/76381))


### Tools


#### Build Tooling
- Add `[Package] UI` label to PR labeler configuration. ([76411](https://github.com/WordPress/gutenberg/pull/76411))
- Add support for linting annotations and other static analysis workflow improvements.
([76120](https://github.com/WordPress/gutenberg/pull/76120))
- CI: Don't build release notes during plugin build workflow for WP Core sync.
([76398](https://github.com/WordPress/gutenberg/pull/76398))
- CI: Simplify strategy matrix in Build Gutenberg Plugin Zip workflow. ([76435](https://github.com/WordPress/gutenberg/pull/76435))
- Check for `IS_WORDPRESS_CORE` before `npm_package_config_IS_WORDPRESS_CORE`.
([76334](https://github.com/WordPress/gutenberg/pull/76334))
- ESLint: Add bare token check to `no-unknown-ds-tokens`. ([76210](https://github.com/WordPress/gutenberg/pull/76210))
- Fix IS_GUTENBERG_PLUGIN env var override in build configuration. ([76605](https://github.com/WordPress/gutenberg/pull/76605))
- Only run label enforcement workflow on open PRs. ([76274](https://github.com/WordPress/gutenberg/pull/76274))
- Publish built Gutenberg plugin to the GitHub Container Registry. ([75844](https://github.com/WordPress/gutenberg/pull/75844))
- Remove `function_exists` checks from PHP template. ([76062](https://github.com/WordPress/gutenberg/pull/76062))
- Upgrade actionlint and run linting when composite actions are modified. ([76503](https://github.com/WordPress/gutenberg/pull/76503))
- Scripts: Relax @wordpress/env peer dependency to allow newer versions. ([76192](https://github.com/WordPress/gutenberg/pull/76192))
- Ensure consistent, repeatable build results when inlining WASM files via `wasmInlinePlugin`.
([76113](https://github.com/WordPress/gutenberg/pull/76113))
- wp-build: Stop bundling Core packages, generate prerequisites asset instead.
([75987](https://github.com/WordPress/gutenberg/pull/75987))
- ESLint: Broaden `no-setting-ds-tokens` to all object property keys. ([76212](https://github.com/WordPress/gutenberg/pull/76212))
- ESLint: Modernize eslint-plugin rule APIs for v10 compatibility. ([76507](https://github.com/WordPress/gutenberg/pull/76507))
- ESLint: Replace eslint-plugin-ssr-friendly with custom rules. ([76508](https://github.com/WordPress/gutenberg/pull/76508))
- Include AI tools disclosure in pull request template. ([76425](https://github.com/WordPress/gutenberg/pull/76425))
- Remove alexstine from codeowners. ([76551](https://github.com/WordPress/gutenberg/pull/76551))
- Exclude experimental pages from Core builds. ([76038](https://github.com/WordPress/gutenberg/pull/76038))


#### Testing
- Auto Cherry-Pick: Fix race condition in workflow trigger. ([76083](https://github.com/WordPress/gutenberg/pull/76083))
- Fix "should undo bold" flaky test. ([76464](https://github.com/WordPress/gutenberg/pull/76464))
- RTC: Fix 'networkidle' and other end-to-end tests that are flaky. ([76214](https://github.com/WordPress/gutenberg/pull/76214))
- RTC: Fix `post-editor-template-mode` end-to-end test. ([76209](https://github.com/WordPress/gutenberg/pull/76209))
- RTC: Fix tests related to publish undo stack. ([76206](https://github.com/WordPress/gutenberg/pull/76206))
- Tests: Skip connector logo URL tests when AI Client is unavailable. ([76343](https://github.com/WordPress/gutenberg/pull/76343))
- Update Node version to v24 for flaky test reporter. ([76492](https://github.com/WordPress/gutenberg/pull/76492))
- end-to-end Tests: Add connector setup flow tests with test AI provider. ([76433](https://github.com/WordPress/gutenberg/pull/76433))
- end-to-end Tests: Add coverage for AI plugin callout banner. ([76432](https://github.com/WordPress/gutenberg/pull/76432))
- end-to-end Tests: Fix flaky autocomplete and mentions test. ([76407](https://github.com/WordPress/gutenberg/pull/76407))

## First-time contributors

The following PRs were merged by first-time contributors:


- @apermo: Fix: Use add_filter() for get_block_type_variations hook. ([76297](https://github.com/WordPress/gutenberg/pull/76297))
- @chubes4: API Fetch: Respect caller-provided Content-Type in httpV1 middleware. ([76285](https://github.com/WordPress/gutenberg/pull/76285))
- @iamchughmayank: Guidelines: Add actions for Import, Export and Revisions of guidelines. ([76155](https://github.com/WordPress/gutenberg/pull/76155))
- @kannan-ravi: Add word-break property to visually hidden styles to prevent screen reader issues. ([75539](https://github.com/WordPress/gutenberg/pull/75539))
- @markusfoo: Interactivity API: Fix router initialization race condition on Safari/Firefox. ([76053](https://github.com/WordPress/gutenberg/pull/76053))
- @sagarjadhav: HTML & Shortcode: Disable viewport visibility support. ([76138](https://github.com/WordPress/gutenberg/pull/76138))
- @smithjw1: RTC: Auto-register custom taxonomy rest_base values for CRDT sync. ([75983](https://github.com/WordPress/gutenberg/pull/75983))
- @wwahammy: Correct input of setIsLoading. ([76381](https://github.com/WordPress/gutenberg/pull/76381))

## Contributors

The following contributors merged PRs in this release:

@aaronrobertshaw @adamsilverstein @aduth @alecgeatches @alexstine @Aljullu @andrewserong @annezazu @apermo @aswasif007 @CGastrell @chriszarate @chubes4 @ciampo @Copons @dabowman @desrosj @dhasilva @dlind1 @ellatrix @enejb @getdave @gigitux @gziolo @hbhalodia @huzaifaalmesbah @iamchughmayank @im3dabasia @ingeniumed @jameskoster @jasmussen @jeryj @jorgefilipecosta @jsnajdr @juanmaguitar @kannan-ravi @kraftbj @MaggieCabrera @Mamaduka @manzoorwanijk @markusfoo @mattgrshaw @maxschmeling @mcsf @mikachan @mikejolley @mirka @Mustafabharmal @ntsekouras @oandregal @ockham @pkevan @ramonjd @retrofox @sagarjadhav @scruffian @sgomes @shekharnwagh @shimotmk @simison @smithjw1 @t-hamano @talldan @westonruter @wwahammy @youknowriad @yuliyan




= 22.7.1 =

## Changelog

### Bug Fixes

- Fix script module dequeue race condition. ([76170](https://github.com/WordPress/gutenberg/pull/76170))
- Sync changes from `wp_enqueue_global_styles()` to Gutenberg override. ([76127](https://github.com/WordPress/gutenberg/pull/76127))

## Contributors

The following contributors merged PRs in this release:

@adamsilverstein @westonruter


= 22.7.0 =

## Changelog

### Enhancements
- Add phpMyAdmin support to wp-env Playground runtime. ([75532](https://github.com/WordPress/gutenberg/pull/75532))
- Dialog: Add legacy z-index compatibility. ([75874](https://github.com/WordPress/gutenberg/pull/75874))
- Env: Improve help screen. ([75783](https://github.com/WordPress/gutenberg/pull/75783))
- InputLayout: Replace slot context with data attributes. ([76011](https://github.com/WordPress/gutenberg/pull/76011))
- Theme: Add design token fallback generation. ([75586](https://github.com/WordPress/gutenberg/pull/75586))
- Theme: Add design token for interactive non-link elements. ([75697](https://github.com/WordPress/gutenberg/pull/75697))
- UI: Add Notice component. ([75981](https://github.com/WordPress/gutenberg/pull/75981))
- Views: Add support for more overrides (all developer-defined config). ([75971](https://github.com/WordPress/gutenberg/pull/75971))

#### Block Library
- Button: Migrate to width block support. ([74242](https://github.com/WordPress/gutenberg/pull/74242))
- Make inspector style transform previews consistent with toolbar transforms. ([75989](https://github.com/WordPress/gutenberg/pull/75989))
- Playlist Block: Add WaveformPlayer visualization. ([75203](https://github.com/WordPress/gutenberg/pull/75203))
- Post Navigation Link : Migrate to Text-Align Block Support. ([75557](https://github.com/WordPress/gutenberg/pull/75557))
- Post Title : Migrate to Text-Align Block Support. ([75629](https://github.com/WordPress/gutenberg/pull/75629))
- Post Title: Add placeholder attribute. ([76016](https://github.com/WordPress/gutenberg/pull/76016))
- Query Title: Migrate to Text-Align Block Support. ([75802](https://github.com/WordPress/gutenberg/pull/75802))
- Site Tagline : Migrate to Text-Align Block Support. ([75690](https://github.com/WordPress/gutenberg/pull/75690))
- Site Title : Migrate to Text-Align Block Support. ([75551](https://github.com/WordPress/gutenberg/pull/75551))
- Tabs: Remove custom state styling. ([75731](https://github.com/WordPress/gutenberg/pull/75731))
- Unify block settings dropdown menu items across list views. ([75979](https://github.com/WordPress/gutenberg/pull/75979))

#### Connectors
- Add: Connectors screen and API. ([75833](https://github.com/WordPress/gutenberg/pull/75833))
- Connectors: Add `_ai_` prefix to connector setting names. ([75948](https://github.com/WordPress/gutenberg/pull/75948))
- Connectors: Dynamically register providers from WP AI Client registry. ([76014](https://github.com/WordPress/gutenberg/pull/76014))
- Sync connector PHP behavior with Core backport changes. ([75968](https://github.com/WordPress/gutenberg/pull/75968))

#### Content Guidelines
- Content Guidelines: Add block guidelines management ([76187](https://github.com/WordPress/gutenberg/pull/76187))
- Content Guidelines: Add UX for site, copy, image, and additional guidelines ([75420](https://github.com/WordPress/gutenberg/pull/75420))
- Guidelines: Add actions for Import, Export and Revisions of guidelines ([76155](https://github.com/WordPress/gutenberg/pull/76155))

#### DataViews
- Adjust column spacing in `table` layout when no titleField is provided. ([75410](https://github.com/WordPress/gutenberg/pull/75410))
- Improve UI in `list` layout when we render only title and/or media fields. ([76042](https://github.com/WordPress/gutenberg/pull/76042))
- MediaEdit: Auto-fill columns based on minimum item width. ([75509](https://github.com/WordPress/gutenberg/pull/75509))
- DataViews: Remove menu divider again. ([75893](https://github.com/WordPress/gutenberg/pull/75893))
- DataViews: Minimize padding for primary action buttons. ([75721](https://github.com/WordPress/gutenberg/pull/75721))

#### Post Editor
- Center navigation preview content in preview pane. ([75741](https://github.com/WordPress/gutenberg/pull/75741))
- RTC: Add session activity notifications. ([76065](https://github.com/WordPress/gutenberg/pull/76065))

#### Block Editor
- Add previews for style variation transforms. ([75889](https://github.com/WordPress/gutenberg/pull/75889))
- Try enabling style variation transforms for blocks in contentOnly mode. ([75761](https://github.com/WordPress/gutenberg/pull/75761))

#### Site Editor
- QuickEdit: Rename status label and remove extra labels in popup. ([75824](https://github.com/WordPress/gutenberg/pull/75824))

#### Components
- Refactor ColorPicker to preserve hue/saturation at achromatic colors. ([75493](https://github.com/WordPress/gutenberg/pull/75493))
- `ToggleGroupControl`: Make unselected item color consistent across all variants. ([75737](https://github.com/WordPress/gutenberg/pull/75737))

#### Global Styles
- Block Supports: Define CSS vars for blocks based on feature selectors. ([75226](https://github.com/WordPress/gutenberg/pull/75226))


### Bug Fixes

- Block editor: Force LTR direction in block HTML editing mode. ([75904](https://github.com/WordPress/gutenberg/pull/75904))
- Connectors: Avoid manual string concatenation. ([75997](https://github.com/WordPress/gutenberg/pull/75997))
- Connectors: Unhook Core callbacks in Gutenberg coexistence. ([75935](https://github.com/WordPress/gutenberg/pull/75935))
- DataViews: Fix search input losing characters during debounce when externally synced. ([75810](https://github.com/WordPress/gutenberg/pull/75810))
- Fix DataForm card summary vertical alignment. ([75864](https://github.com/WordPress/gutenberg/pull/75864))
- Fix: Set quality and strip metadata in client-side image resize. ([76029](https://github.com/WordPress/gutenberg/pull/76029))
- Fix: Suppress spinner output when using --json flag in wp-env. ([75743](https://github.com/WordPress/gutenberg/pull/75743))
- IconButton: Hide tooltip when truly disabled. ([75754](https://github.com/WordPress/gutenberg/pull/75754))
- Prevent non-reproducible Sass/CSS builds. ([76098](https://github.com/WordPress/gutenberg/pull/76098))
- Remove Core's full-page render interceptors for boot-based pages. ([76036](https://github.com/WordPress/gutenberg/pull/76036))
- Theme: Add build plugins to inject design token fallbacks. ([75589](https://github.com/WordPress/gutenberg/pull/75589))
- Theme: Remove global design tokens stylesheet. ([75879](https://github.com/WordPress/gutenberg/pull/75879))
- wp-build: Deregister script modules before re-registering. ([75909](https://github.com/WordPress/gutenberg/pull/75909))
- CI: Don't build release notes during plugin build workflow for WP Core sync ([76398](https://github.com/WordPress/gutenberg/pull/76398))

#### Collaboration
- Fix change-detection and new-post end-to-end tests after RTC enabled by default. ([75751](https://github.com/WordPress/gutenberg/pull/75751))
- RTC: Back off when the window loses focus. ([75843](https://github.com/WordPress/gutenberg/pull/75843))
- RTC: Bugfix: Fix casing of getPersistedCRDTDoc. ([75922](https://github.com/WordPress/gutenberg/pull/75922))
- RTC: Fix fallthrough for sync update switch statement. ([76060](https://github.com/WordPress/gutenberg/pull/76060))
- RTC: Fix stale CRDT document persisted on save. ([75975](https://github.com/WordPress/gutenberg/pull/75975))
- RTC: Fix syncing of emoji / surrogate pairs. ([76049](https://github.com/WordPress/gutenberg/pull/76049))
- RTC: Fix undefined array_first() call in sync storage. ([75869](https://github.com/WordPress/gutenberg/pull/75869))
- RTC: Prevent duplicate poll cycles. ([76059](https://github.com/WordPress/gutenberg/pull/76059))
- Real-time collaboration: Fix disconnect dialog on navigate. ([75886](https://github.com/WordPress/gutenberg/pull/75886))
- Real-time collaboration: Improve collaboration within the same rich text. ([75703](https://github.com/WordPress/gutenberg/pull/75703))
- Real-time collaboration: Remove ghost awareness state explicitly when refreshing. ([75883](https://github.com/WordPress/gutenberg/pull/75883))
- [Real-time Collaboration] Fix sync issue on refresh. ([76017](https://github.com/WordPress/gutenberg/pull/76017))
- Real-time collaboration: Improve disconnect dialog. ([75970](https://github.com/WordPress/gutenberg/pull/75970))
- RTC: Enable RTC by default ([75739](https://github.com/WordPress/gutenberg/pull/75739))

#### Block Library
- Block Support: Fix custom CSS not saved when style schema is not defined. ([75797](https://github.com/WordPress/gutenberg/pull/75797))
- Fix: Page List block: Editor-only div inside page links causes misalignment in Firefox. ([75890](https://github.com/WordPress/gutenberg/pull/75890))
- Fixes keyboard focus escaping the lightbox overlay when navigating a gallery with Tab/Shift+Tab. ([75852](https://github.com/WordPress/gutenberg/pull/75852))
- Image block: Fix lightbox srcset size. ([76092](https://github.com/WordPress/gutenberg/pull/76092))
- Image: Hide 'Set as featured image' for in-editor revisions. ([76123](https://github.com/WordPress/gutenberg/pull/76123))
- Navigation Link: Compare internal links by host instead of origin. ([76015](https://github.com/WordPress/gutenberg/pull/76015))
- Navigation Overlay Close: Set Close as default text, rather than using a placeholder. ([75692](https://github.com/WordPress/gutenberg/pull/75692))
- Navigation editing: Simplify edit/view buttons. ([75819](https://github.com/WordPress/gutenberg/pull/75819))
- Search block: Double-encodes apostrophes in the input value. ([76023](https://github.com/WordPress/gutenberg/pull/76023))
- Show transform dropdown previews on focus as well as hover. ([75940](https://github.com/WordPress/gutenberg/pull/75940))
- Use homeUrl instead of siteUrl for link badge evaluations. ([75978](https://github.com/WordPress/gutenberg/pull/75978))
- Navigation overlay: Prevent duplicate area registration. ([75906](https://github.com/WordPress/gutenberg/pull/75906))

#### Block Editor
- Avoid block removal when calling 'moveBlockToPosition'. ([75728](https://github.com/WordPress/gutenberg/pull/75728))
- Block toolbar and context menu: Hide pattern actions in Revisions UI. ([76066](https://github.com/WordPress/gutenberg/pull/76066))
- Block toolbar: Hide styles dropdown for content only blocks inside unsynced patterns in Revisions UI. ([76119](https://github.com/WordPress/gutenberg/pull/76119))
- BlockListBlock: Fix crash when selectedProps are null. ([75826](https://github.com/WordPress/gutenberg/pull/75826))
- Grid block: Improve Visualizer responsiveness. ([75820](https://github.com/WordPress/gutenberg/pull/75820))
- Invalid block selected style. ([75796](https://github.com/WordPress/gutenberg/pull/75796))
- PHP-only Blocks: Reflect bound attribute values in inspector controls. ([76040](https://github.com/WordPress/gutenberg/pull/76040))
- Pattern Editing: Fix sibling blocks to edited pattern not being disabled. ([75994](https://github.com/WordPress/gutenberg/pull/75994))
- RichText: useAnchor: Fix TypeError in virtual element. ([75900](https://github.com/WordPress/gutenberg/pull/75900))

#### DataViews
- DataForm: Fix focus loss and refactor Card layout. ([75689](https://github.com/WordPress/gutenberg/pull/75689))
- DataForm: Fix label colors. ([75730](https://github.com/WordPress/gutenberg/pull/75730))
- DataForm: Fix text overflow for long unhyphenated text in panel layout. ([76073](https://github.com/WordPress/gutenberg/pull/76073))
- Fix filter toggle flickering when there are locked or primary filters. ([75913](https://github.com/WordPress/gutenberg/pull/75913))
- Fix focus transfer while searching in `list` layout. ([75999](https://github.com/WordPress/gutenberg/pull/75999))
- Fix spacing for title in patterns page. ([75693](https://github.com/WordPress/gutenberg/pull/75693))

#### Post Editor
- Admin UI: Fix type mismatch between Page title and NavigableRegion ariaLabel. ([75899](https://github.com/WordPress/gutenberg/pull/75899))
- Editor: Remove View dropdown and pinned items from revisions header. ([75951](https://github.com/WordPress/gutenberg/pull/75951))
- Fix: Template revisions infinite spinner. ([75953](https://github.com/WordPress/gutenberg/pull/75953))
- Preserve note selection on browser tab switch. ([75955](https://github.com/WordPress/gutenberg/pull/75955))
- Real-time collaboration: Fix style mounting in RTC overlay. ([75700](https://github.com/WordPress/gutenberg/pull/75700))

#### Components
- DateTimePicker: Fix day text wrapping. ([76084](https://github.com/WordPress/gutenberg/pull/76084))
- Specify line-height to avoid inheriting default values. ([75880](https://github.com/WordPress/gutenberg/pull/75880))
- `Button`: Add `word-break: Break-word`. ([76071](https://github.com/WordPress/gutenberg/pull/76071))

#### Site Editor
- DataForm: Fix field label for panel (should not be uppercase). ([75944](https://github.com/WordPress/gutenberg/pull/75944))
- DataViews: Avoid flickering while refreshing. ([74572](https://github.com/WordPress/gutenberg/pull/74572))
- DataViews: Right-align `integer` and `number` fields. ([75917](https://github.com/WordPress/gutenberg/pull/75917))

#### Media
- Media Notices: Bump global snackbar z-index, re-use global notices for media modal. ([76063](https://github.com/WordPress/gutenberg/pull/76063))

#### Global Styles
- Custom CSS: Allow defining custom selector for this global styles feature. ([75799](https://github.com/WordPress/gutenberg/pull/75799))
- Custom CSS: Prevent duplicate custom css styles. ([75892](https://github.com/WordPress/gutenberg/pull/75892))

#### Client Side Media
- Fix: Skip scaled image sideload for images below big image threshold. ([75990](https://github.com/WordPress/gutenberg/pull/75990))
- Client-side media processing: Try plumbing invalidation to the block-editor's mediaUpload onSuccess callback ([76173](https://github.com/WordPress/gutenberg/pull/76173))
- Client-side media processing: only use media upload provider when not in preview mode ([76124](https://github.com/WordPress/gutenberg/pull/76124))


#### Font Library
- Fix: Use the same context for font library tabs translations. ([75930](https://github.com/WordPress/gutenberg/pull/75930))

#### Interactivity API
- Interactivity Router: Fix back and forward navigation after refresh. ([75927](https://github.com/WordPress/gutenberg/pull/75927))
- Interactivity: Fix crypto.randomUUID crash in non-secure contexts ([76151](https://github.com/WordPress/gutenberg/pull/76151))

#### Patterns
- Unsynced patterns: Rename 'Disconnect pattern' to 'Detach pattern' in context menu. ([75807](https://github.com/WordPress/gutenberg/pull/75807))


### Accessibility

#### Block Editor
- Fix writing flow navigation for annotation style, or any other block with border radius. ([76072](https://github.com/WordPress/gutenberg/pull/76072))

#### DataViews
- DataForm: Fix `card` layout's toggle button screen reader text. ([76039](https://github.com/WordPress/gutenberg/pull/76039))

#### Block Library
- Accordion: Remove Down Arrow, Up Arrow, Home, End navigation. ([75891](https://github.com/WordPress/gutenberg/pull/75891))


### Performance

#### Block Library
- Navigation: Remove internal 'useNavigationEntities' hook. ([75943](https://github.com/WordPress/gutenberg/pull/75943))

#### Media
- Media Thumbnail Field: Optimise image loading. ([75811](https://github.com/WordPress/gutenberg/pull/75811))


### Experiments

#### Post Editor
- RTC: Disable multiple collaborators if meta boxes are present. ([75939](https://github.com/WordPress/gutenberg/pull/75939))

#### Content Guidelines
- Add experimental REST API and custom post type. ([75164](https://github.com/WordPress/gutenberg/pull/75164))


### Documentation

- Add core/icon block to theme.json schema. ([75813](https://github.com/WordPress/gutenberg/pull/75813))
- Add documentation for contentRole and listView block supports. ([75903](https://github.com/WordPress/gutenberg/pull/75903))
- Docs: Correct parameter name `$content` for query title render function. ([75945](https://github.com/WordPress/gutenberg/pull/75945))
- Docs: Fix broken link to `autoRegister` block-supports. ([75956](https://github.com/WordPress/gutenberg/pull/75956))
- Docs: Fix incorrect echo of wp_interactivity_state() in getServerState() example. ([75857](https://github.com/WordPress/gutenberg/pull/75857))
- Icon: Improve parameter documentation. ([75768](https://github.com/WordPress/gutenberg/pull/75768))
- Update README for DataViews, DataForm, Field API. ([75881](https://github.com/WordPress/gutenberg/pull/75881))
- iAPI Docs: Add client-side navigation guide under "Core Concepts". ([75263](https://github.com/WordPress/gutenberg/pull/75263))
- iAPI Docs: Introduce reactive vs non-reactive distinction early in the state/context guide. ([75357](https://github.com/WordPress/gutenberg/pull/75357))
- ui guidelines: Add custom properties and disabled state guidance. ([75912](https://github.com/WordPress/gutenberg/pull/75912))


### Code Quality

- Add wp_ prefix to real time collaberation option. ([75837](https://github.com/WordPress/gutenberg/pull/75837))
- Backport Changelog: Move changelog for #75226 to WP 7.1 folder. ([76102](https://github.com/WordPress/gutenberg/pull/76102))
- Core Data: Simplify actions dispatched by 'canUser' resolver. ([75974](https://github.com/WordPress/gutenberg/pull/75974))
- ESLint: Add `no-ds-tokens` rule. ([75872](https://github.com/WordPress/gutenberg/pull/75872))
- ESLint: Broaden `no-unknown-ds-tokens` to all strings and catch dynamic construction. ([75905](https://github.com/WordPress/gutenberg/pull/75905))
- Field, Fieldset: Add tests for the Details component. ([75696](https://github.com/WordPress/gutenberg/pull/75696))
- Interactivity: Fix incomplete `Window.scheduler` type causing TS2430 in downstream projects. ([76070](https://github.com/WordPress/gutenberg/pull/76070))
- UI: Update `@base-ui/react` from 1.0.0 to 1.2.0. ([75698](https://github.com/WordPress/gutenberg/pull/75698))

#### Collaboration
- RTC: Add debug logging to SyncManager. ([75924](https://github.com/WordPress/gutenberg/pull/75924))
- RTC: Merge document meta map into state map. ([75830](https://github.com/WordPress/gutenberg/pull/75830))
- RTC: Move WordPress meta key from sync package to core-data. ([75846](https://github.com/WordPress/gutenberg/pull/75846))
- RTC: Updates from backport PR. ([75711](https://github.com/WordPress/gutenberg/pull/75711))

#### Components
- Convert focus on mount hook to TypeScript. ([75442](https://github.com/WordPress/gutenberg/pull/75442))
- NumberControl: Merge two state reducers into one. ([75822](https://github.com/WordPress/gutenberg/pull/75822))
- ToolsPanel: Remove unnecessary label prop from dropdownMenuProps type. ([76027](https://github.com/WordPress/gutenberg/pull/76027))

#### Block Library
- Cover: Replace strpos() with str_contains() for improved readability. ([75907](https://github.com/WordPress/gutenberg/pull/75907))
- Navigation: Extract NavigationLinkUI and NavigationListViewHeader into separate files. ([75865](https://github.com/WordPress/gutenberg/pull/75865))
- Post featured image: Simplify background class assignment. ([75745](https://github.com/WordPress/gutenberg/pull/75745))

#### Block Editor
- Extract inserter-toggle mixin from duplicated button styles. ([76087](https://github.com/WordPress/gutenberg/pull/76087))
- RichText: useAnchor: Enable type checking, fix errors. ([75910](https://github.com/WordPress/gutenberg/pull/75910))

#### DataViews
- Remove unused deps: Wordpress/dom, wordpress/theme, wordpress/url. ([76075](https://github.com/WordPress/gutenberg/pull/76075))

#### Post Editor
- Fix flaky template-revert end-to-end tests. ([75894](https://github.com/WordPress/gutenberg/pull/75894))

#### Patterns
- Add end-to-end test for sorting patterns. ([75823](https://github.com/WordPress/gutenberg/pull/75823))


### Tools

- Project Management: Add components team as codeowners for components package. ([75641](https://github.com/WordPress/gutenberg/pull/75641))

#### Testing
- Automated Testing: Merge reports into HTML artifact. ([75633](https://github.com/WordPress/gutenberg/pull/75633))
- Cover block: Add end-to-end test coverage for bugfixes. ([75483](https://github.com/WordPress/gutenberg/pull/75483))
- Fix flaky Quick Edit end-to-end test. ([75714](https://github.com/WordPress/gutenberg/pull/75714))
- Re-enable Font Library end-to-end tests. ([75712](https://github.com/WordPress/gutenberg/pull/75712))
- Real-time collaboration: Expand mergeCrdtBlocks() automated testing. ([75923](https://github.com/WordPress/gutenberg/pull/75923))
- Skip cross origin isolation end-to-end tests. ([75764](https://github.com/WordPress/gutenberg/pull/75764))
- Try fix failing patterns end-to-end test. ([75759](https://github.com/WordPress/gutenberg/pull/75759))
- Workflows: Use pull_request_target for cherry-pick workflow. ([75775](https://github.com/WordPress/gutenberg/pull/75775))
- wp-env: Enable pretty permalinks by default in Docker runtime. ([75688](https://github.com/WordPress/gutenberg/pull/75688))

#### Build Tooling
- Build: Clean top-level `build/` directory during `clean:Packages`. ([75961](https://github.com/WordPress/gutenberg/pull/75961))
- ESLint: Add no-i18n-in-save rule. ([75617](https://github.com/WordPress/gutenberg/pull/75617))
- Prevent CSS modules in build from breaking Jest tests. ([75792](https://github.com/WordPress/gutenberg/pull/75792))
- Sort registry files by handle/ID. ([75755](https://github.com/WordPress/gutenberg/pull/75755))
- wp-build: Do not remove Core's default script modules registration. ([75705](https://github.com/WordPress/gutenberg/pull/75705))



## First-time contributors

The following PRs were merged by first-time contributors:

- @aagam-shah: Content Guidelines: Add experimental REST API and custom post type. ([75164](https://github.com/WordPress/gutenberg/pull/75164))
- @dlind1: Fix: Use the same context for font library tabs translations. ([75930](https://github.com/WordPress/gutenberg/pull/75930))
- @namankhare: Fixes keyboard focus escaping the lightbox overlay when navigating a gallery with Tab/Shift+Tab. ([75852](https://github.com/WordPress/gutenberg/pull/75852))


## Contributors

The following contributors merged PRs in this release:

@aagam-shah @aaronrobertshaw @adamsilverstein @aduth @alecgeatches @andrewserong @aswasif007 @chriszarate @ciampo @DAreRodz @desrosj @dhasilva @dlind1 @ellatrix @fushar @gziolo @iamchughmayank @im3dabasia @ingeniumed @jasmussen @jeherve @jeryj @jorgefilipecosta @JosVelasco @jsnajdr @luisherranz @Mamaduka @manzoorwanijk @maxschmeling @Mayank-Tripathi32 @mcsf @mikachan @mikejolley @mirka @Mustafabharmal @namankhare @ntsekouras @oandregal @ockham @peterwilsoncc @prasadkarmalkar @ramonjd @scruffian @sgomes @shail-mehta @shekharnwagh @Soean @stokesman @t-hamano @talldan @tellthemachines @xristos3490 @youknowriad




= 22.6.0 =

## Changelog

### Features

- wp-env: Add --config option for custom configuration files. ([75087](https://github.com/WordPress/gutenberg/pull/75087))

#### Client Side Media
- Add AVIF, WebP and MozJPEG output encoding support. ([75081](https://github.com/WordPress/gutenberg/pull/75081))
- Add device/browser capability detection. ([75863](https://github.com/WordPress/gutenberg/pull/75863))
- Add EXIF metadata tests for Client Side Media. ([74909](https://github.com/WordPress/gutenberg/pull/74909))
- Fix client-side media file naming. ([75817](https://github.com/WordPress/gutenberg/pull/75817))
- Media: Graduate client-side media processing from experimental. ([75112](https://github.com/WordPress/gutenberg/pull/75112))
- Pass unsupported formats directly to the server. ([74910](https://github.com/WordPress/gutenberg/pull/74910))

#### Block Library
- New Block: Icon Block. ([71227](https://github.com/WordPress/gutenberg/pull/71227))
- Remove the Icon Block and Icon SVG API from experiments. ([75576](https://github.com/WordPress/gutenberg/pull/75576))

#### Interactivity API
- Export `watch` from `@preact/signals`'s `effect`. ([75563](https://github.com/WordPress/gutenberg/pull/75563))


### Enhancements

- @wordpress/ui: Add Dialog component. ([75183](https://github.com/WordPress/gutenberg/pull/75183))
- @wordpress/ui: Use semantic dimension tokens. ([74557](https://github.com/WordPress/gutenberg/pull/74557))
- Abilities: Allow nested namespace ability names (2-4 segments). ([75393](https://github.com/WordPress/gutenberg/pull/75393))
- Add testsEnvironment option and split Gutenberg wp-env configs. ([75341](https://github.com/WordPress/gutenberg/pull/75341))
- Admin UI: Apply 'text-wrap: Pretty' to Page. ([74907](https://github.com/WordPress/gutenberg/pull/74907))
- Commands: Display category labels and enforce category icons. ([75669](https://github.com/WordPress/gutenberg/pull/75669))
- Gutenberg plugin: Always enforce the iframe in the post editor. ([75475](https://github.com/WordPress/gutenberg/pull/75475))
- Layout: Update Gutenberg to match core after #75360 sync. ([75594](https://github.com/WordPress/gutenberg/pull/75594))
- Media Utils: Auto-select uploaded files in media modal experiment. ([75597](https://github.com/WordPress/gutenberg/pull/75597))
- MediaEdit: Support ordered values and reordering of items. ([75207](https://github.com/WordPress/gutenberg/pull/75207))
- Replace install-path command with status command in wp-env. ([75020](https://github.com/WordPress/gutenberg/pull/75020))
- Theme: Update dimension tokens. ([75054](https://github.com/WordPress/gutenberg/pull/75054))
- Theme: Update elevation tokens to use abbreviated size names. ([75103](https://github.com/WordPress/gutenberg/pull/75103))
- UI: Add `Textarea` primitive. ([74707](https://github.com/WordPress/gutenberg/pull/74707))
- `@wordpress/ui`: Add `IconButton`. ([74697](https://github.com/WordPress/gutenberg/pull/74697))
- `@wordpress/ui`: Add `Tabs`. ([74652](https://github.com/WordPress/gutenberg/pull/74652))
- iAPI router: Move internal properties to a private store. ([70882](https://github.com/WordPress/gutenberg/pull/70882))
- ui/IconButton: Make icon always 24px regardless of `size` prop. ([75677](https://github.com/WordPress/gutenberg/pull/75677))
- ui/`Button`: Add min width. ([75133](https://github.com/WordPress/gutenberg/pull/75133))
- wp-env: Add cleanup command and force flag. ([75045](https://github.com/WordPress/gutenberg/pull/75045))

#### Block Library
- Accordion block: Add list view support. ([75271](https://github.com/WordPress/gutenberg/pull/75271))
- Accordion: Move Accordion icons to Icon library. ([75380](https://github.com/WordPress/gutenberg/pull/75380))
- Author block: When recreating, migrate the textAlign attribute of the Author block to the block style attribute. ([75153](https://github.com/WordPress/gutenberg/pull/75153))
- Block Supports: Add Line Indent support using enum setting. ([74889](https://github.com/WordPress/gutenberg/pull/74889))
- Blocks: Try prepending 'https' to URLs without protocol. ([75005](https://github.com/WordPress/gutenberg/pull/75005))
- Breadcrumbs: Improve loading state rendering. ([75383](https://github.com/WordPress/gutenberg/pull/75383))
- Custom CSS support: Add attributes for dynamic blocks. ([75052](https://github.com/WordPress/gutenberg/pull/75052))
- Default all initial suggested results to 20 for navigation link ui. ([75186](https://github.com/WordPress/gutenberg/pull/75186))
- Gallery: Add lightbox support. ([62906](https://github.com/WordPress/gutenberg/pull/62906))
- Gallery: Add list view block support. ([75407](https://github.com/WordPress/gutenberg/pull/75407))
- Icon block: Skip serialization and increase default size. ([75553](https://github.com/WordPress/gutenberg/pull/75553))
- Image Block: Handle image URLs without protocol. ([75135](https://github.com/WordPress/gutenberg/pull/75135))
- Informational Parity between Inspector Link Preview and on Canvas Link Preview. ([75399](https://github.com/WordPress/gutenberg/pull/75399))
- List View Support: Only render list view on top level block with support. ([75166](https://github.com/WordPress/gutenberg/pull/75166))
- Migrate multiple blocks to text-align block support:
  - Author Biography. ([74997](https://github.com/WordPress/gutenberg/pull/74997))
  - Post Author Name. ([75109](https://github.com/WordPress/gutenberg/pull/75109))
  - Post Comments Count. ([75321](https://github.com/WordPress/gutenberg/pull/75321))
  - Post Comments Form. ([75322](https://github.com/WordPress/gutenberg/pull/75322))
  - Post Comments Link. ([75332](https://github.com/WordPress/gutenberg/pull/75332))
  - Post Terms. ([75545](https://github.com/WordPress/gutenberg/pull/75545))
  - Post Time to Read. ([75541](https://github.com/WordPress/gutenberg/pull/75541))
  - Term Description. ([75542](https://github.com/WordPress/gutenberg/pull/75542))
- Navigation Link: Clarify Link To invalid and draft states. ([74054](https://github.com/WordPress/gutenberg/pull/74054))
- Navigation Link: Go to page link and edit page for inspector sidebar. ([75262](https://github.com/WordPress/gutenberg/pull/75262))
- Navigation Overlay: Add Create Overlay button. ([74971](https://github.com/WordPress/gutenberg/pull/74971))
- Navigation Overlay: Remove experiment. ([74968](https://github.com/WordPress/gutenberg/pull/74968))
- Navigation: Improved help on create page flow. ([75349](https://github.com/WordPress/gutenberg/pull/75349))
- Navigation: Update overlay template part naming to 'Navigation Overlay'. ([75564](https://github.com/WordPress/gutenberg/pull/75564))
- Pattern Editing and Navigation block: Show navigation controls in popover. ([75194](https://github.com/WordPress/gutenberg/pull/75194))
- Pattern Editing: Allow click through to List View. ([75246](https://github.com/WordPress/gutenberg/pull/75246))
- Pattern Editing: Revise 'Edit section' button naming. ([75663](https://github.com/WordPress/gutenberg/pull/75663))
- Playlist block: Remove border. ([75202](https://github.com/WordPress/gutenberg/pull/75202))
- Post Excerpt: Add text columns support. ([75587](https://github.com/WordPress/gutenberg/pull/75587))
- Pre-populate Navigation Page Creator with Search Text. ([75154](https://github.com/WordPress/gutenberg/pull/75154))
- Rename Verse block to Poetry. ([74121](https://github.com/WordPress/gutenberg/pull/74121))
- Tabs:
  - Add text and background color support. ([75482](https://github.com/WordPress/gutenberg/pull/75482))
  - Inherit text color for tabs-menu-item blocks. ([75621](https://github.com/WordPress/gutenberg/pull/75621))
  - Polish. ([75128](https://github.com/WordPress/gutenberg/pull/75128))
  - Simplify Tabs Menu Item editing. ([75416](https://github.com/WordPress/gutenberg/pull/75416))
  - Tidy up UI for controls. ([75309](https://github.com/WordPress/gutenberg/pull/75309))
  - Update Tabs block icons. ([75376](https://github.com/WordPress/gutenberg/pull/75376))
- theme.json: Enable width setting for Icon block by default. ([75665](https://github.com/WordPress/gutenberg/pull/75665))

#### Post Editor
- Add dedicated navigation-overlay icon (#75249). ([75426](https://github.com/WordPress/gutenberg/pull/75426))
- Auto-switch viewport based on Overlay Visibility setting when entering overlay editor. ([75386](https://github.com/WordPress/gutenberg/pull/75386))
- Block Editor: Allow disabling content-only editing for unsynced patterns. ([75457](https://github.com/WordPress/gutenberg/pull/75457))
- Commands: Add category property to command registration. ([75612](https://github.com/WordPress/gutenberg/pull/75612))
- Create sub-sized images. ([74566](https://github.com/WordPress/gutenberg/pull/74566))
- Editor: Introduce new selectedNote editor state. ([75177](https://github.com/WordPress/gutenberg/pull/75177))
- Filter navigation category patterns to only show in navigation-overlay template part context. ([75276](https://github.com/WordPress/gutenberg/pull/75276))
- In-editor Revisions: Update success notice message. ([75411](https://github.com/WordPress/gutenberg/pull/75411))
- In-editor revisions: Add visual diffing. ([75049](https://github.com/WordPress/gutenberg/pull/75049))
- Migrate `EditorSnackbar` and `EditorNotices` components to the `@wordpress/notices` package. ([74384](https://github.com/WordPress/gutenberg/pull/74384))
- Navigation: Select list view tab on contentOnly. Alternative with explicit solution. ([75578](https://github.com/WordPress/gutenberg/pull/75578))
- Notes: Add a keyboard shortcut for creating a new note. ([75287](https://github.com/WordPress/gutenberg/pull/75287))
- Notes: Pressing Escape should cancel adding a note. ([75288](https://github.com/WordPress/gutenberg/pull/75288))
- Notes: Update shortcut category. ([75461](https://github.com/WordPress/gutenberg/pull/75461))
- Post Content Block: Improve removal confirmation modal. ([75001](https://github.com/WordPress/gutenberg/pull/75001))
- Real-time collaboration:
  - Add collaborators cursor awareness. ([75398](https://github.com/WordPress/gutenberg/pull/75398))
  - Add global setting to enable real-time collaboration. ([75286](https://github.com/WordPress/gutenberg/pull/75286))
  - Move PHP code to compat / backports directory. ([75366](https://github.com/WordPress/gutenberg/pull/75366))
  - Remove block client IDs from Awareness, fix "Show Template" view. ([75590](https://github.com/WordPress/gutenberg/pull/75590))
- Set snackbar position to center. ([75294](https://github.com/WordPress/gutenberg/pull/75294))
- Site Editor Pages: QuickEdit as a modal. ([75173](https://github.com/WordPress/gutenberg/pull/75173))
- Use contextual snackbar text when activating a theme from preview. ([75385](https://github.com/WordPress/gutenberg/pull/75385))

#### Block Editor
- Add URL validation in LinkControl using ValidatedInputControl. ([73486](https://github.com/WordPress/gutenberg/pull/73486))
- Add block rename keyboard shortcut. ([74454](https://github.com/WordPress/gutenberg/pull/74454))
- Add getDimensionsClassesAndStyles function and related tests. ([74524](https://github.com/WordPress/gutenberg/pull/74524))
- Add storybook for ColorPaletteControl. ([74425](https://github.com/WordPress/gutenberg/pull/74425))
- Block Lock: Disable Apply button on non-dirty state. ([75495](https://github.com/WordPress/gutenberg/pull/75495))
- Block Support: Allow serialization skipping for ariaLabel. ([75192](https://github.com/WordPress/gutenberg/pull/75192))
- Block Visibility:
  - Centralize modal state in block-editor store. ([75367](https://github.com/WordPress/gutenberg/pull/75367))
  - Disable Apply button on non-dirty state. ([75494](https://github.com/WordPress/gutenberg/pull/75494))
  - Disable visibility toggle for children of sections. ([75447](https://github.com/WordPress/gutenberg/pull/75447))
  - Show keyboard shortcut in context menu. ([75334](https://github.com/WordPress/gutenberg/pull/75334))
  - Show viewport icons and tooltip in list view for hidden blocks. ([75404](https://github.com/WordPress/gutenberg/pull/75404))
  - Simplify toolbar for hidden blocks. ([75335](https://github.com/WordPress/gutenberg/pull/75335))
- Cover: Add new "fullheight" icon, and use for Cover. ([75240](https://github.com/WordPress/gutenberg/pull/75240))
- Enable paragraphs to be added to contentOnly patterns. ([73222](https://github.com/WordPress/gutenberg/pull/73222))
- Enhance block appender labels to reflect default block type. ([71502](https://github.com/WordPress/gutenberg/pull/71502))
- Hide parent grid cells when child grid is selected. ([75078](https://github.com/WordPress/gutenberg/pull/75078))
- Implement WebAssembly support detection and fallbacks. ([74827](https://github.com/WordPress/gutenberg/pull/74827))
- Improve Background panel UI in Global Styles. ([75230](https://github.com/WordPress/gutenberg/pull/75230))
- Pattern Editing: Add "Edit section" button to unsynced pattern toolbar. ([75602](https://github.com/WordPress/gutenberg/pull/75602))
- Pattern Editing: Hide List View child blocks in Content panel. ([75007](https://github.com/WordPress/gutenberg/pull/75007))
- Stabilize PHP-Only Block Registration. ([75543](https://github.com/WordPress/gutenberg/pull/75543))

#### Site Editor
- DataForm: Update panel trigger. ([75290](https://github.com/WordPress/gutenberg/pull/75290))
- DataViews: Add onReset prop for view persistence reset. ([75093](https://github.com/WordPress/gutenberg/pull/75093))
- Make QuickEdit stable + change template to select. ([75565](https://github.com/WordPress/gutenberg/pull/75565))
- Prevent welcome guide from appearing during loading. ([75102](https://github.com/WordPress/gutenberg/pull/75102))
- Quick edit: Make footer sticky. ([75297](https://github.com/WordPress/gutenberg/pull/75297))
- Unified view persistence: Share one persisted view across all tabs. ([74970](https://github.com/WordPress/gutenberg/pull/74970))

#### DataViews
- Add new `adaptiveSelect` DataForm control. ([74937](https://github.com/WordPress/gutenberg/pull/74937))
- Consistent rendering of selection checkbox and actions in `grid` layout. ([75056](https://github.com/WordPress/gutenberg/pull/75056))
- DataForm: Add edit variant. ([75462](https://github.com/WordPress/gutenberg/pull/75462))
- DataForm: Mark fields as required or optional automatically. ([74430](https://github.com/WordPress/gutenberg/pull/74430))
- Dataform: Adds validation support to the DataForm details layout. ([74996](https://github.com/WordPress/gutenberg/pull/74996))

#### Components
- DataViews: Use public ColorPicker instead of internal Picker export. ([75394](https://github.com/WordPress/gutenberg/pull/75394))
- DateCalendar, DateRangeCalendar: Use lighter gray for disabled dates. ([75683](https://github.com/WordPress/gutenberg/pull/75683))
- ToggleGroupControl: Add visual emphasis to selected item. ([75138](https://github.com/WordPress/gutenberg/pull/75138))
- [Real-time collaboration] Refine collaborator overlay with Avatar component integration. ([75595](https://github.com/WordPress/gutenberg/pull/75595))

#### Icons
- Icons Registry: Don't expose "internal" icons. ([75526](https://github.com/WordPress/gutenberg/pull/75526))
- Trim list of public icons further. ([75630](https://github.com/WordPress/gutenberg/pull/75630))
- Update icon manifest acronyms. ([75418](https://github.com/WordPress/gutenberg/pull/75418))

#### Media
- Media Fields: Filter author field to only show authors. ([75328](https://github.com/WordPress/gutenberg/pull/75328))
- Media Fields: Fix filename field truncation. ([75091](https://github.com/WordPress/gutenberg/pull/75091))
- Media Modal Experiment: Update preview size to be a little smaller. ([75191](https://github.com/WordPress/gutenberg/pull/75191))


### New APIs

- Real-time collaboration: Remove @wordpress/sync from bundled packages and add private APIs. ([74671](https://github.com/WordPress/gutenberg/pull/74671))


### Bug Fixes

- Boot: Fix mobile admin bar covering single-page headers. ([75339](https://github.com/WordPress/gutenberg/pull/75339))
- DataForm: Fix color picker styles. ([75427](https://github.com/WordPress/gutenberg/pull/75427))
- Env: Remove non-functional `WP_ENV_MULTISITE` configuration. ([72567](https://github.com/WordPress/gutenberg/pull/72567))
- Fields: Fix `authorField` query. ([75298](https://github.com/WordPress/gutenberg/pull/75298))
- Fix missed dimension token migration in UI package. ([75446](https://github.com/WordPress/gutenberg/pull/75446))
- Fix undo end-to-end test. ([75740](https://github.com/WordPress/gutenberg/pull/75740))
- Language Format: Add missing attribute definition. ([75422](https://github.com/WordPress/gutenberg/pull/75422))
- Media Modal Experiment: Remove default value for allowedTypes so that the file block can accept all types. ([75159](https://github.com/WordPress/gutenberg/pull/75159))
- Prevent fatal error when the inline CSS duotone variable is an array. ([75283](https://github.com/WordPress/gutenberg/pull/75283))
- Routing Boot Package: Remove left border from stage and inspector surfaces. ([75036](https://github.com/WordPress/gutenberg/pull/75036))
- Run generate-worker-placeholders script in dev. ([75104](https://github.com/WordPress/gutenberg/pull/75104))
- Support zip theme sources in Playground runtime. ([75155](https://github.com/WordPress/gutenberg/pull/75155))
- Upload Media: Fix upload handling. ([75646](https://github.com/WordPress/gutenberg/pull/75646))
- Widget Area: Disable renaming and visibility support. ([75279](https://github.com/WordPress/gutenberg/pull/75279))
- Writing flow: Fix Cmd+A from empty RichText. ([75175](https://github.com/WordPress/gutenberg/pull/75175))
- iAPI Router: Update cached styles for re-fetched pages. ([75097](https://github.com/WordPress/gutenberg/pull/75097))
- ui/Button: Fix disabled styles and variable composition. ([75568](https://github.com/WordPress/gutenberg/pull/75568))
- wp-env Playground: Improve mapping and core source handling. ([75527](https://github.com/WordPress/gutenberg/pull/75527))
- wp-env:
  - Fix MySQL startup race condition causing database connection errors. ([75046](https://github.com/WordPress/gutenberg/pull/75046))
  - Fix mixed runtime detection issues. ([75057](https://github.com/WordPress/gutenberg/pull/75057))
  - Fix status command. ([75325](https://github.com/WordPress/gutenberg/pull/75325))

#### Block Library
- Add initialSearchState to avoid console warnings from LinkControl inputValue change. ([75643](https://github.com/WordPress/gutenberg/pull/75643))
- Border Support: Fix editor split border style fallback. ([75546](https://github.com/WordPress/gutenberg/pull/75546))
- Comments Link: Fix transforms textAlign. ([75676](https://github.com/WordPress/gutenberg/pull/75676))
- Cover block: Force LTR direction for the background URL input field. ([75169](https://github.com/WordPress/gutenberg/pull/75169))
- Featured Image: Added a fallback to the default value when clearing the aspect ratio control for the Featured Image. ([75358](https://github.com/WordPress/gutenberg/pull/75358))
- Fix duplicate content when navigation overlay is open and nav has non-link inner blocks. ([75180](https://github.com/WordPress/gutenberg/pull/75180))
- Fix: Make all Navigation Overlay Close buttons work. ([75384](https://github.com/WordPress/gutenberg/pull/75384))
- Fix: Show and hook up submenu visibility for Page Lists within Navigation Blocks. ([75531](https://github.com/WordPress/gutenberg/pull/75531))
- Gallery: Fix PHP warning in random order image reordering. ([75678](https://github.com/WordPress/gutenberg/pull/75678))
- Gallery: Skip interactivity directives when no images have lightbox enabled. ([75680](https://github.com/WordPress/gutenberg/pull/75680))
- Group Block: Fix preview display. ([75200](https://github.com/WordPress/gutenberg/pull/75200))
- Heading Block: Fix preview display. ([75675](https://github.com/WordPress/gutenberg/pull/75675))
- Hide grid visualiser if the grid block is hidden. ([74963](https://github.com/WordPress/gutenberg/pull/74963))
- Hide navigation-overlay template parts from inserter. ([75478](https://github.com/WordPress/gutenberg/pull/75478))
- Icon Block:
  - Corrects style selectors when global styles are set. ([75724](https://github.com/WordPress/gutenberg/pull/75724))
  - Include Icons assets in Plugin ZIP. ([75866](https://github.com/WordPress/gutenberg/pull/75866))
  - Move default width rule to theme.json instead of block.json. ([75653](https://github.com/WordPress/gutenberg/pull/75653))
  - Remove experimental property. ([75742](https://github.com/WordPress/gutenberg/pull/75742))
- Image block: Add missing space between sentences. ([75142](https://github.com/WordPress/gutenberg/pull/75142))
- Improve link preview badges. ([75318](https://github.com/WordPress/gutenberg/pull/75318))
- Media & Text: Respect image_default_link_type option. ([74295](https://github.com/WordPress/gutenberg/pull/74295))
- Navigation Submenu: Restore `openSubmenusOnClick` to `usesContext` for backward compatibility. ([75435](https://github.com/WordPress/gutenberg/pull/75435))
- Navigation block: Remove horizontal scroll from list view. ([75086](https://github.com/WordPress/gutenberg/pull/75086))
- Navigation link: Fix resetting link from the tools panel. ([75228](https://github.com/WordPress/gutenberg/pull/75228))
- Navigation overlay: Fix default pattern contrast issue on dark themes. ([74979](https://github.com/WordPress/gutenberg/pull/74979))
- Post Excerpt: Disable HTML element insertion. ([74928](https://github.com/WordPress/gutenberg/pull/74928))
- Pullquote: Fix deprecated block validation when anchor/id attribute is present. ([75132](https://github.com/WordPress/gutenberg/pull/75132))
- Query: Remove content role from block. ([75760](https://github.com/WordPress/gutenberg/pull/75760))
- Remove useEffect guard rail to enforce minimum width. ([75624](https://github.com/WordPress/gutenberg/pull/75624))
- Respect deprecated openSubmenusOnClick value on frontend rendering. ([75439](https://github.com/WordPress/gutenberg/pull/75439))
- Tab Block: Ensure label formatting works correctly. ([75548](https://github.com/WordPress/gutenberg/pull/75548))
- Tab: Fixed the color reset to ensure correctness. ([75606](https://github.com/WordPress/gutenberg/pull/75606))
- Tabs:
  - Fix incorrect fixtures. ([75523](https://github.com/WordPress/gutenberg/pull/75523))
  - Fix saved HTML. ([75580](https://github.com/WordPress/gutenberg/pull/75580))
  - Improve Tab Panel accessibility. ([75484](https://github.com/WordPress/gutenberg/pull/75484))
  - Improve tab keyboard nav. ([75471](https://github.com/WordPress/gutenberg/pull/75471))
  - Make Example preview translatable. ([75555](https://github.com/WordPress/gutenberg/pull/75555))
  - Remove name editing UI. ([75554](https://github.com/WordPress/gutenberg/pull/75554))
  - Sanitize tab_id. ([75615](https://github.com/WordPress/gutenberg/pull/75615))

#### Block Editor
- Allow grid to use style variation blockGap values for columns calculation. ([75360](https://github.com/WordPress/gutenberg/pull/75360))
- Allow stable block IDs in block editor store. ([74687](https://github.com/WordPress/gutenberg/pull/74687))
- Block Bindings: Have block fields panel reflects bound attribute value. ([72096](https://github.com/WordPress/gutenberg/pull/72096))
- Block editor cross origin isolation: Attempt to gracefully deal with race conditions. ([75600](https://github.com/WordPress/gutenberg/pull/75600))
- Block transform command: Pass the block icon src rather than a BlockIcon component. ([75365](https://github.com/WordPress/gutenberg/pull/75365))
- ContrastChecker: Fix check for button block colors. ([71959](https://github.com/WordPress/gutenberg/pull/71959))
- DOM: Make focus.focusable spec-compliant by excluding inert elements. ([75172](https://github.com/WordPress/gutenberg/pull/75172))
- Fix Columns block horizontal spacing when setting vertical gap. ([75355](https://github.com/WordPress/gutenberg/pull/75355))
- Fix LinkControl URL Normalization. ([75488](https://github.com/WordPress/gutenberg/pull/75488))
- Fix emdashes in HTML anchor description. ([75043](https://github.com/WordPress/gutenberg/pull/75043))
- Fix error when undoing newly added pattern. ([75850](https://github.com/WordPress/gutenberg/pull/75850))
- Fix: Changing URL in link after changing text outside the popover resets it. ([75342](https://github.com/WordPress/gutenberg/pull/75342))
- Link Control: Validate on submit. ([75267](https://github.com/WordPress/gutenberg/pull/75267), [75310](https://github.com/WordPress/gutenberg/pull/75310))
